--[[

	Quest Completist - qcDatabase.lua
	Written by: Alistair Maxwell

--]]

COLOUR_DEATHKNIGHT = "|cFFC41F3B"
COLOUR_DRUID = "|cFFFF7D0A"
COLOUR_HUNTER = "|cFFABD473"
COLOUR_MAGE = "|cFF69CCF0"
COLOUR_PALADIN = "|cFFF58CBA"
COLOUR_PRIEST = "|cFFFFFFFF"
COLOUR_ROGUE = "|cFFFFF569"
COLOUR_SHAMAN = "|cFF0070DE"
COLOUR_WARLOCK = "|cFF9482C9"
COLOUR_WARRIOR = "|cFFC79C6E"

qcContinents = {

	{1, "Kalimdor"},
	{2, "Eastern Kingdoms"},
	{3, "Outland"},
	{4, "Northrend"},
	{5, "Post-Cataclysm Zones"},
	{6, "Elsewhere in Azeroth"}, -- TODO: Need to check if Continent ID is correct --

}
qcDungeonCategories = {

	{10, "Classic"},
	{11, "The Burning Crusade"},
	{12, "Wrath of the Lich King"},
	{13, "Cataclysm"},
	{14, "Raids"},

}
qcMiscellaneousCategories = {

	{20, "Professions"},
	{21, "World Events"},
	{22, "Battlegrounds"},
	{23, "Specials"},

}
qcCategories = {
	{-1, "Epic"},
	{-1001, "Winter Veil"},
	{-1002, "Children's Week"},
	{-1003, "Hallow's End"},
	{-1004, "Love is in the Air"},
	{-1005, "Harvest Festival"},
	{-1006, "New Year's Eve"},
	{-1007, "Day of the Dead"},
	{-1008, "Pilgrim's Bounty"},
	{-101, "Fishing"},
	{-1010, "Dungeon Finder"},
	{-121, "Blacksmithing"},
	{-141, "Paladin"},
	{-161, "Mage"},
	{-162, "Rogue"},
	{-181, "Alchemy"},
	{-182, "Leatherworking"},
	{-201, "Engineering"},
	{-23, "Cataclysm"},
	{-24, "Herbalism"},
	{-241, "Tournament"},
	{-25, "Battlegrounds"},
	{-261, "Hunter"},
	{-262, "Priest"},
	{-263, "Druid"},
	{-264, "Tailoring"},
	{-304, "Cooking"},
	{-324, "First Aid"},
	{-344, "Legendary"},
	{-364, "Darkmoon Faire"},
	{-365, "Ahn'Qiraj War"},
	{-366, "Lunar Festival"},
	{-367, "Reputation"},
	{-368, "Invasion"},
	{-369, "Midsummer Fire Festival"},
	{-370, "Brewfest"},
	{-371, "Inscription"},
	{-372, "Death Knight"},
	{-373, "Jewelcrafting"},
	{-374, "Noblegarden"},
	{-377, "Archaeology"}, -- TODO: Need to check that Profession ID is correct --
	{-61, "Warlock"},
	{-81, "Warrior"},
	{-82, "Shaman"},
	{-9999, "FLAG Quests"},
	{1, "Dun Morogh"},
	{10, "Duskwood"},
	{11, "Wetlands"},
	{1176, "Zul'Farrak"},
	{1196, "Utgarde Pinnacle"},
	{12, "Elwynn Forest"},
	{1216, "Blackmaw Hold"},
	{130, "Silverpine Forest"},
	{1337, "Uldaman"},
	{1377, "Silithus"},
	{139, "Eastern Plaguelands"},
	{14, "Durotar"},
	{141, "Teldrassil"},
	{1477, "Sunken Temple"},
	{148, "Darkshore"},
	{1497, "Undercity"},
	{15, "Dustwallow Marsh"},
	{1519, "Stormwind City"},
	{1537, "Ironforge"},
	{1581, "The Deadmines"},
	{1583, "Blackrock Spire"},
	{1584, "Blackrock Depths"},
	{16, "Azshara"},
	{1637, "Orgrimmar"},
	{1638, "Thunder Bluff"},
	{1657, "Darnassus"},
	{17, "Northern Barrens"},
	{1941, "Caverns of Time"},
	{1941, "Caverns of Time"},
	{1977, "Zul'Gurub"},
	{2017, "Stratholme"},
	{2057, "Scholomance"},
	{206, "Utgarde Keep"},
	{209, "Shadowfang Keep"},
	{210, "Icecrown"},
	{2100, "Maraudon"},
	{215, "Mulgore"},
	{2159, "Onyxia's Lair"},
	{2257, "Deeprun Tram"},
	{2366, "The Black Morass"},
	{2367, "Old Hillsbrad Foothills"},
	{2437, "Ragefire Chasm"},
	{25, "Blackrock Mountain"},
	{2557, "Dire Maul"},
	{2577, "Dire Maul"},
	{2597, "Alterac Valley"},
	{267, "Hillsbrad Foothills"},
	{2677, "Blackwing Lair"},
	{2717, "Molten Core"},
	{28, "Western Plaguelands"},
	{2817, "Crystalsong Forest"},
	{287, "Hillsbrad"},
	{3, "Badlands"},
	{3277, "Warsong Gulch"},
	{33, "Northern Stranglethorn"},
	{331, "Ashenvale"},
	{3358, "Arathi Basin"},
	{3428, "Temple of Ahn'Qiraj"},
	{3429, "Ruins of Ahn'Qiraj"},
	{3430, "Eversong Woods"},
	{3433, "Ghostlands"},
	{3456, "Naxxramas"},
	{3457, "Karazhan"},
	{3477, "Azjol-Nerub"},
	{3483, "Hellfire Peninsula"},
	{3487, "Silvermoon City"},
	{3518, "Nagrand"},
	{3519, "Terokkar Forest"},
	{3520, "Shadowmoon Valley"},
	{3521, "Zangarmarsh"},
	{3522, "Blade's Edge Mountains"},
	{3523, "Netherstorm"},
	{3524, "Azuremyst Isle"},
	{3525, "Bloodmyst Isle"},
	{3537, "Borean Tundra"},
	{3557, "The Exodar"},
	{3562, "Hellfire Ramparts"},
	{357, "Feralas"},
	{36, "Alterac Mountains"},
	{3606, "Hyjal Summit"},
	{361, "Felwood"},
	{368, "Echo Isles"},
	{3703, "Shattrath City"},
	{3711, "Sholazar Basin"},
	{3713, "The Blood Furnace"},
	{3714, "The Shattered Halls"},
	{3715, "The Steamvault"},
	{3716, "The Underbog"},
	{3717, "The Slave Pens"},
	{3789, "Shadow Labyrinth"},
	{3790, "Auchenai Crypts"},
	{3791, "Sethekk Halls"},
	{3792, "Mana-Tombs"},
	{38, "Loch Modan"},
	{3805, "Zul'Aman"},
	{3820, "Eye of the Storm"},
	{3836, "Magtheridon's Lair"},
	{3842, "Tempest Keep"},
	{3845, "Tempest Keep"},
	{3846, "The Arcatraz"},
	{3847, "The Botanica"},
	{3849, "The Mechanar"},
	{3905, "Coilfang Reservoir"},
	{393, "Darkspear Strand"},
	{394, "Grizzly Hills"},
	{3959, "Black Temple"},
	{4, "Blasted Lands"},
	{40, "Westfall"},
	{400, "Thousand Needles"},
	{405, "Desolace"},
	{406, "Stonetalon Mountains"},
	{4075, "Sunwell Plateau"},
	{4080, "Isle of Quel'Danas"},
	{4095, "Magisters' Terrace"},
	{41, "Deadwind Pass"},
	{4100, "The Culling of Stratholme"},
	{4120, "The Nexus"},
	{4196, "Drak'Tharon Keep"},
	{4197, "Wintergrasp"},
	{4228, "The Oculus"},
	{4264, "Halls of Stone"},
	{4272, "Halls of Lightning"},
	{4273, "Ulduar"},
	{4375, "Gundrak"},
	{4384, "Strand of the Ancients"},
	{4395, "Dalaran"},
	{44, "Redridge Mountains"},
	{440, "Tanaris"},
	{4411, "Stormwind Harbor"},
	{4415, "The Violet Hold"},
	{4493, "The Obsidian Sanctum"},
	{4494, "Ahn'kahet: The Old Kingdom"},
	{45, "Arathi Highlands"},
	{4500, "The Eye of Eternity"},
	{46, "Burning Steppes"},
	{47, "The Hinterlands"},
	{4706, "Ruins of Gilneas"},
	{4707, "The Lost Isles"},
	{4709, "Southern Barrens"},
	{4710, "Isle of Conquest"},
	{4714, "Gilneas"},
	{4720, "The Lost Isles"},
	{4722, "Trial of the Crusader"},
	{4723, "Trial of the Champion"},
	{4742, "Hrothgar's Landing"},
	{4755, "Gilneas City"},
	{4809, "The Forge of Souls"},
	{4812, "Icecrown Citadel"},
	{4813, "Pit of Saron"},
	{4815, "Kelp'thar Forest"},
	{4820, "Halls of Reflection"},
	{490, "Un'Goro Crater"},
	{491, "Razorfen Kraul"},
	{4922, "Twilight Highlands"},
	{4926, "Blackrock Caverns"},
	{493, "Moonglade"},
	{4945, "Halls of Origination"},
	{495, "Howling Fjord"},
	{4950, "Grim Batol"},
	{4953, "Kelp'thar Forest"},
	{4987, "The Ruby Sanctum"},
	{5004, "Throne of the Tides"},
	{5034, "Uldum"},
	{5035, "The Vortex Pinnacle"},
	{5042, "Deepholm"},
	{5088, "The Stonecore"},
	{5095, "Tol Barad"},
	{51, "Searing Gorge"},
	{5144, "Shimmering Expanse"},
	{5145, "Abyssal Depths"},
	{5146, "Vashj'ir"},
	{5287, "The Cape of Stranglethorn"},
	{5396, "Lost City of the Tol'vir"},
	{5416, "The Maelstrom"},
	{5630, "The Maelstrom"},
	{616, "Mount Hyjal"},
	{618, "Winterspring"},
	{65, "Dragonblight"},
	{66, "Zul'Drak"},
	{67, "The Storm Peaks"},
	{717, "The Stockade"},
	{718, "Wailing Caverns"},
	{719, "Blackfathom Deeps"},
	{721, "Gnomeregan"},
	{722, "Razorfen Downs"},
	{796, "Scarlet Monastery"},
	{8, "Swamp of Sorrows"},
	{85, "Tirisfal Glades"},
	{95, "Redridge Canyons"},
	{989, "Ruins of Uldum"},
	{-1000, "Coldridge Valley"},

}
qcZones = {

	-- Kalimdor --
	--{1, 5695, "Ahn'Qiraj: The Fallen Kingdom"}, -- Not showing on Wowhead --
	{1, 331, "Ashenvale"},
	{1, 16, "Azshara"},
	{1, 3524, "Azuremyst Isle"},
	{1, 1216, "Blackmaw Hold"},
	{1, 3525, "Bloodmyst Isle"},
	{1, 148, "Darkshore"},
	{1, 393, "Darkspear Strand"},
	{1, 1657, "Darnassus"},
	{1, 405, "Desolace"},
	{1, 2577, "Dire Maul"},
	{1, 14, "Durotar"},
	{1, 15, "Dustwallow Marsh"},
	{1, 368, "Echo Isles"},
	{1, 361, "Felwood"},
	{1, 357, "Feralas"},
	{1, 493, "Moonglade"},
	{1, 616, "Mount Hyjal"},
	{1, 215, "Mulgore"},
	{1, 17, "Northern Barrens"},
	{1, 1637, "Orgrimmar"},
	{1, 989, "Ruins of Uldum"},
	{1, 1377, "Silithus"},
	{1, 4709, "Southern Barrens"},
	{1, 406, "Stonetalon Mountains"},
	{1, 440, "Tanaris"},
	{1, 141, "Teldrassil"},
	{1, 3557, "The Exodar"},
	{1, 4707, "The Lost Isles"},
	--{1, 5706, "The Steam Pools"}, -- Not showing on Wowhead --
	{1, 400, "Thousand Needles"},
	{1, 1638, "Thunder Bluff"},
	{1, 5034, "Uldum"},
	--{1, 1216, "Timbermaw Hold"}, -- Not showing on Wowhead --
	{1, 490, "Un'Goro Crater"},
	{1, 618, "Winterspring"},

	--[[ Eastern Kingdoms ]]--
	{2, 36, "Alterac Mountains"},
	{2, 45, "Arathi Highlands"},
	{2, 3, "Badlands"},
	{2, 25, "Blackrock Mountain"},
	{2, 4, "Blasted Lands"},
	{2, 46, "Burning Steppes"},
	--{2, 279, "Dalaran Crater"}, -- Not Showing on Wowhead --
	{2, 41, "Deadwind Pass"},
	{2, 2257, "Deeprun Tram"},
	{2, 1, "Dun Morogh"},
	{2, 10, "Duskwood"},
	{2, 139, "Eastern Plaguelands"},
	{2, 12, "Elwynn Forest"},
	{2, 3430, "Eversong Woods"},
	{2, 3433, "Ghostlands"},
	{2, 287, "Hillsbrad"},
	{2, 267, "Hillsbrad Foothills"},
	{2, 1537, "Ironforge"},
	{2, 4080, "Isle of Quel'Danas"},
	{2, 38, "Loch Modan"},
	{2, 33, "Northern Stranglethorn"},
	--{2, 4298, "Plaguelands: The Scarlet Enclave"}, -- Not Showing on Wowhead --
	{2, 95, "Redridge Canyons"},
	{2, 44, "Redridge Mountains"},
	{2, 51, "Searing Gorge"},
	{2, 3487, "Silvermoon City"},
	{2, 130, "Silverpine Forest"},
	{2, 1519, "Stormwind City"},
	{2, 4411, "Stormwind Harbor"},
	{2, 8, "Swamp of Sorrows"},
	{2, 5287, "The Cape of Stranglethorn"},
	{2, 47, "The Hinterlands"},
	{2, 85, "Tirisfal Glades"},
	{2, 1497, "Undercity"},
	{2, 28, "Western Plaguelands"},
	{2, 40, "Westfall"},
	{2, 11, "Wetlands"},

	-- Outland --
	{3, 3522, "Blade's Edge Mountains"},
	{3, 3483, "Hellfire Peninsula"},
	{3, 3518, "Nagrand"},
	{3, 3523, "Netherstorm"},
	{3, 3520, "Shadowmoon Valley"},
	{3, 3703, "Shattrath City"},
	{3, 3679, "Skettis"}, -- Not showing on Wowhead --
	{3, 3519, "Terokkar Forest"},
	{3, 3521, "Zangarmarsh"},

	-- Northrend --
	{4, 3537, "Borean Tundra"},
	{4, 4024, "Coldarra"}, -- Not showing on Wowhead --
	{4, 2817, "Crystalsong Forest"},
	{4, 4395, "Dalaran"},
	{4, 65, "Dragonblight"},
	{4, 394, "Grizzly Hills"},
	{4, 495, "Howling Fjord"},
	{4, 4742, "Hrothgar's Landing"},
	{4, 210, "Icecrown"},
	{4, 3711, "Sholazar Basin"},
	{4, 67, "The Storm Peaks"},
	{4, 4197, "Wintergrasp"},
	{4, 66, "Zul'Drak"},

	-- Post Cata Zones --
	{5, 5145, "Abyssal Depths"},
	{5, 4714, "Gilneas"},
	{5, 4755, "Gilneas City"},
	{5, 4815, "Kelp'thar Forest"},
	{5, 4953, "Kelp'thar Forest"},
	{5, 4706, "Ruins of Gilneas"},
	{5, 5144, "Shimmering Expanse"},
	{5, 4922, "Twilight Highlands"},
	{5, 5146, "Vashj'ir"},

	-- Elsewhere in Azeroth --
	{6, 5042, "Deepholm"},
	{6, 4737, "Kezan"}, -- Not showing on Wowhead --
	{6, 4720, "The Lost Isles"},
	{6, 5416, "The Maelstrom"},
	{6, 5630, "The Maelstrom"},
	{6, 5095, "Tol Barad"},

}
qcDungeons = {

	-- Classic --
	{10, 719, "Blackfathom Deeps"},
	{10, 1584, "Blackrock Depths"},
	{10, 1583, "Blackrock Spire"},
	{10, 2557, "Dire Maul"},
	{10, 721, "Gnomeregan"},
	{10, 2100, "Maraudon"},
	{10, 2437, "Ragefire Chasm"},
	{10, 722, "Razorfen Downs"},
	{10, 491, "Razorfen Kraul"},
	{10, 796, "Scarlet Monastery"},
	{10, 2057, "Scholomance"},
	{10, 209, "Shadowfang Keep"},
	{10, 2017, "Stratholme"},
	{10, 1477, "Sunken Temple"},
	{10, 1581, "The Deadmines"},
	{10, 717, "The Stockade"},
	{10, 1337, "Uldaman"},
	{10, 718, "Wailing Caverns"},
	{10, 1176, "Zul'Farrak"},

	-- The Burning Crusade --
	{11, 3790, "Auchenai Crypts"},
	{11, 1941, "Caverns of Time"},
	{11, 3905, "Coilfang Reservoir"},
	{11, 3562, "Hellfire Ramparts"},
	{11, 4095, "Magisters' Terrace"},
	{11, 3792, "Mana-Tombs"},
	{11, 2367, "Old Hillsbrad Foothills"},
	{11, 3791, "Sethekk Halls"},
	{11, 3789, "Shadow Labyrinth"},
	{11, 3845, "Tempest Keep"},
	{11, 3846, "The Arcatraz"},
	{11, 2366, "The Black Morass"},
	{11, 3713, "The Blood Furnace"},
	{11, 3847, "The Botanica"},
	{11, 3849, "The Mechanar"},
	{11, 3714, "The Shattered Halls"},
	{11, 3717, "The Slave Pens"},
	{11, 3715, "The Steamvault"},
	{11, 3716, "The Underbog"},

	-- Wrath of the Lich King --
	{12, 4494, "Ahn'kahet: The Old Kingdom"},
	{12, 3477, "Azjol-Nerub"},
	{12, 1941, "Caverns of Time"},
	{12, 4196, "Drak'Tharon Keep"},
	{12, 4375, "Gundrak"},
	{12, 4272, "Halls of Lightning"},
	{12, 4820, "Halls of Reflection"},
	{12, 4264, "Halls of Stone"},
	{12, 4813, "Pit of Saron"},
	{12, 4100, "The Culling of Stratholme"},
	{12, 4809, "The Forge of Souls"},
	{12, 4120, "The Nexus"},
	{12, 4228, "The Oculus"},
	{12, 4415, "The Violet Hold"},
	{12, 4723, "Trial of the Champion"},
	{12, 206, "Utgarde Keep"},
	{12, 1196, "Utgarde Pinnacle"},

	--[[ Cataclysm ]]--
	{13, 4926, "Blackrock Caverns"},
	{13, 4950, "Grim Batol"},
	{13, 4945, "Halls of Origination"},
	{13, 5396, "Lost City of the Tol'vir"},
	{13, 5088, "The Stonecore"},
	{13, 5035, "The Vortex Pinnacle"},
	{13, 5004, "Throne of the Tides"},

	-- Raids --
	{14, 3959, "Black Temple"},
	{14, 2677, "Blackwing Lair"},
	{14, 3606, "Hyjal Summit"},
	{14, 4812, "Icecrown Citadel"},
	{14, 3457, "Karazhan"},
	{14, 3836, "Magtheridon's Lair"},
	{14, 2717, "Molten Core"},
	{14, 3456, "Naxxramas"},
	{14, 2159, "Onyxia's Lair"},
	{14, 3429, "Ruins of Ahn'Qiraj"},
	{14, 4075, "Sunwell Plateau"},
	{14, 3842, "Tempest Keep"},
	{14, 3428, "Temple of Ahn'Qiraj"},
	{14, 4500, "The Eye of Eternity"},
	{14, 4493, "The Obsidian Sanctum"},
	{14, 4987, "The Ruby Sanctum"},
	{14, 4722, "Trial of the Crusader"},
	{14, 4273, "Ulduar"},
	{14, 3805, "Zul'Aman"},
	{14, 1977, "Zul'Gurub"},

}
qcProfessions = {

	{20, -181, "Alchemy"},
	{20, -377, "Archaeology"}, -- TODO: Need to check that Profession ID is correct --
	{20, -121, "Blacksmithing"},
	{20, -304, "Cooking"},
	{20, -201, "Engineering"},
	{20, -324, "First Aid"},
	{20, -101, "Fishing"},
	{20, -24, "Herbalism"},
	{20, -371, "Inscription"},
	{20, -373, "Jewelcrafting"},
	{20, -182, "Leatherworking"},
	{20, -264, "Tailoring"},

}
qcWorldEvents = {

	{21, -370, "Brewfest"},
	{21, -1002, "Children's Week"},
	{21, -364, "Darkmoon Faire"},
	{21, -1007, "Day of the Dead"},
	{21, -1003, "Hallow's End"},
	{21, -1005, "Harvest Festival"},
	{21, -1004, "Love is in the Air"},
	{21, -366, "Lunar Festival"},
	{21, -369, "Midsummer Fire Festival"},
	{21, -1006, "New Year's Eve"},
	{21, -374, "Noblegarden"},
	{21, -1008, "Pilgrim's Bounty"},
	{21, -1001, "Winter Veil"},

}
qcBattlegrounds = {

	{22, 3358, "Arathi Basin"},
	{22, 2597, "Alterac Valley"},
	{22, -25, "Battlegrounds"},
	{22, 3820, "Eye of the Storm"},
	{22, 4710, "Isle of Conquest"},
	{22, 4384, "Strand of the Ancients"},
	{22, 3277, "Warsong Gulch"},

}
qcSpecials = {

	{23, -365, "Ahn'Qiraj War"},
	{23, -23, "Cataclysm"},
	{23, -1010, "Dungeon Finder"},
	{23, -1, "Epic"},
	{23, -344, "Legendary"},
	{23, -367, "Reputation"},
	{23, -368, "Invasion"},
	{23, -241, "Tournament"},
	{23, -9999, "FLAG Quests"},

}
qcClasses = {

	{30, -372, "Death Knight", COLOUR_DEATHKNIGHT},
	{30, -263, "Druid", COLOUR_DRUID},
	{30, -261, "Hunter", COLOUR_HUNTER},
	{30, -161, "Mage", COLOUR_MAGE},
	{30, -141, "Paladin", COLOUR_PALADIN},
	{30, -262, "Priest", COLOUR_PRIEST},
	{30, -162, "Rogue", COLOUR_ROGUE},
	{30, -82, "Shaman", COLOUR_SHAMAN},
	{30, -61, "Warlock", COLOUR_WARLOCK},
	{30, -81, "Warrior", COLOUR_WARRIOR},

}
qcQuestDatabases = { -- {1: Zone ID, 2: Quest ID, 3: Quest Type (1=Normal, 2=Repeatable, 3=Daily, 4=Special 5=Weekly), 4: Recommended Level, 5: Quest Title, 6: Side (1=Alliance, 2=Horde, 3=Both, 4=NoSideProvided), 7: ClassBased (1=Yes 2=No), 8: ClassType (In Capitals eg. WARLOCKMAGE)} --

	--[[

		ZONES - EASTERN KINGDOMS & KALIMDOR

	--]]

	--[[ Badlands 3 ]]--
	{3, 27713, 1, 47, "The Day that Deathwing Came", 2, 2, nil, 2, nil, {nil, nil, "Badlands", 26.4, 62.2, nil}},
	{3, 27714, 1, 47, "The Day that Deathwing Came: The Real Story", 2, 2, nil, 2, nil, {nil, nil, "Badlands", 26.4, 62.2, nil}},
	{3, 27715, 1, 47, "The Day that Deathwing Came: What Really Happened", 2, 2, nil, 2, nil, {nil, nil, "Badlands", 26.3, 62.4, nil}},
	{3, 27764, 1, 45, "A Strange Request", 4, 2, nil, 2, nil, {46652, "Dolph Blastus", "Badlands", 0, 0, nil}},
	{3, 27765, 1, 45, "First Sample: Wild Eggs", 4, 2, nil, 2, nil, {46654, "Rhea", "Badlands", 66.3, 55.4, nil}},
	{3, 27766, 1, 45, "Second Sample: Whelps", 4, 2, nil, 2, nil, {46654, "Rhea", "Badlands", 0, 0, nil}},
	{3, 27769, 1, 45, "Rhea Revealed", 4, 2, nil, 2, nil, {46654, "Rhea", "Badlands", 66.4, 55.5, nil}},
	{3, 27770, 1, 45, "Lifting the Veil", 4, 2, nil, 2, nil, {46654, "Rhea", "Badlands", 66.3, 55.4, nil}},
	{3, 27771, 1, 45, "Third Sample: Implanted Eggs", 4, 2, nil, 2, nil, {46654, "Rhea", "Badlands", 0, 0, nil}},
	{3, 27772, 1, 45, "The Venerable Doctor Blam", 4, 2, nil, 2, nil, {46655, "Rheastrasza", "Badlands", 0, 0, nil}},
	{3, 27774, 1, 45, "Easily Swayed", 4, 2, nil, 2, nil, {46652, "Dolph Blastus", "Badlands", 65, 38.4, nil}},
	{3, 27775, 1, 45, "When the Going Gets Tough, Cheat", 4, 2, nil, 2, nil, {46653, "Garyanne Fleezlebop", "Badlands", 0, 0, nil}},
	{3, 27776, 1, 45, "It's Goat Time, Baby", 4, 2, nil, 2, nil, {46653, "Garyanne Fleezlebop", "Badlands", 64.3, 38, nil}},
	{3, 27789, 1, 46, "Troggish Troubles", 4, 2, nil, 2, nil, {46664, "Dr. Hieronymus Blam", "Badlands", 47.2, 56.4, nil}},
	{3, 27859, 1, 47, "The Egg Lives On", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27877, 1, 46, "The Morons' League", 4, 2, nil, 2, nil, {46759, "Lidia Sunglow", "Badlands", 0, 0, nil}},
	{3, 27878, 1, 46, "Forcible Acquisition", 4, 2, nil, 2, nil, {46758, "Aoren Sunglow", "Badlands", 52.2, 51.6, nil}},
	{3, 27879, 1, 47, "Survival of the Fattest", 4, 2, nil, 2, nil, {46660, "Aidan Summerwind", "Badlands", 18.5, 41.5, nil}},
	{3, 27880, 1, 47, "Half-Ton Holdouts", 4, 2, nil, 2, nil, {1068, "Gorn", "Badlands", 0, 0, nil}},
	{3, 27881, 1, 46, "Bloodwatcher Point", 4, 2, nil, 2, nil, {46664, "Dr. Hieronymus Blam", "Badlands", 46.8, 56.4, nil}},
	{3, 27882, 1, 46, "It's Not About History, It's About Power", 4, 2, nil, 2, nil, {46757, "High Examiner Tae'thelan Bloodwatcher", "Badlands", 52.1, 51.2, nil}},
	{3, 27883, 1, 46, "The Warden's Pawn", 4, 2, nil, 2, nil, {46757, "High Examiner Tae'thelan Bloodwatcher", "Badlands", 52.1, 51.2, nil}},
	{3, 27884, 1, 46, "The Sentinel's Pawn", 4, 2, nil, 2, nil, {46757, "High Examiner Tae'thelan Bloodwatcher", "Badlands", 0, 0, nil}},
	{3, 27885, 1, 46, "The Warden's Game", 3, 2, nil, 2, nil, {nil, nil, "Badlands", 50.3, 54.5, nil}},
	{3, 27886, 1, 46, "The Sentinel's Game", 3, 2, nil, 2, nil, {nil, nil, "Badlands", 48.1, 50.9, nil}},
	{3, 27887, 1, 46, "Ancient Protectors", 3, 2, nil, 2, nil, {nil, nil, "Badlands", 50.2, 54.3, nil}},
	{3, 27888, 1, 46, "Return to Blam", 4, 2, nil, 2, nil, {46768, "The Warden", "Badlands", 0, 0, nil}},
	{3, 27889, 1, 47, "A City Under Siege", 4, 2, nil, 2, nil, {46664, "Dr. Hieronymus Blam", "Badlands", 46.9, 56.3, nil}},
	{3, 27890, 1, 47, "The Bad Dogs", 4, 2, nil, 2, nil, {46654, "Rhea", "Badlands", 18.1, 42.5, nil}},
	{3, 27891, 1, 47, "Amakkar, Jack of All Trades", 4, 2, nil, 2, nil, {47018, "Jurrix Whitemane", "Badlands", 94.3, 85.4, nil}},
	{3, 27892, 1, 47, "Jurrix the Striker", 4, 2, nil, 2, nil, {47018, "Jurrix Whitemane", "Badlands", 0, 0, nil}},
	{3, 27893, 1, 47, "Gargal, the Behemoth", 4, 2, nil, 2, nil, {47022, "Gargal", "Badlands", 0, 0, nil}},
	{3, 27894, 1, 47, "The Wrath of a Dragonflight", 3, 2, nil, 2, nil, {47021, "Amakkar", "Badlands", 21, 42.7, nil}},
	{3, 27895, 1, 47, "Their Hunt Continues", 3, 2, nil, 2, nil, {nil, nil, "Badlands", 25.4, 41.6, nil}},
	{3, 27896, 1, 47, "The Sorrow and the Fury", 3, 2, nil, 2, nil, {nil, nil, "Badlands", 15.3, 42.9, nil}},
	{3, 27897, 1, 47, "The Hidden Clutch", 4, 2, nil, 2, nil, {nil, nil, "Badlands", 10.2, 39.7, nil}},
	{3, 27898, 1, 47, "Rheastrasza's Gift", 4, 2, nil, 2, nil, {nil, nil, "Badlands", 0, 0, nil}},
	{3, 27913, 1, 46, "The Titans' Trove", 4, 2, nil, 2, nil, {46769, "The Sentinel", "Badlands", 50.3, 51.1, nil}},
	{3, 27930, 1, 47, "Devastation", 4, 2, nil, 2, nil, {nil, nil, "Badlands", 0, 0, nil}},
	{3, 27713, 1, 47, "The Day that Deathwing Came", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27769, 1, 45, "Rhea Revealed", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27913, 1, 46, "The Titans' Trove", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27714, 1, 47, "The Day that Deathwing Came: The Real Story", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27762, 1, 45, "Fuselight, Ho!", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27770, 1, 45, "Lifting the Veil", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27930, 1, 47, "Devastation", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27715, 1, 47, "The Day that Deathwing Came: What Really Happened", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27763, 1, 45, "To Fuselight Proper", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27890, 1, 47, "The Bad Dogs", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27859, 1, 47, "The Egg Lives On", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27891, 1, 47, "Amakkar, Jack of All Trades", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27764, 1, 45, "A Strange Request", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27772, 1, 45, "The Venerable Doctor Blam", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27883, 1, 46, "The Warden's Pawn", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27771, 1, 45, "Third Sample: Implanted Eggs", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27893, 1, 47, "Gargal, the Behemoth", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27765, 1, 45, "First Sample: Wild Eggs", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27789, 1, 46, "Troggish Troubles", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27877, 1, 46, "The Morons' League", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27885, 1, 46, "The Warden's Game", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27897, 1, 47, "The Hidden Clutch", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27766, 1, 45, "Second Sample: Whelps", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27774, 1, 45, "Easily Swayed", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27878, 1, 46, "Forcible Acquisition", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27886, 1, 46, "The Sentinel's Game", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27879, 1, 47, "Survival of the Fattest", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27892, 1, 47, "Jurrix the Striker", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27895, 1, 47, "Their Hunt Continues", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27882, 1, 46, "It's Not About History, It's About Power", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27775, 1, 45, "When the Going Gets Tough, Cheat", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27887, 1, 46, "Ancient Protectors", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27894, 1, 47, "The Wrath of a Dragonflight", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27776, 1, 45, "It's Goat Time, Baby", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27880, 1, 47, "Half-Ton Holdouts", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27888, 1, 46, "Return to Blam", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27896, 1, 47, "The Sorrow and the Fury", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27884, 1, 46, "The Sentinel's Pawn", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27881, 1, 46, "Bloodwatcher Point", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27898, 1, 47, "Rheastrasza's Gift", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{3, 27889, 1, 47, "A City Under Siege", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Blasted Lands 4 ]]--
	{4, 28858, 1, 55, "Blasted Lands: The Other Side of the World", 4, 2, nil, 2, nil, {11118, "Innkeeper Vizzie", "Winterspring", 59.8, 51.2, nil}},
	{4, 25674, 1, 55, "Futile Pride", 4, 2, nil, 2, nil, {41124, "Okrilla", "Blasted Lands", 40.5, 11.7, nil}},
	{4, 25675, 1, 55, "Ogre Combat", 4, 2, nil, 2, nil, {41125, "Master Aitokk", "Blasted Lands", 0, 0, nil}},
	{4, 25676, 1, 55, "Heartstrike", 4, 2, nil, 2, nil, {41124, "Okrilla", "Blasted Lands", 0, 0, nil}},
	{4, 25677, 1, 55, "It's All Mine", 4, 2, nil, 2, nil, {41133, "Rofilian Dane", "Blasted Lands", 59.5, 3.5, nil}},
	{4, 25678, 1, 55, "Pick Your Fate", 4, 2, nil, 2, nil, {41133, "Rofilian Dane", "Blasted Lands", 0, 0, nil}},
	{4, 25679, 1, 55, "Into the Mountain", 4, 2, nil, 2, nil, {41133, "Rofilian Dane", "Blasted Lands", 59.5, 3.5, nil}},
	{4, 25680, 1, 55, "That's Not Us", 4, 2, nil, 2, nil, {41134, "Tak'arili", "Blasted Lands", 0, 0, nil}},
	{4, 25681, 1, 55, "Some People Just Need Killing", 4, 2, nil, 2, nil, {41134, "Tak'arili", "Blasted Lands", 62.2, 1.5, nil}},
	{4, 25682, 1, 55, "Mission Complete", 4, 2, nil, 2, nil, {41134, "Tak'arili", "Blasted Lands", 62.2, 1.4, nil}},
	{4, 25683, 1, 55, "The Dreadmaul Furnace", 4, 2, nil, 2, nil, {41124, "Okrilla", "Blasted Lands", 40.5, 11.7, nil}},
	{4, 25684, 1, 55, "Attune the Bloodstone", 4, 2, nil, 2, nil, {7506, "Bloodmage Lynnore", "Blasted Lands", 39.2, 36.2, nil}},
	{4, 25685, 1, 55, "The First Step", 4, 2, nil, 2, nil, {7506, "Bloodmage Lynnore", "Blasted Lands", 39.2, 36.2, nil}},
	{4, 25686, 1, 55, "Blood Ritual", 4, 2, nil, 2, nil, {7506, "Bloodmage Lynnore", "Blasted Lands", 39.2, 36.2, nil}},
	{4, 25687, 1, 55, "Not Just Any Body", 4, 2, nil, 2, nil, {7506, "Bloodmage Lynnore", "Blasted Lands", 0, 0, nil}},
	{4, 25688, 1, 55, "The Altar of Storms", 4, 2, nil, 2, nil, {7506, "Bloodmage Lynnore", "Blasted Lands", 39.2, 36.2, nil}},
	{4, 25689, 1, 56, "Time is Short", 4, 2, nil, 2, nil, {7783, "Loramus Thalipedes", "Blasted Lands", 39.3, 35.8, nil}},
	{4, 25690, 1, 55, "A Bloodmage's Gotta Eat Too", 4, 2, nil, 2, nil, {7505, "Bloodmage Drazial", "Blasted Lands", 0, 0, nil}},
	{4, 25691, 1, 56, "The Charred Granite of the Dark Portal", 4, 2, nil, 2, nil, {41159, "Watcher Wazzik", "Blasted Lands", 54.3, 50.1, nil}},
	{4, 25692, 1, 56, "The Vile Blood of Demons", 4, 2, nil, 2, nil, {41159, "Watcher Wazzik", "Blasted Lands", 0, 0, nil}},
	{4, 25693, 1, 56, "Enhancing the Stone", 4, 2, nil, 2, nil, {41159, "Watcher Wazzik", "Blasted Lands", 0, 0, nil}},
	{4, 25694, 1, 56, "Protecting Our Rear", 4, 2, nil, 2, nil, {19254, "Warlord Dar'toon", "Blasted Lands", 0, 0, nil}},
	{4, 25695, 1, 56, "Watching Our Back", 4, 2, nil, 2, nil, {19254, "Warlord Dar'toon", "Blasted Lands", 54.5, 50.5, nil}},
	{4, 25696, 1, 57, "The Sunveil Excursion", 4, 2, nil, 2, nil, {19254, "Warlord Dar'toon", "Blasted Lands", 54.5, 50.7, nil}},
	{4, 25697, 1, 56, "The Amulet of Allistarj", 4, 2, nil, 2, nil, {7783, "Loramus Thalipedes", "Blasted Lands", 39.3, 35.9, nil}},
	{4, 25698, 1, 56, "The Amulet of Sevine", 4, 2, nil, 2, nil, {7783, "Loramus Thalipedes", "Blasted Lands", 0, 0, nil}},
	{4, 25699, 1, 56, "The Amulet of Grol", 4, 2, nil, 2, nil, {7783, "Loramus Thalipedes", "Blasted Lands", 0, 0, nil}},
	{4, 25700, 1, 56, "Loramus Thalipedes Awaits", 4, 2, nil, 2, nil, {7506, "Bloodmage Lynnore", "Blasted Lands", 39.2, 36.2, nil}},
	{4, 25701, 1, 57, "You Are Rakh'likh, Demon", 4, 2, nil, 2, nil, {7783, "Loramus Thalipedes", "Blasted Lands", 0, 0, nil}},
	{4, 25702, 1, 57, "Home... Gone... Naga...", 4, 2, nil, 2, nil, {41265, "Salt-Flop", "Blasted Lands", 73.1, 47.5, nil}},
	{4, 25703, 1, 57, "Atrocities", 4, 2, nil, 2, nil, {41354, "Neptool", "Blasted Lands", 71, 59.9, nil}},
	{4, 25705, 1, 57, "False Idols", 4, 2, nil, 2, nil, {41354, "Neptool", "Blasted Lands", 71.1, 60, nil}},
	{4, 25706, 1, 57, "Neptool's Revenge", 4, 2, nil, 2, nil, {41354, "Neptool", "Blasted Lands", 0, 0, nil}},
	{4, 25717, 1, 58, "The Demons and the Druid", 4, 2, nil, 2, nil, {42344, "Rohan Sunveil", "Blasted Lands", 49.8, 71.5, nil}},
	{4, 25718, 1, 58, "How Best to Proceed", 4, 2, nil, 2, nil, {42344, "Rohan Sunveil", "Blasted Lands", 49.9, 71.5, nil}},
	{4, 25719, 1, 58, "Demoniac Vessel", 4, 2, nil, 2, nil, {42348, "Elijah Dawnflight", "Blasted Lands", 0, 0, nil}},
	{4, 25720, 1, 59, "The Downfall of Marl Wormthorn", 4, 2, nil, 2, nil, {42344, "Rohan Sunveil", "Blasted Lands", 49.8, 71.5, nil}},
	{4, 25771, 1, 55, "One Draenei's Junk...", 2, 2, nil, 2, nil, {41386, "Bloodwash Barbarian", "Blasted Lands", 60.9, 70.3, nil}},
	{4, 25772, 1, 55, "Kum'isha's Endeavors", 4, 2, nil, 2, nil, {nil, nil, "Blasted Lands", 50.1, 36.5, nil}},
	{4, 28553, 1, 55, "Okrilla and the Blasted Lands", 4, 2, nil, 2, nil, {7623, "Dispatch Commander Ruag", "Swamp of Sorrows", 0, 0, nil}},

	--[[ Swamp of Sorrows 8 ]]--
	{8, 27536, 1, 52, "Mostly Harmless", 4, 2, nil, 2, nil, {45786, "Trade Baron Silversnap", "Swamp of Sorrows", 73.2, 14.8, nil}},
	{8, 27587, 1, 52, "Maliciously Delicious", 4, 2, nil, 2, nil, {45786, "Trade Baron Silversnap", "Swamp of Sorrows", 73.1, 14.8, nil}},
	{8, 27592, 1, 52, "Drinks on the Rocks", 4, 2, nil, 2, nil, {46010, "Brono Goodgroove", "Swamp of Sorrows", 73.6, 9.3, nil}},
	{8, 27597, 1, 52, "Crazy Larry", 4, 2, nil, 2, nil, {45786, "Trade Baron Silversnap", "Swamp of Sorrows", 73.2, 14.7, nil}},
	{8, 27598, 1, 52, "Kill Gil", 4, 2, nil, 2, nil, {45948, "Crazy Larry", "Swamp of Sorrows", 84, 40.3, nil}},
	{8, 27599, 1, 52, "Can't Take It With Them", 4, 2, nil, 2, nil, {45948, "Crazy Larry", "Swamp of Sorrows", 0, 0, nil}},
	{8, 27600, 1, 52, "In with a Bang", 4, 2, nil, 2, nil, {45948, "Crazy Larry", "Swamp of Sorrows", 84, 40.2, nil}},
	{8, 27656, 1, 50, "Croc-Out", 4, 2, nil, 2, nil, {45786, "Trade Baron Silversnap", "Swamp of Sorrows", 0, 0, nil}},
	{8, 27663, 1, 52, "Tastes Like Strider", 4, 2, nil, 2, nil, {46182, "Pierre Fishflay", "Swamp of Sorrows", 0, 0, nil}},
	{8, 27691, 1, 53, "Marshfin Madness", 4, 2, nil, 2, nil, {46172, "Baba Bogbrew", "Swamp of Sorrows", 69.1, 76.4, nil}},
	{8, 27694, 1, 53, "Pool of Tears", 4, 2, nil, 2, nil, {46071, "Lord Itharius", "The Temple of Atal'Hakkar", 54, 79.6, nil}},
	{8, 27704, 1, 53, "Legends of the Sunken Temple", 4, 2, nil, 2, nil, {46071, "Lord Itharius", "The Temple of Atal'Hakkar", 54, 79.7, nil}},
	{8, 27740, 1, 53, "Baba Bogbrew", 4, 2, nil, 2, nil, {45948, "Crazy Larry", "Swamp of Sorrows", 84, 40, nil}},
	{8, 27757, 1, 53, "The Darkest Depths", 4, 2, nil, 2, nil, {46172, "Baba Bogbrew", "Swamp of Sorrows", 69.1, 76.4, nil}},
	{8, 27768, 1, 54, "Step Two: The Bloodletter", 4, 2, nil, 2, nil, {nil, nil, "The Temple of Atal'Hakkar", 74.7, 49.1, nil}},
	{8, 27773, 1, 54, "Step Three: Prophet", 4, 2, nil, 2, nil, {nil, nil, "The Temple of Atal'Hakkar", 77.3, 47.4, nil}},
	{8, 27818, 1, 53, "Slithering Signs", 4, 2, nil, 2, nil, {46172, "Baba Bogbrew", "Swamp of Sorrows", 69.1, 76.5, nil}},
	{8, 27852, 1, 54, "Orcs and Humans", 4, 2, nil, 2, nil, {7623, "Dispatch Commander Ruag", "Swamp of Sorrows", 49.4, 55.4, nil}},
	{8, 27853, 1, 54, "Lumbering Oafs", 4, 2, nil, 2, nil, {7623, "Dispatch Commander Ruag", "Swamp of Sorrows", 0, 0, nil}},
	{8, 27854, 1, 54, "Tides of Darkness", 4, 2, nil, 2, nil, {7623, "Dispatch Commander Ruag", "Swamp of Sorrows", 49.4, 55.4, nil}},
	{8, 27855, 1, 54, "Reinforcements Denied", 4, 2, nil, 2, nil, {7623, "Dispatch Commander Ruag", "Swamp of Sorrows", 0, 0, nil}},
	{8, 27856, 1, 54, "Marking the Fallen", 4, 2, nil, 2, nil, {nil, nil, "Swamp of Sorrows", 0, 0, nil}},
	{8, 27857, 1, 54, "We're Under Attack!", 4, 2, nil, 2, nil, {7623, "Dispatch Commander Ruag", "Swamp of Sorrows", 49.5, 55.4, nil}},
	{8, 27869, 1, 53, "The Dragon and the Temple", 4, 2, nil, 2, nil, {46172, "Baba Bogbrew", "Swamp of Sorrows", 69.1, 76.5, nil}},
	{8, 27906, 1, 55, "Neeka Bloodscar", 4, 2, nil, 2, nil, {7623, "Dispatch Commander Ruag", "Swamp of Sorrows", 99.6, 35.8, nil}},
	{8, 27907, 1, 55, "Prayerblossom", 4, 2, nil, 2, nil, {47041, "Neeka Bloodscar", "Swamp of Sorrows", 21.2, 51.8, nil}},
	{8, 27908, 1, 55, "Secrets of the Mire", 4, 2, nil, 2, nil, {47041, "Neeka Bloodscar", "Swamp of Sorrows", 0, 0, nil}},
	{8, 27909, 1, 55, "The Purespring", 4, 2, nil, 2, nil, {47041, "Neeka Bloodscar", "Swamp of Sorrows", 21.2, 51.7, nil}},
	{8, 27910, 1, 55, "Last Regrets", 4, 2, nil, 2, nil, {47041, "Neeka Bloodscar", "Swamp of Sorrows", 0, 0, nil}},
	{8, 27911, 1, 55, "With Dying Breath", 4, 2, nil, 2, nil, {47041, "Neeka Bloodscar", "Swamp of Sorrows", 21.3, 51.7, nil}},

	--[[ Duskwood 10 ]]--
	{10, 26728, 1, 20, "Hero's Call: Duskwood!", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Elwynn Forest 12 ]]--
	{12, 35, 1, 10, "Further Concerns", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 147, 1, 10, "Manhunt", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 47, 1, 7, "Gold Dust Exchange", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 59, 1, 10, "Cloth and Leather Armor", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 106, 1, 6, "Young Lovers", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 114, 1, 7, "The Escape", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 26389, 1, 4, "Blackrock Invasion", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 26393, 1, 7, "A Swift Message", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 71, 1, 10, "Report to Thomas", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 83, 1, 10, "Fine Linen Goods", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 87, 1, 8, "Goldtooth", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 123, 1, 10, "The Collector", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 26390, 1, 5, "Ending the Invasion!", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 26394, 1, 7, "Continue to Stormwind", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 11, 1, 10, "Riverpaw Gnoll Bounty", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 28780, 1, 3, "Join the Battle!", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 111, 1, 6, "Speak with Gramma", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 28817, 1, 4, "The Rear is Clear", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 40, 1, 10, "A Fishy Peril", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 52, 1, 10, "Protect the Frontier", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 54, 1, 5, "Report to Goldshire", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 60, 1, 7, "Kobold Candles", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 62, 1, 7, "The Fargodeep Mine", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 76, 1, 10, "The Jasperlode Mine", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 88, 1, 9, "Princess Must Die!", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 112, 1, 7, "Collecting Kelp", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 5545, 1, 10, "A Bundle of Trouble", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 26391, 1, 4, "Extinguishing Hope", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 26395, 1, 10, "Dungar Longdrink", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 46, 1, 10, "Bounty on Murlocs", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 2158, 1, 5, "Rest and Relaxation", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 28806, 1, 3, "Fear No Evil", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 176, 1, 11, "Wanted: \"Hogger\" [Group]", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 107, 1, 6, "Note to William", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 85, 1, 6, "Lost Necklace", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 37, 1, 10, "Find the Lost Guards", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 26396, 1, 10, "Return to Argus", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 84, 1, 6, "Back to Billy", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{12, 28767, 1, 3, "Beating them Back!", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Durotar 14 ]]--
	{14, 25165, 1, 6, "Never Trust a Big Barb and a Smile", 2, 2, nil, 1, "TODO:RACE", {nil, nil, nil, nil, nil, nil}},
	{14, 25264, 1, 13, "Ak'Zeloth", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{14, 834, 1, 9, "Winds in the Desert", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{14, 835, 1, 9, "Securing the Lines", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Dustwallow Marsh 15 ]]--
	{15, 27413, 1, 39, "Catch a Dragon by the Tail", 4, 2, nil, 2, nil, {23570, "Gizzix Grimegurgle", "Dustwallow Marsh", 41.6, 73, nil}},
	{15, 27255, 1, 37, "The Black Shield", 4, 2, nil, 2, nil, {4926, "Krog", "Dustwallow Marsh", 36.4, 31.8, nil}},
	{15, 27256, 1, 37, "The Black Shield", 4, 2, nil, 2, nil, {5087, "Do'gol", "Dustwallow Marsh", 36.5, 30.9, nil}},
	{15, 25292, 1, 35, "Next of Kin", 4, 2, nil, 2, nil, {39697, "Nato Raintree", "Southern Barrens", 49.2, 82.2, nil}},
	{15, 26682, 1, 36, "A Shambling Threat", 4, 2, nil, 2, nil, {4926, "Krog", "Dustwallow Marsh", 36.4, 31.8, nil}},
	{15, 27182, 1, 36, "The Hermit of Witch Hill", 2, 2, nil, 2, nil, {4501, "Draz'Zilb", "Dustwallow Marsh", 37.1, 33, nil}},
	{15, 27183, 1, 36, "Marsh Frog Legs", 4, 2, nil, 2, nil, {4792, "\"Swamp Eye\" Jarl", "Dustwallow Marsh", 55.4, 26.4, nil}},
	{15, 27184, 1, 36, "Jarl Needs Eyes", 4, 2, nil, 2, nil, {4792, "\"Swamp Eye\" Jarl", "Dustwallow Marsh", 55.4, 26.3, nil}},
	{15, 27186, 1, 36, "Jarl Needs a Blade", 4, 2, nil, 2, nil, {4792, "\"Swamp Eye\" Jarl", "Dustwallow Marsh", 55.4, 26.3, nil}},
	{15, 27188, 1, 36, "What's Haunting Witch Hill?", 4, 2, nil, 2, nil, {23843, "Mordant Grimsby", "Dustwallow Marsh", 55.4, 26.4, nil}},
	{15, 27189, 1, 36, "The Witch's Bane", 4, 2, nil, 2, nil, {23843, "Mordant Grimsby", "Dustwallow Marsh", 55.5, 26.2, nil}},
	{15, 27190, 1, 36, "Cleansing Witch Hill", 4, 2, nil, 2, nil, {23843, "Mordant Grimsby", "Dustwallow Marsh", 55.4, 26.3, nil}},
	{15, 27191, 1, 36, "Hungry as an Ogre!", 4, 2, nil, 2, nil, {4792, "\"Swamp Eye\" Jarl", "Dustwallow Marsh", 55.4, 26.3, nil}},
	{15, 27229, 1, 36, "SMASH BROODQUEEN", 4, 2, nil, 2, nil, {4501, "Draz'Zilb", "Dustwallow Marsh", 37.4, 31.6, nil}},
	{15, 27244, 1, 36, "The Lost Report", 4, 2, nil, 2, nil, {23843, "Mordant Grimsby", "Dustwallow Marsh", 55.4, 26, nil}},
	{15, 27253, 1, 37, "Inspecting the Ruins", 4, 2, nil, 2, nil, {4926, "Krog", "Dustwallow Marsh", 36.4, 31.8, nil}},
	{15, 27257, 1, 37, "The Black Shield", 4, 2, nil, 2, nil, {5087, "Do'gol", "Dustwallow Marsh", 36.5, 30.9, nil}},
	{15, 27258, 1, 37, "The Black Shield", 4, 2, nil, 2, nil, {4926, "Krog", "Dustwallow Marsh", 36.4, 31.8, nil}},
	{15, 27259, 1, 37, "Suspicious Hoofprints", 4, 2, nil, 2, nil, {nil, nil, "Dustwallow Marsh", 29.7, 47.7, nil}},
	{15, 27260, 1, 37, "Lieutenant Paval Reethe", 4, 2, nil, 2, nil, {nil, nil, "Dustwallow Marsh", 29.8, 48.1, nil}},
	{15, 27261, 1, 37, "Questioning Reethe", 4, 2, nil, 2, nil, {4983, "Ogron", "Dustwallow Marsh", 40.9, 36.7, nil}},
	{15, 27292, 1, 37, "Return to Krog", 4, 2, nil, 2, nil, {nil, nil, "Thunder Bluff", 54.3, 80.3, nil}},
	{15, 27293, 1, 38, "The Grimtotem Plot", 4, 2, nil, 2, nil, {4926, "Krog", "Dustwallow Marsh", 36.4, 31.8, nil}},
	{15, 27294, 1, 37, "More than Coincidence", 4, 2, nil, 2, nil, {4926, "Krog", "Dustwallow Marsh", 36.4, 31.8, nil}},
	{15, 27295, 1, 38, "Seek Out Tabetha", 4, 2, nil, 2, nil, {4926, "Krog", "Dustwallow Marsh", 36.4, 31.8, nil}},
	{15, 27296, 1, 38, "Raze Direhorn Post!", 4, 2, nil, 2, nil, {6546, "Tabetha", "Dustwallow Marsh", 46, 57.2, nil}},
	{15, 27297, 1, 38, "Justice Dispensed", 4, 2, nil, 2, nil, {6546, "Tabetha", "Dustwallow Marsh", 46, 57.2, nil}},
	{15, 27336, 1, 38, "The Grimtotem Weapon", 4, 2, nil, 2, nil, {23601, "Apprentice Garion", "Dustwallow Marsh", 46, 57.2, nil}},
	{15, 27339, 1, 38, "The Reagent Thief", 4, 2, nil, 2, nil, {23601, "Apprentice Garion", "Dustwallow Marsh", 46, 57.2, nil}},
	{15, 27340, 1, 38, "Direhorn Raiders", 4, 2, nil, 2, nil, {23600, "Apprentice Morlann", "Dustwallow Marsh", 46, 57.5, nil}},
	{15, 27347, 1, 38, "Corrosion Prevention", 4, 2, nil, 2, nil, {23797, "Moxie Steelgrille", "Dustwallow Marsh", 53.5, 57, nil}},
	{15, 27407, 1, 39, "Bloodfen Feathers", 4, 2, nil, 2, nil, {23579, "Brogg", "Dustwallow Marsh", 41.8, 73.9, nil}},
	{15, 27408, 1, 39, "Banner of the Stonemaul", 4, 2, nil, 2, nil, {40345, "Thyssiana", "Dustwallow Marsh", 41.8, 73.9, nil}},
	{15, 27409, 1, 39, "The Essence of Enmity", 4, 2, nil, 2, nil, {23579, "Brogg", "Dustwallow Marsh", 41.8, 73.9, nil}},
	{15, 27410, 1, 39, "Spirits of Stonemaul Hold", 4, 2, nil, 2, nil, {23579, "Brogg", "Dustwallow Marsh", 41.8, 73.9, nil}},
	{15, 27411, 1, 39, "Challenge to the Black Flight", 4, 2, nil, 2, nil, {nil, nil, "Dustwallow Marsh", 41.8, 73.8, nil}},
	{15, 27412, 1, 39, "WANTED: Goreclaw the Ravenous", 4, 2, nil, 2, nil, {23636, "Mudsprocket Bruiser", "Dustwallow Marsh", 41.8, 73.2, nil}},
	{15, 27416, 1, 39, "The Brood of Onyxia", 4, 2, nil, 2, nil, {4501, "Draz'Zilb", "Dustwallow Marsh", 37.1, 33, nil}},
	{15, 27417, 1, 39, "The Brood of Onyxia", 4, 2, nil, 2, nil, {4500, "Overlord Mok'Morokk", "Dustwallow Marsh", 36.3, 31.5, nil}},
	{15, 27418, 1, 39, "Challenge Overlord Mok'Morokk [Group]", 4, 2, nil, 2, nil, {4500, "Overlord Mok'Morokk", "Dustwallow Marsh", 36.3, 31.5, nil}},

	--[[ Azshara 16 ]]--
	{16, 14117, 1, 10, "The Eyes of Ashenvale", 2, 2, nil, 2, nil, {8576, "Ag'tor Bloodfist", "Azshara", 26.9, 77, nil}},
	{16, 14118, 1, 10, "Venison for the Troops", 2, 2, nil, 2, nil, {8576, "Ag'tor Bloodfist", "Azshara", 26.9, 77, nil}},
	{16, 14127, 1, 10, "Return of the Highborne?", 2, 2, nil, 2, nil, {nil, nil, "Azshara", 26.2, 74.6, nil}},
	{16, 14128, 1, 10, "Return of the Highborne?", 2, 2, nil, 2, nil, {8576, "Ag'tor Bloodfist", "Azshara", 26.9, 76.9, nil}},
	{16, 14129, 1, 11, "Runaway Shredder!", 2, 2, nil, 2, nil, {35086, "Labor Captain Grabbit", "Azshara", 27, 77.1, nil}},
	{16, 14134, 1, 11, "The Captain's Logs", 4, 2, nil, 2, nil, {35129, "Reprogrammed Shredder", "Azshara", 27, 77, nil}},
	{16, 14135, 1, 11, "Up a Tree", 4, 2, nil, 2, nil, {nil, nil, "Azshara", 27.5, 72.9, nil}},
	{16, 14146, 1, 11, "Defend the Gates!", 4, 2, nil, 2, nil, {nil, nil, "Azshara", 31, 74.1, nil}},
	{16, 14155, 1, 11, "Arborcide", 2, 2, nil, 2, nil, {nil, nil, "Azshara", 27.2, 76.9, nil}},
	{16, 14161, 1, 11, "Basilisk Bashin'", 2, 2, nil, 2, nil, {35091, "Horzak Zignibble", "Azshara", 29.1, 66.3, nil}},
	{16, 14162, 1, 11, "Report to Horzak", 2, 2, nil, 2, nil, {35086, "Labor Captain Grabbit", "Azshara", 27, 77.1, nil}},
	{16, 14165, 1, 11, "Stone Cold", 2, 2, nil, 2, nil, {35091, "Horzak Zignibble", "Azshara", 29.1, 66.3, nil}},
	{16, 14190, 1, 11, "The Perfect Prism", 2, 2, nil, 2, nil, {35091, "Horzak Zignibble", "Azshara", 29.1, 66.3, nil}},
	{16, 14192, 1, 11, "Prismbreak", 2, 2, nil, 2, nil, {nil, nil, "Azshara", 20.3, 70.3, nil}},
	{16, 14194, 1, 11, "Refleshification", 2, 2, nil, 2, nil, {nil, nil, "Azshara", 20.1, 70.1, nil}},
	{16, 14197, 1, 11, "A Quota to Meet", 2, 2, nil, 2, nil, {35085, "Foreman Fisk", "Azshara", 29.2, 66.4, nil}},
	{16, 14308, 1, 13, "When Science Attacks", 2, 2, nil, 2, nil, {36077, "Assistant Greely", "Azshara", 50.4, 74.4, nil}},
	{16, 14310, 1, 13, "Segmentation Fault: Core Dumped", 2, 2, nil, 2, nil, {nil, nil, "Azshara", 43.8, 77.3, nil}},
	{16, 14370, 1, 13, "Mysterious Azsharite", 2, 2, nil, 2, nil, {36077, "Assistant Greely", "Azshara", 50.3, 74.3, nil}},
	{16, 14468, 1, 13, "Another Warm Body", 2, 2, nil, 2, nil, {36752, "Private Worcester", "Azshara", 29.5, 66.8, nil}},
	{16, 14469, 1, 13, "Hand-me-downs", 2, 2, nil, 2, nil, {36749, "Commander Molotov", "Azshara", 29.4, 57.7, nil}},
	{16, 14470, 1, 13, "Military Breakthrough", 2, 2, nil, 2, nil, {36744, "Glix Grindlock", "Azshara", 29.4, 57.6, nil}},
	{16, 14471, 1, 13, "First Degree Mortar", 2, 2, nil, 2, nil, {36746, "Xiz \"The Eye\" Salvoblast", "Azshara", 29.2, 57.9, nil}},
	{16, 14472, 1, 13, "In The Face!", 2, 2, nil, 2, nil, {36744, "Glix Grindlock", "Azshara", 29.4, 57.7, nil}},
	{16, 24452, 1, 13, "Profitability Scouting", 2, 2, nil, 2, nil, {36749, "Commander Molotov", "Azshara", 29.4, 57.7, nil}},
	{16, 28496, 1, 10, "Warchief's Command: Azshara!", 2, 2, nil, 2, nil, {nil, nil, "Orgrimmar", 66.3, 49, nil}},

	--[[ Northern Barrens 17 ]]--
	{17, 13963, 1, 12, "By Hook Or By Crook", 2, 2, nil, 2, nil, {34513, "Togrik", "Northern Barrens", 56.6, 40.3, nil}},
	{17, 13971, 1, 12, "The Kodo's Return", 2, 2, nil, 2, nil, {34547, "Grol'dom Kodo", "Northern Barrens", 58, 49.2, nil}},
	{17, 13995, 1, 14, "King of Centaur Mountain", 4, 2, nil, 2, nil, {34634, "Gorgal Angerscar", "Northern Barrens", 55, 78.8, nil}},
	{17, 14003, 1, 14, "Samophlange Repair", 4, 2, nil, 2, nil, {3442, "Sputtervalve", "Northern Barrens", 62.3, 17.5, nil}},
	{17, 14067, 1, 15, "The Stolen Silver", 2, 2, nil, 2, nil, {nil, nil, "Northern Barrens", 64.4, 57.8, nil}},
	{17, 13988, 1, 13, "A Growing Problem", 2, 2, nil, 2, nil, {nil, nil, "Northern Barrens", 49.5, 58.8, nil}},
	{17, 14004, 1, 15, "Return to Samophlanger", 4, 2, nil, 2, nil, {9316, "Wenikee Boltbucket", "Northern Barrens", 44.4, 25, nil}},
	{17, 14068, 1, 16, "Waptor Twapping", 4, 2, nil, 2, nil, {34828, "Kala'ma", "Northern Barrens", 62.3, 63.9, nil}},
	{17, 13878, 1, 11, "Through Fire and Flames", 2, 2, nil, 2, nil, {34284, "Dorak", "Northern Barrens", 67.1, 45.5, nil}},
	{17, 13949, 1, 12, "Crossroads Caravan Pickup", 2, 2, nil, 2, nil, {34258, "Halga Bloodeye", "Northern Barrens", 67.5, 38.8, nil}},
	{17, 13961, 1, 12, "Drag it Out of Them", 2, 2, nil, 2, nil, {34513, "Togrik", "Northern Barrens", 56.6, 40.4, nil}},
	{17, 13968, 1, 12, "The Tortusk Takedown", 2, 2, nil, 2, nil, {34513, "Togrik", "Northern Barrens", 56.6, 40.2, nil}},
	{17, 13969, 1, 12, "Grol'dom's Missing Kodo", 2, 2, nil, 2, nil, {5907, "Kranal Fiss", "Northern Barrens", 56.4, 40.4, nil}},
	{17, 13970, 1, 12, "Animal Services", 2, 2, nil, 2, nil, {34547, "Grol'dom Kodo", "Northern Barrens", 58, 49.2, nil}},
	{17, 13973, 1, 12, "The Grol'dom Militia", 2, 2, nil, 2, nil, {34560, "Una Wolfclaw", "Northern Barrens", 54, 41.3, nil}},
	{17, 13975, 1, 13, "Crossroads Caravan Delivery", 4, 2, nil, 2, nil, {34578, "Rocco Whipshank", "Northern Barrens", 54.7, 41.5, nil}},
	{17, 13991, 1, 15, "The Purloined Payroll", 2, 2, nil, 2, nil, {3338, "Sergra Darkthorn", "Northern Barrens", 49.9, 59.9, nil}},
	{17, 13992, 1, 13, "A Little Diversion", 2, 2, nil, 2, nil, {34613, "Ta'jari", "Northern Barrens", 37.6, 45.8, nil}},
	{17, 13998, 1, 14, "In Fungus We Trust", 2, 2, nil, 2, nil, {3390, "Apothecary Helbrim", "Northern Barrens", 48.7, 58.4, nil}},
	{17, 13999, 1, 14, "Who's Shroomin' Who?", 2, 2, nil, 2, nil, {3390, "Apothecary Helbrim", "Northern Barrens", 48.7, 58.4, nil}},
	{17, 14006, 1, 14, "Read the Manual", 4, 2, nil, 2, nil, {3256, "Sunscale Scytheclaw", "Northern Barrens", 62.3, 17.5, nil}},
	{17, 14034, 1, 16, "Club Foote", 4, 2, nil, 2, nil, {3391, "Gazlowe", "Northern Barrens", 68.4, 69.2, nil}},
	{17, 14038, 1, 16, "Love it or Limpet", 4, 2, nil, 2, nil, {3391, "Gazlowe", "Northern Barrens", 68.4, 69.2, nil}},
	{17, 14042, 1, 16, "Ammo Kerblammo", 4, 2, nil, 2, nil, {nil, nil, "Northern Barrens", 72.4, 84.9, nil}},
	{17, 14045, 1, 16, "Find Baron Longshore", 4, 2, nil, 2, nil, {3391, "Gazlowe", "Northern Barrens", 68.4, 69.2, nil}},
	{17, 14046, 1, 16, "The Baron's Demands", 4, 2, nil, 2, nil, {3467, "Baron Longshore", "Northern Barrens", 69.9, 85.3, nil}},
	{17, 14049, 1, 16, "A Most Unusual Map", 2, 2, nil, 2, nil, {3467, "Baron Longshore", "Northern Barrens", 70, 85.2, nil}},
	{17, 14050, 1, 16, "Gazlowe's Fortune", 4, 2, nil, 2, nil, {3391, "Gazlowe", "Northern Barrens", 68.4, 69.2, nil}},
	{17, 14052, 1, 16, "Take it up with Tony", 4, 2, nil, 2, nil, {3453, "Wharfmaster Dizzywig", "Northern Barrens", 69.6, 72.9, nil}},
	{17, 14056, 1, 16, "Glomp is Sitting On It", 4, 2, nil, 2, nil, {34749, "Tony Two-Tusk", "Northern Barrens", 77.3, 91.3, nil}},
	{17, 14057, 1, 16, "Guns. We Need Guns.", 4, 2, nil, 2, nil, {34749, "Tony Two-Tusk", "Northern Barrens", 77.3, 91.3, nil}},
	{17, 14063, 1, 17, "Mutiny, Mon!", 4, 2, nil, 2, nil, {34749, "Tony Two-Tusk", "Northern Barrens", 77.3, 91.3, nil}},
	{17, 14066, 1, 15, "Investigate the Wreckage", 2, 2, nil, 2, nil, {3464, "Gazrog", "Northern Barrens", 66.9, 72.7, nil}},
	{17, 14072, 1, 15, "Flushing Out Verog", 2, 2, nil, 2, nil, {34638, "Shoe", "Northern Barrens", 55.2, 78.3, nil}},
	{17, 14073, 1, 18, "Deathgate's Reinforcements", 4, 2, nil, 2, nil, {3429, "Thork", "Northern Barrens", 48.7, 59.5, nil}},
	{17, 26769, 1, 16, "Raging River Ride", 4, 2, nil, 2, nil, {3391, "Gazlowe", "Northern Barrens", 68.4, 69.2, nil}},
	{17, 28877, 1, 15, "They Call Him Swiftdagger. He Kills Harpies.", 4, 2, nil, 2, nil, {nil, nil, "Northern Barrens", 62.5, 17.2, nil}},
	{17, 3921, 1, 14, "Wenikee Boltbucket", 4, 2, nil, 2, nil, {34674, "Brak Blusterpipe", "Northern Barrens", 62.6, 17.1, nil}},
	{17, 3922, 1, 15, "Nugget Slugs", 4, 2, nil, 2, nil, {9316, "Wenikee Boltbucket", "Northern Barrens", 44.3, 24.9, nil}},
	{17, 4021, 1, 20, "Counterattack! [Group]", 4, 2, nil, 2, nil, {3389, "Regthar Deathgate", "Northern Barrens", 37.9, 55.3, nil}},
	{17, 5041, 1, 12, "Supplies for the Crossroads", 2, 2, nil, 2, nil, {34258, "Halga Bloodeye", "Northern Barrens", 67.5, 38.8, nil}},
	{17, 822, 2, 24, "Chen's Empty Keg", 2, 2, nil, 2, nil, {3292, "Brewmaster Drohn", "Northern Barrens", 67.7, 72.8, nil}},
	{17, 844, 1, 12, "Plainstrider Menace", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{17, 845, 1, 13, "The Zhevra", 2, 2, nil, 2, nil, {3338, "Sergra Darkthorn", "Northern Barrens", 49.9, 59.8, nil}},
	{17, 848, 1, 15, "Fungal Spores", 2, 2, nil, 2, nil, {3390, "Apothecary Helbrim", "Northern Barrens", 48.7, 58.3, nil}},
	{17, 850, 1, 14, "Kolkar Leaders", 2, 2, nil, 2, nil, {34841, "Telar Highstrider", "Northern Barrens", 38.1, 46.5, nil}},
	{17, 851, 1, 16, "Verog the Dervish", 4, 2, nil, 2, nil, {34638, "Shoe", "Northern Barrens", 55.2, 78.4, nil}},
	{17, 852, 1, 19, "Hezrul Bloodmark", 4, 2, nil, 2, nil, {3389, "Regthar Deathgate", "Northern Barrens", 37.9, 55.2, nil}},
	{17, 855, 1, 18, "Centaur Bracers", 2, 2, nil, 2, nil, {3389, "Regthar Deathgate", "Northern Barrens", 37.9, 55.2, nil}},
	{17, 858, 1, 18, "Ignition", 4, 2, nil, 2, nil, {3439, "Wizzlecrank's Shredder", "Northern Barrens", 57.5, 18.2, nil}},
	{17, 863, 1, 18, "The Escape", 4, 2, nil, 2, nil, {3439, "Wizzlecrank's Shredder", "Northern Barrens", 57.5, 18.4, nil}},
	{17, 865, 1, 18, "It's Gotta be the Horn", 4, 2, nil, 2, nil, {3446, "Mebok Mizzyrix", "Northern Barrens", 67.9, 71.5, nil}},
	{17, 867, 1, 15, "Harpy Raiders", 4, 2, nil, 2, nil, {nil, nil, "Northern Barrens", 30.6, 45.9, nil}},
	{17, 869, 1, 15, "To Track a Thief", 4, 2, nil, 2, nil, {nil, nil, "Northern Barrens", 59.2, 67.5, nil}},
	{17, 870, 1, 13, "The Forgotten Pools", 2, 2, nil, 2, nil, {3448, "Tonga Runetotem", "Northern Barrens", 49.5, 58.6, nil}},
	{17, 871, 1, 12, "In Defense of Far Watch", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{17, 872, 1, 12, "The Far Watch Offensive", 2, 2, nil, 2, nil, {3337, "Kargal Battlescar", "Northern Barrens", 67.7, 39.4, nil}},
	{17, 875, 1, 16, "Harpy Lieutenants", 4, 2, nil, 2, nil, {3449, "Darsok Swiftdagger", "Northern Barrens", 30.6, 45.8, nil}},
	{17, 876, 1, 20, "Serena Bloodfeather", 4, 2, nil, 2, nil, {3255, "Sunscale Screecher", "Northern Barrens", 30.7, 45.8, nil}},
	{17, 877, 1, 16, "The Stagnant Oasis", 4, 2, nil, 2, nil, {34626, "Jerrik Highmountain", "Northern Barrens", 60.6, 85.3, nil}},
	{17, 880, 1, 14, "Altered Beings", 4, 2, nil, 2, nil, {34626, "Jerrik Highmountain", "Northern Barrens", 60.6, 85.3, nil}},
	{17, 881, 1, 13, "Echeyakee", 2, 2, nil, 2, nil, {3338, "Sergra Darkthorn", "Northern Barrens", 50, 59.9, nil}},
	{17, 887, 1, 16, "Southsea Freebooters", 4, 2, nil, 2, nil, {nil, nil, "Northern Barrens", 69.6, 72.9, nil}},
	{17, 891, 1, 15, "A Captain's Vengeance", 2, 2, nil, 2, nil, {3339, "Captain Thalo'thas Brightsun", "Northern Barrens", 67.6, 74, nil}},
	{17, 894, 1, 14, "Samophlange", 4, 2, nil, 2, nil, {nil, nil, "Northern Barrens", 62.3, 17.3, nil}},
	{17, 895, 1, 16, "WANTED: Cap'n Garvey", 2, 2, nil, 2, nil, {3391, "Gazlowe", "Northern Barrens", 68.3, 71.4, nil}},
	{17, 896, 1, 16, "Miner's Fortune", 4, 2, nil, 2, nil, {34674, "Brak Blusterpipe", "Northern Barrens", 62.8, 17.1, nil}},
	{17, 899, 1, 12, "Consumed by Hatred", 2, 2, nil, 2, nil, {3432, "Mankrik", "Northern Barrens", 55.2, 41, nil}},
	{17, 900, 1, 14, "Samophlange", 4, 2, nil, 2, nil, {nil, nil, "Northern Barrens", 50.3, 25.7, nil}},
	{17, 901, 1, 14, "Samophlange", 4, 2, nil, 2, nil, {nil, nil, "Northern Barrens", 50.2, 25.7, nil}},
	{17, 902, 1, 16, "Samophlange", 4, 2, nil, 2, nil, {nil, nil, "Northern Barrens", 50.4, 25.6, nil}},
	{17, 903, 1, 13, "Hunting the Huntress", 2, 2, nil, 2, nil, {3338, "Sergra Darkthorn", "Northern Barrens", 49.9, 59.8, nil}},
	{17, 905, 1, 14, "Into the Raptor's Den", 2, 2, nil, 2, nil, {3338, "Sergra Darkthorn", "Northern Barrens", 49.9, 59.9, nil}},
	{17, 13878, 1, 11, "Through Fire and Flames", 2, 2, nil, 2, nil, {34284, "Dorak", "Northern Barrens", 67.1, 45.4, nil}},
	{17, 26642, 1, 12, "Preserving the Barrens", 2, 2, nil, 2, nil, {35068, "Gotura Fourwinds", "Orgrimmar", 47.9, 71.3, nil}},
	{17, 844, 1, 12, "Plainstrider Menace", 2, 2, nil, 2, nil, {34258, "Halga Bloodeye", "Northern Barrens", 67.6, 38.9, nil}},
	{17, 871, 1, 12, "In Defense of Far Watch", 2, 2, nil, 2, nil, {3337, "Kargal Battlescar", "Northern Barrens", 67.7, 39.3, nil}},

	--[[ Western Plaguelands 28 ]]--
	{28, 26934, 1, 36, "Latent Disease", 2, 2, nil, 2, nil, {11057, "Apothecary Dithers", "Tirisfal Glades", 83.2, 69.3, nil}},
	{28, 26920, 1, 35, "The Battle for Andorhal", 2, 2, nil, 2, nil, {10837, "High Executor Derrington", "Tirisfal Glades", 83.2, 69.1, nil}},
	{28, 26931, 1, 36, "Foxes and Hounds", 2, 2, nil, 2, nil, {11055, "Shadow Priestess Vandis", "Tirisfal Glades", 83.4, 69.9, nil}},
	{28, 26920, 1, 35, "The Battle for Andorhal", 2, 2, nil, 2, nil, {10837, "High Executor Derrington", "Tirisfal Glades", 83.2, 69.1, nil}},
	{28, 26921, 1, 35, "Scourge First... Alliance Later", 4, 2, nil, 2, nil, {44452, "Koltira Deathweaver", "Western Plaguelands", 47.7, 65.2, nil}},
	{28, 26922, 1, 35, "The Endless Flow", 4, 2, nil, 2, nil, {44462, "Jearl Donald", "Western Plaguelands", 47.3, 64.4, nil}},
	{28, 26923, 1, 35, "War Machines", 4, 2, nil, 2, nil, {44466, "Lindsay Ravensun", "Western Plaguelands", 0, 0, nil}},
	{28, 26924, 1, 35, "Scholomancer", 4, 2, nil, 2, nil, {44452, "Koltira Deathweaver", "Western Plaguelands", 47.8, 65.2, nil}},
	{28, 26925, 1, 34, "Araj the Summoner", 4, 2, nil, 2, nil, {44462, "Jearl Donald", "Western Plaguelands", 47.4, 64.5, nil}},
	{28, 26926, 1, 35, "Victory, For Now", 4, 2, nil, 2, nil, {44452, "Koltira Deathweaver", "Western Plaguelands", 47.8, 65.1, nil}},
	{28, 26930, 1, 36, "After the Crusade", 4, 2, nil, 2, nil, {10837, "High Executor Derrington", "Tirisfal Glades", 83.2, 69.1, nil}},
	{28, 26931, 1, 36, "Foxes and Hounds", 2, 2, nil, 2, nil, {11055, "Shadow Priestess Vandis", "Tirisfal Glades", 83.4, 69.9, nil}},
	{28, 26933, 1, 36, "Foes Before Hoes", 4, 2, nil, 2, nil, {11055, "Shadow Priestess Vandis", "Tirisfal Glades", 83.3, 69.8, nil}},
	{28, 26934, 1, 36, "Latent Disease", 2, 2, nil, 2, nil, {11057, "Apothecary Dithers", "Tirisfal Glades", 0, 0, nil}},
	{28, 26935, 1, 37, "Northridge Lumber Mill", 4, 2, nil, 2, nil, {44454, "Field Agent Kaartish", "Western Plaguelands", 0, 0, nil}},
	{28, 26936, "TODO:WFLAGS", 36, "Lower the Boom", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26937, 1, 36, "When Death is Not Enough", 4, 2, nil, 2, nil, {44466, "Lindsay Ravensun", "Western Plaguelands", 40.6, 52.2, nil}},
	{28, 26938, 1, 37, "Combat Training", 3, 2, nil, 2, nil, {nil, nil, "Western Plaguelands", 37.8, 56.4, nil}},
	{28, 26952, 1, 37, "The Menders' Stead", 4, 2, nil, 2, nil, {10839, "Argent Officer Garush", "Tirisfal Glades", 83.1, 68.6, nil}},
	{28, 26953, 1, 37, "Zen'Kiki, the Druid", 4, 2, nil, 2, nil, {44456, "Adrine Towhide", "Western Plaguelands", 0, 0, nil}},
	{28, 26954, 1, 37, "A Different Approach", 4, 2, nil, 2, nil, {44456, "Adrine Towhide", "Western Plaguelands", 48.9, 54.8, nil}},
	{28, 26955, 1, 38, "Zen'Kiki and the Cultists", 4, 2, nil, 2, nil, {44456, "Adrine Towhide", "Western Plaguelands", 0, 0, nil}},
	{28, 26956, 1, 37, "I Ain't Sayin' You a Gourd-Digger...", 4, 2, nil, 2, nil, {44457, "Selyria Groenveld", "Western Plaguelands", 0, 0, nil}},
	{28, 26957, 1, 38, "The Long Trip Home", 4, 2, nil, 2, nil, {44905, "Del Gahrron", "Western Plaguelands", 0, 0, nil}},
	{28, 26978, 1, 36, "Who Needs Cauldrons?", 4, 2, nil, 2, nil, {11057, "Apothecary Dithers", "Tirisfal Glades", 0, 0, nil}},
	{28, 26979, 1, 36, "Strange New Faces", 4, 2, nil, 2, nil, {10837, "High Executor Derrington", "Tirisfal Glades", 83.2, 69, nil}},
	{28, 26999, 1, 37, "A New Era for the Plaguelands", 4, 2, nil, 2, nil, {44454, "Field Agent Kaartish", "Western Plaguelands", 49.3, 54.9, nil}},
	{28, 27000, 1, 37, "Learning the Ropes", 4, 2, nil, 2, nil, {11616, "Nathaniel Dumah", "Western Plaguelands", 48.1, 32.5, nil}},
	{28, 27001, 1, 37, "This Means WAR (Wild Arachnid Roundup)", 4, 2, nil, 2, nil, {11616, "Nathaniel Dumah", "Western Plaguelands", 48.1, 32.4, nil}},
	{28, 27002, 1, 37, "An Audience with the Highlord", 4, 2, nil, 2, nil, {11616, "Nathaniel Dumah", "Western Plaguelands", 48.1, 32.4, nil}},
	{28, 27011, 1, 37, "Redpine Thievery", 4, 2, nil, 2, nil, {44472, "Kelly Dumah", "Western Plaguelands", 48.5, 32, nil}},
	{28, 27012, 1, 37, "A Gnoll's Resolve", 4, 2, nil, 2, nil, {44472, "Kelly Dumah", "Western Plaguelands", 0, 0, nil}},
	{28, 27013, 1, 37, "Too Close for Comfort", 4, 2, nil, 2, nil, {44472, "Kelly Dumah", "Western Plaguelands", 0, 0, nil}},
	{28, 27017, 1, 38, "Memories from a Lost Past", 4, 2, nil, 2, nil, {44458, "Del Gahrron", "Western Plaguelands", 50.6, 52.6, nil}},
	{28, 27053, 1, 38, "Gahrron's Withering Cauldron", 4, 2, nil, 2, nil, {44454, "Field Agent Kaartish", "Western Plaguelands", 49.3, 54.9, nil}},
	{28, 27054, 1, 38, "Desperate Acts", 4, 2, nil, 2, nil, {44454, "Field Agent Kaartish", "Western Plaguelands", 49.3, 54.9, nil}},
	{28, 27055, 1, 39, "Students of Krastinov", 3, 2, nil, 2, nil, {nil, nil, "Western Plaguelands", 65.6, 47.5, nil}},
	{28, 27057, 1, 38, "Return to the Stead", 4, 2, nil, 2, nil, {nil, nil, "Western Plaguelands", 62.6, 58.6, nil}},
	{28, 27083, 1, 40, "The Battle Resumes!", 4, 2, nil, 2, nil, {45013, "Damion Steel", "Western Plaguelands", 49.3, 53.2, nil}},
	{28, 27084, 1, 40, "The Farmers' Militia", 4, 2, nil, 2, nil, {44452, "Koltira Deathweaver", "Western Plaguelands", 47, 63.8, nil}},
	{28, 27085, 1, 40, "Supporting the Troops", 4, 2, nil, 2, nil, {44462, "Jearl Donald", "Western Plaguelands", 46.9, 63.5, nil}},
	{28, 27086, 1, 40, "Ashes to Ashes", 4, 2, nil, 2, nil, {44452, "Koltira Deathweaver", "Western Plaguelands", 0, 0, nil}},
	{28, 27087, 1, 40, "Lindsay Ravensun, Revealed", 4, 2, nil, 2, nil, {44452, "Koltira Deathweaver", "Western Plaguelands", 47, 63.8, nil}},
	{28, 27089, 1, 40, "Ace in the Hole", 4, 2, nil, 2, nil, {44451, "Lady Sylvanas Windrunner", "Western Plaguelands", 0, 0, nil}},
	{28, 27090, 1, 40, "Andorhal, Once and For All", 4, 2, nil, 2, nil, {45129, "Lurid", "Western Plaguelands", 39.4, 70.5, nil}},
	{28, 27117, 1, 34, "Brute Strength", 4, 2, nil, 2, nil, {44452, "Koltira Deathweaver", "Western Plaguelands", 0, 0, nil}},
	{28, 27144, 1, 40, "The Reckoning", 4, 2, nil, 2, nil, {nil, nil, "Western Plaguelands", 49.1, 63.7, nil}},
	{28, 27151, 1, 37, "Taelan Fordring's Legacy", 4, 2, nil, 2, nil, {45147, "Daria L'Rayne", "Western Plaguelands", 0, 0, nil}},
	{28, 27152, 1, 37, "Unusual Behavior... Even For Gnolls", 3, 2, nil, 2, nil, {nil, nil, "Western Plaguelands", 52.8, 22, nil}},
	{28, 27153, 1, 37, "The Good People of Hearthglen", 3, 2, nil, 2, nil, {nil, nil, "Western Plaguelands", 57.6, 36.1, nil}},
	{28, 27154, 1, 37, "Bagging Bisp", 3, 2, nil, 2, nil, {45149, "Outfitter Mendelev", "Western Plaguelands", 45, 13.1, nil}},
	{28, 27155, 1, 37, "Turning Yourself In", 4, 2, nil, 2, nil, {nil, nil, "Western Plaguelands", 46, 18.5, nil}},
	{28, 27156, 1, 37, "It's About Time!", 4, 2, nil, 2, nil, {45157, "Lieutenant Myner", "Western Plaguelands", 43.2, 15.9, nil}},
	{28, 27157, 1, 37, "Drudges... <Sigh>", 4, 2, nil, 2, nil, {45157, "Lieutenant Myner", "Western Plaguelands", 43.2, 15.9, nil}},
	{28, 27154, 1, 37, "Bagging Bisp", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26923, 1, 35, "War Machines", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26931, 1, 36, "Foxes and Hounds", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27011, 1, 37, "Redpine Thievery", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26955, 1, 38, "Zen'Kiki and the Cultists", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26979, 1, 36, "Strange New Faces", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27155, 1, 37, "Turning Yourself In", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26924, 1, 35, "Scholomancer", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27012, 1, 37, "A Gnoll's Resolve", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27156, 1, 37, "It's About Time!", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27090, 1, 40, "Andorhal, Once and For All", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27084, 1, 40, "The Farmers' Militia", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26925, 1, 34, "Araj the Summoner", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26933, 1, 36, "Foes Before Hoes", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26957, 1, 38, "The Long Trip Home", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27013, 1, 37, "Too Close for Comfort", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27085, 1, 40, "Supporting the Troops", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27053, 1, 38, "Gahrron's Withering Cauldron", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27157, 1, 37, "Drudges... <Sigh>", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26978, 1, 36, "Who Needs Cauldrons?", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26938, 1, 37, "Combat Training", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27117, 1, 34, "Brute Strength", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27002, 1, 37, "An Audience with the Highlord", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26954, 1, 37, "A Different Approach", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26926, 1, 35, "Victory, For Now", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26934, 1, 36, "Latent Disease", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27086, 1, 40, "Ashes to Ashes", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26956, 1, 37, "I Ain't Sayin' You a Gourd-Digger...", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26935, 1, 37, "Northridge Lumber Mill", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27055, 1, 39, "Students of Krastinov", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 28508, 1, 35, "The Battle for Andorhal", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27057, 1, 38, "Return to the Stead", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27001, 1, 37, "This Means WAR (Wild Arachnid Roundup)", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26936, "TODO:WFLAGS", 36, "Lower the Boom", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26952, 1, 37, "The Menders' Stead", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27151, 1, 37, "Taelan Fordring's Legacy", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26953, 1, 37, "Zen'Kiki, the Druid", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27000, 1, 37, "Learning the Ropes", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26937, 1, 36, "When Death is Not Enough", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26921, 1, 35, "Scourge First... Alliance Later", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27087, 1, 40, "Lindsay Ravensun, Revealed", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27144, 1, 40, "The Reckoning", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27152, 1, 37, "Unusual Behavior... Even For Gnolls", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27017, 1, 38, "Memories from a Lost Past", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26999, 1, 37, "A New Era for the Plaguelands", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27054, 1, 38, "Desperate Acts", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27083, 1, 40, "The Battle Resumes!", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27089, 1, 40, "Ace in the Hole", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 27153, 1, 37, "The Good People of Hearthglen", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26922, 1, 35, "The Endless Flow", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{28, 26930, 1, 36, "After the Crusade", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Alterac Mountains 36 ]]--
	{36, 27478, 1, 18, "Relios the Relic Keeper", 4, 2, nil, 2, nil, {1938, "Dalar Dawnweaver", "Silverpine Forest", 47, 43.2, nil}},
	{36, 27483, 1, 18, "Practical Vengeance", 4, 2, nil, 2, nil, {1938, "Dalar Dawnweaver", "Silverpine Forest", 47.1, 43.3, nil}},
	{36, 27478, 1, 18, "Relios the Relic Keeper", 4, 2, nil, 2, nil, {1938, "Dalar Dawnweaver", "Silverpine Forest", 47, 43.2, nil}},
	{36, 27480, 1, 18, "Ley Energies", 4, 2, nil, 2, nil, {nil, nil, "Hillsbrad Foothills", 72.7, 55.6, nil}},
	{36, 27483, 1, 18, "Practical Vengeance", 4, 2, nil, 2, nil, {1938, "Dalar Dawnweaver", "Silverpine Forest", 0, 0, nil}},
	{36, 9860, 1, 70, "The New Directive", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{36, 27483, 1, 18, "Practical Vengeance", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{36, 27478, 1, 18, "Relios the Relic Keeper", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{36, 27480, 1, 18, "Ley Energies", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Westfall 40 ]]--
	{40, 26297, 1, 15, "The Dawning of a New Day", 4, 2, nil, 2, nil, {42425, "Captain Alpert", "Westfall", "42.2", "64.2", nil}},
	{40, 26349, 1, 15, "The Coastal Menace", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26353, 1, 13, "Captain Sanders' Hidden Treasure", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26214, 1, 11, "Hot On the Trail: Murlocs", 1, 2, nil, 2, nil, {26214, "Lieutenant Horatio Laine", "Westfall", "60.0", "19.2", nil}},
	{40, 26266, 1, 13, "Hope for the People", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26270, 1, 13, "You Have Our Thanks", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26286, 1, 13, "In Defense of Westfall", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26290, 1, 14, "Secrets of the Tower", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26322, 1, 15, "Rise of the Brotherhood", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26354, 1, 13, "Captain Sanders' Hidden Treasure", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26370, 1, 15, "Return to Sentinel Hill", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26378, 1, 10, "Hero's Call: Westfall!", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26215, 1, 11, "Meet Two-Shoed Lou", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26271, 1, 13, "Feeding the Hungry and the Hopeless", 4, 2, nil, 2, nil, {42575, "Hope Saldean", "Westfall", "56.9", "47.1", nil}},
	{40, 26287, 1, 13, "The Westfall Brigade", 4, 2, nil, 2, nil, {821, "Captain Danuvin", "Westfall", "56.4", "47.6", nil}},
	{40, 26295, 1, 14, "Propaganda", 4, 2, nil, 2, nil, {42425, "Captain Alpert", "Westfall", "42.2", "64.2", nil}},
	{40, 26355, 1, 13, "Captain Sanders' Hidden Treasure", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26371, 1, 15, "The Legend of Captain Grayson", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 184, 1, 10, "Furlbrow's Deed", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26228, 1, 11, "Livin' the Life", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26232, 1, 12, "Lou's Parting Thoughts", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26236, 1, 12, "Shakedown at the Saldean's", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26288, 1, 14, "Jango Spothide", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26292, 1, 14, "To Moonbrook!", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26296, 1, 14, "Evidence Collection", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26320, 1, 15, "A Vision of the Past", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26237, 1, 12, "Times are Tough", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26241, 1, 12, "Westfall Stew", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26356, 1, 13, "Captain Sanders' Hidden Treasure", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26252, 1, 12, "Heart of the Watcher", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26319, 1, 15, "Secrets Revealed", 4, 2, nil, 2, nil, {42425, "Captain Alpert", "Westfall", "42.2", "64.2", nil}},
	{40, 26209, 1, 11, "Murder Was The Case That They Gave Me", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26213, 1, 10, "Hot On the Trail: The Riverpaw Clan", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26229, 1, 11, "\"I TAKE Candle!\" ", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 26348, 1, 15, "The Coast Isn't Clear", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{40, 3861, 2, 1, "CLUCK!", 2, 1, "WARRIOR", 1, "TAUREN", {620, "Chicken", "Tirisfal Glades", 58.9, 50.4, nil}},

	--[[ Redridge Mountains 44 ]]--
	{44, 26544, 1, 16, "They've Wised Up...", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26560, 1, 17, "Jorgensen", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26616, 1, 18, "It's Never Over", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26365, 1, 15, "Hero's Call: Redridge Mountains!", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26505, 1, 16, "Parker's Report", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26509, 1, 16, "An Unwelcome Guest", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26513, 1, 16, "Like a Fart in the Wind", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26561, 1, 17, "Krakauer", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26569, 1, 17, "Surveying Equipment", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26573, 1, 17, "His Heart Must Be In It", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26761, 1, 15, "Threat to the Kingdom", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26510, 1, 16, "We Must Prepare!", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26514, 1, 16, "Canyon Romp", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26570, 1, 17, "Render's Army", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26586, 1, 17, "In Search of Bravo Company", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26503, 1, 15, "Still Assessing the Threat", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26519, 1, 16, "He Who Controls the Ettins", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26563, 1, 17, "Return of the Bravo Company", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26567, 1, 17, "John J. Keeshan", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26571, 1, 17, "Weapons of War", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26587, 1, 17, "Breaking Out is Hard to Do", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26562, 1, 17, "And Last But Not Least... Danforth", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26545, 1, 16, "Yowler Must Die!", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26607, 1, 18, "They Drew First Blood", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26512, 1, 16, "Tuning the Gnomecorder", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{44, 26504, 1, 15, "Wanted: Redridge Gnolls", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Arathi Highlands 45 ]]--
	{45, 28619, 1, 25, "Warchief's Command: Arathi Highlands!", 4, 2, nil, 2, nil, {2418, "Deathguard Samsa", "Hillsbrad Foothills", 56.6, 47, nil}},
	{45, 26022, 1, 27, "First Blood", 4, 2, nil, 2, nil, {41949, "Dark Ranger Alina", "Arathi Highlands", 13.3, 36, nil}},
	{45, 26023, 1, 27, "The Forsaken Trollbane", 4, 2, nil, 2, nil, {41949, "Dark Ranger Alina", "Arathi Highlands", 0, 0, nil}},
	{45, 26025, 1, 27, "The Traitor Orc", 4, 2, nil, 2, nil, {41949, "Dark Ranger Alina", "Arathi Highlands", 0, 0, nil}},
	{45, 26027, 1, 27, "Call to Arms", 4, 2, nil, 2, nil, {41966, "Deathstalker Maudria", "Arathi Highlands", 13.4, 33.8, nil}},
	{45, 26029, 1, 27, "The Real Threat", 4, 2, nil, 2, nil, {41966, "Deathstalker Maudria", "Arathi Highlands", 0, 0, nil}},
	{45, 26030, 1, 27, "Sigil of Strom", 4, 2, nil, 2, nil, {41944, "Galen Trollbane", "Arathi Highlands", 0, 0, nil}},
	{45, 26031, 1, 27, "Sigil of Thoradin", 4, 2, nil, 2, nil, {41944, "Galen Trollbane", "Arathi Highlands", 12.9, 36.2, nil}},
	{45, 26032, 1, 27, "Sigil of Arathor", 4, 2, nil, 2, nil, {41944, "Galen Trollbane", "Arathi Highlands", 12.9, 36, nil}},
	{45, 26033, 1, 27, "Trol'kalar", 4, 2, nil, 2, nil, {41944, "Galen Trollbane", "Arathi Highlands", 12.9, 36.1, nil}},
	{45, 26039, 1, 29, "The Princess Trapped", 4, 2, nil, 2, nil, {nil, nil, "Arathi Highlands", 57.3, 34.6, nil}},
	{45, 26041, 1, 29, "Stones of Binding", 4, 2, nil, 2, nil, {nil, nil, "Arathi Highlands", 79.8, 31.6, nil}},
	{45, 26053, 1, 27, "Clearing the Highlands", 4, 2, nil, 2, nil, {41966, "Deathstalker Maudria", "Arathi Highlands", 0, 0, nil}},
	{45, 26081, 1, 27, "Alina's Reward", 4, 2, nil, 2, nil, {41944, "Galen Trollbane", "Arathi Highlands", 13, 36, nil}},
	{45, 26083, 1, 27, "Hello Lolo", 4, 2, nil, 2, nil, {42088, "Goutgut", "Arathi Highlands", 0, 0, nil}},
	{45, 26084, 1, 27, "Hammerfall", 4, 2, nil, 2, nil, {41949, "Dark Ranger Alina", "Arathi Highlands", 0, 0, nil}},
	{45, 26107, 1, 28, "Raising Spirits", 4, 2, nil, 2, nil, {42130, "Gor'mul", "Arathi Highlands", 67.8, 34.9, nil}},
	{45, 26108, 1, 28, "Guile of the Raptor", 4, 2, nil, 2, nil, {42130, "Gor'mul", "Arathi Highlands", 67.8, 34.8, nil}},
	{45, 26428, 1, 27, "To Steal From Thieves", 4, 2, nil, 2, nil, {4486, "Genavie Callow", "Arathi Highlands", 0, 0, nil}},
	{45, 26429, 1, 30, "Crush the Witherbark", 4, 2, nil, 2, nil, {2771, "Drum Fel", "Arathi Highlands", 0, 0, nil}},
	{45, 26909, 1, 29, "The Stone Shards", 4, 2, nil, 2, nil, {2787, "Zaruk", "Arathi Highlands", 0, 0, nil}},
	{45, 28619, 1, 25, "Warchief's Command: Arathi Highlands!", 4, 2, nil, 2, nil, {2418, "Deathguard Samsa", "Hillsbrad Foothills", 56.5, 46.9, nil}},
	{45, 26428, 1, 27, "To Steal From Thieves", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26029, 1, 27, "The Real Threat", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26053, 1, 27, "Clearing the Highlands", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26429, 1, 30, "Crush the Witherbark", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26022, 1, 27, "First Blood", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26030, 1, 27, "Sigil of Strom", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26084, 1, 27, "Hammerfall", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26039, 1, 29, "The Princess Trapped", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26055, 1, 28, "Drowned Sorrows", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26052, 1, 28, "Sunken Treasure", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26023, 1, 27, "The Forsaken Trollbane", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26032, 1, 27, "Sigil of Arathor", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 28619, 1, 25, "Warchief's Command: Arathi Highlands!", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26628, 1, 28, "Death From Below", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26031, 1, 27, "Sigil of Thoradin", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26025, 1, 27, "The Traitor Orc", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26033, 1, 27, "Trol'kalar", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26041, 1, 29, "Stones of Binding", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26911, 1, 27, "Myzrael's Tale", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26081, 1, 27, "Alina's Reward", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26050, 1, 28, "Sunken Treasure", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26083, 1, 27, "Hello Lolo", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26027, 1, 27, "Call to Arms", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26912, 1, 28, "The Princess Unleashed [Group]", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26042, 1, 26, "Breaking the Keystone", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26051, 1, 28, "Sunken Treasure", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26107, 1, 28, "Raising Spirits", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{45, 26108, 1, 28, "Guile of the Raptor", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Burning Steppes 46 ]]--
	{46, 28432, 1, 50, "Into the Black Tooth Hovel", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{46, 28417, 1, 50, "Done Nothing Wrong", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{46, 28428, 1, 50, "A Perfect Costume", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{46, 28427, 1, 50, "A Needle in a Hellhole", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{46, 28226, 1, 50, "Scrapped Golems", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{46, 28225, 1, 50, "Prove Yer Allegiance", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{46, 28426, 1, 50, "Chiselgrip, the Heart of the Steppes", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{46, 28425, 1, 50, "Return to Ariok", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{46, 28424, 1, 50, "Shadow Boxing", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{46, 28423, 1, 50, "Warlocks Have the Neatest Stuff", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{46, 28418, 1, 50, "Burning Vengeance", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{46, 28419, 1, 50, "Stocking Up", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{46, 28515, 1, 50, "Mouton Flamestar", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{46, 28420, 1, 50, "A Future Project", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{46, 28421, 1, 50, "Mud Hunter", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{46, 28422, 1, 50, "The Sand, the Cider, and the Orb", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ The Hinterlands 47 ]]--
	{47, 26210, 1, 31, "Gammerita, Mon!", 4, 2, nil, 2, nil, {14740, "Katoom the Angler", "The Hinterlands", 80.4, 81.5, nil}},
	{47, 26211, 1, 31, "Snapjaws, Mon!", 4, 2, nil, 2, nil, {14740, "Katoom the Angler", "The Hinterlands", 0, 0, nil}},
	{47, 26212, 1, 31, "Lard Lost His Lunch", 4, 2, nil, 2, nil, {14731, "Lard", "The Hinterlands", 0, 0, nil}},
	{47, 26223, 1, 32, "Stalking the Stalkers", 4, 2, nil, 2, nil, {14741, "Huntsman Markhor", "The Hinterlands", 0, 0, nil}},
	{47, 26224, 1, 32, "Hunt the Savages", 4, 2, nil, 2, nil, {14741, "Huntsman Markhor", "The Hinterlands", 79.1, 79.5, nil}},
	{47, 26225, 1, 31, "Pupellyverbos Port", 4, 2, nil, 2, nil, {42464, "Grognard", "The Hinterlands", 0, 0, nil}},
	{47, 26238, 1, 32, "The Savage Dwarves", 4, 2, nil, 2, nil, {42613, "Elder Torntusk", "The Hinterlands", 0, 0, nil}},
	{47, 26240, 1, 32, "Stomp To My Beat", 4, 2, nil, 2, nil, {14739, "Mystic Yayo'jin", "The Hinterlands", 0, 0, nil}},
	{47, 26263, 1, 32, "Thornar Thunderclash", 4, 2, nil, 2, nil, {42613, "Elder Torntusk", "The Hinterlands", 0, 0, nil}},
	{47, 26267, 1, 32, "Skulk Rock Clean-Up", 4, 2, nil, 2, nil, {42613, "Elder Torntusk", "The Hinterlands", 0, 0, nil}},
	{47, 26268, 1, 32, "Skulk Rock Supplies", 4, 2, nil, 2, nil, {42613, "Elder Torntusk", "The Hinterlands", 0, 0, nil}},
	{47, 26283, 1, 32, "Prime Slime", 4, 2, nil, 2, nil, {42612, "Malcom Fendelson", "The Hinterlands", 0, 0, nil}},
	{47, 26306, 1, 33, "Start Taking Back", 4, 2, nil, 2, nil, {42642, "Primal Torntusk", "The Hinterlands", 0, 0, nil}},
	{47, 26307, 1, 33, "Death to the Vilebranch", 4, 2, nil, 2, nil, {42642, "Primal Torntusk", "The Hinterlands", 67.8, 66.5, nil}},
	{47, 26308, 1, 33, "It's Ours Now", 4, 2, nil, 2, nil, {42642, "Primal Torntusk", "The Hinterlands", 67.8, 66.5, nil}},
	{47, 26309, 1, 33, "Dark Vessels", 4, 2, nil, 2, nil, {42622, "Eliza Darkgrin", "The Hinterlands", 0, 0, nil}},
	{47, 26310, 1, 33, "All That Skitters", 4, 2, nil, 2, nil, {42622, "Eliza Darkgrin", "The Hinterlands", 0, 0, nil}},
	{47, 26357, 1, 33, "Faces of Evil", 4, 2, nil, 2, nil, {42624, "Kotonga", "The Hinterlands", 67.8, 66.5, nil}},
	{47, 26363, 1, 33, "Summit of Fate", 4, 2, nil, 2, nil, {42642, "Primal Torntusk", "The Hinterlands", 67.8, 66.5, nil}},
	{47, 26366, 1, 33, "Heads Up", 4, 2, nil, 2, nil, {42642, "Primal Torntusk", "The Hinterlands", 0, 0, nil}},
	{47, 26367, 1, 33, "Ongo'longo's Revenge", 4, 2, nil, 2, nil, {42642, "Primal Torntusk", "The Hinterlands", 0, 0, nil}},
	{47, 26368, 1, 33, "Venomous Secrets", 4, 2, nil, 2, nil, {42622, "Eliza Darkgrin", "The Hinterlands", 0, 0, nil}},
	{47, 26369, 1, 33, "Hunt the Keeper", 4, 2, nil, 2, nil, {42642, "Primal Torntusk", "The Hinterlands", 67.8, 66.5, nil}},
	{47, 26381, 1, 34, "The Eye of Shadra", 4, 2, nil, 2, nil, {42898, "Darkcleric Marnal", "The Hinterlands", 31.9, 58.3, nil}},
	{47, 26382, 1, 34, "Can't Make An Omelette Without...", 4, 2, nil, 2, nil, {42896, "Apothecary Surlis", "The Hinterlands", 0, 0, nil}},
	{47, 26384, 1, 34, "Darkcleric Marnal", 4, 2, nil, 2, nil, {42642, "Primal Torntusk", "The Hinterlands", 67.7, 66.6, nil}},
	{47, 26387, 1, 34, "Starvation Diet", 4, 2, nil, 2, nil, {42896, "Apothecary Surlis", "The Hinterlands", 0, 0, nil}},
	{47, 26418, 1, 35, "The Shell of Shadra", 4, 2, nil, 2, nil, {42898, "Darkcleric Marnal", "The Hinterlands", 31.8, 58.5, nil}},
	{47, 26419, 1, 35, "Shadra the Venom Queen", 4, 2, nil, 2, nil, {43299, "Deathstalker Lookout", "The Hinterlands", 35.6, 68.5, nil}},
	{47, 26430, 1, 31, "Revantusk Village", 4, 2, nil, 2, nil, {2771, "Drum Fel", "Arathi Highlands", 0, 0, nil}},
	{47, 26558, 1, 35, "Summoning Shadra", 4, 2, nil, 2, nil, {42898, "Darkcleric Marnal", "The Hinterlands", 31.9, 58.3, nil}},
	{47, 485, 1, 48, "Find OOX-09/HL!", 4, 2, nil, 2, nil, {nil, nil, "The Hinterlands", 71.4, 49.1, nil}},
	{47, 836, 1, 48, "Rescue OOX-09/HL!", 4, 2, nil, 2, nil, {7806, "Homing Robot OOX-09/HL", "The Hinterlands", 49.4, 37.8, nil}},
	{47, 26212, 1, 31, "Lard Lost His Lunch", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26308, 1, 33, "It's Ours Now", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26381, 1, 34, "The Eye of Shadra", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26309, 1, 33, "Dark Vessels", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26357, 1, 33, "Faces of Evil", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26238, 1, 32, "The Savage Dwarves", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26210, 1, 31, "Gammerita, Mon!", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26419, 1, 35, "Shadra the Venom Queen", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26310, 1, 33, "All That Skitters", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26366, 1, 33, "Heads Up", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26382, 1, 34, "Can't Make An Omelette Without...", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26430, 1, 31, "Revantusk Village", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26223, 1, 32, "Stalking the Stalkers", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26263, 1, 32, "Thornar Thunderclash", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26367, 1, 33, "Ongo'longo's Revenge", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26224, 1, 32, "Hunt the Savages", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26240, 1, 32, "Stomp To My Beat", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26268, 1, 32, "Skulk Rock Supplies", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26225, 1, 31, "Pupellyverbos Port", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26558, 1, 35, "Summoning Shadra", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26306, 1, 33, "Start Taking Back", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26418, 1, 35, "The Shell of Shadra", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26211, 1, 31, "Snapjaws, Mon!", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26432, 1, 33, "The Fall of Jintha'Alor", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26267, 1, 32, "Skulk Rock Clean-Up", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26283, 1, 32, "Prime Slime", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26307, 1, 33, "Death to the Vilebranch", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26387, 1, 34, "Starvation Diet", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{47, 26406, 1, 34, "The Fang of Shadra", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Searing Gorge 51 ]]--
	{51, 28053, "TODO:WFLAGS", 50, "Lunk Like Your Style", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 28064, 1, 50, "Welcome to the Brotherhood", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 28033, 1, 49, "Deceit", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 28034, 1, 49, "Lunk's Adventure: Rendan's Weakness", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 27962, 1, 47, "A Lumbering Relic", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 27985, 1, 48, "Prayer to Elune", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 27986, 1, 49, "In the Hall of the Mountain-Lord", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 28512, 1, 47, "To the Aid of the Thorium Brotherhood", 4, 2, nil, 2, nil, {46660, "Aidan Summerwind", "Badlands", 0, 0, nil}},
	{51, 27979, 1, 48, "Dark Ministry", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 27964, 1, 47, "Dig-Boss Dinwhisker", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 28028, 1, 49, "Siege!", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 28052, 1, 49, "Operation: Stir the Cauldron", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 28060, 1, 50, "Twisted Twilight Ties", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 27980, 1, 48, "The Spiders Have to Go", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 27977, 1, 48, "Recon Essentials", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 27957, "TODO:WFLAGS", 47, "Lunk No Kill", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 27965, 1, 48, "Thorium Point: The Seat of the Brotherhood", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 27981, 1, 48, "Heat That Just Don't Quit", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 27963, 1, 47, "A New Master... But Who?", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 28029, 1, 49, "Set Them Ablaze!", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 28061, 1, 50, "Minions of Calcinder", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 27958, 1, 47, "A Proper Antivenom", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 27982, 1, 48, "Twilight Collars", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 28030, 1, 49, "They Build a Better Bullet", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 28054, 1, 49, "Slavery is Bad", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 28062, 1, 50, "From Whence He Came", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 27959, 1, 47, "Lunk's Adventure: Spider Rider", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 27983, 1, 48, "Lunk's Adventure: Cranky Little Dwarfs", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 27956, 1, 47, "Lunk's Task", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 28055, 1, 49, "Sweet, Horrible Freedom", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 27960, 1, 47, "The Fewer, the Better", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 27976, 1, 48, "Curse These Fat Fingers", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 27984, 1, 48, "Lunthistle's Tale", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 28099, 1, 48, "Rasha'krak", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 28035, 1, 49, "The Mountain-Lord's Support", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 28057, 1, 50, "Kill 'em With Sleep Deprivation", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 28032, 1, 49, "The Mysteries of the Fire-Gizzard", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 28056, 1, 49, "Rise, Obsidion", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{51, 27961, 1, 47, "Out of Place", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Tirisfal Glades 85 ]]--
	{85, 24961, 1, 3, "The Truth of the Grave", 3, 2, nil, 2, nil, {1661, "Novice Elreth", "Tirisfal Glades", 30.9, 66.2, nil}},
	{85, 24973, 1, 4, "Night Web's Hollow", 3, 2, nil, 2, nil, {1570, "Executor Arren", "Tirisfal Glades", 32.9, 61.1, nil}},
	{85, 24974, 1, 6, "Ever So Lonely", 2, 2, nil, 2, nil, {38925, "Sedrick Calston", "Tirisfal Glades", 44.7, 53.7, nil}},
	{85, 24975, 1, 6, "Fields of Grief", 2, 2, nil, 2, nil, {1518, "Apothecary Johaan", "Tirisfal Glades", 44.7, 53.7, nil}},
	{85, 24976, 1, 7, "Variety is the Spice of Death", 2, 2, nil, 2, nil, {1518, "Apothecary Johaan", "Tirisfal Glades", 44.6, 53.7, nil}},
	{85, 24977, 1, 7, "Johaan's Experiment", 2, 2, nil, 2, nil, {1518, "Apothecary Johaan", "Tirisfal Glades", 44.7, 53.7, nil}},
	{85, 24978, 1, 6, "Reaping the Reapers", 2, 2, nil, 2, nil, {1519, "Deathguard Simmer", "Tirisfal Glades", 44.7, 53.6, nil}},
	{85, 24979, 1, 5, "A Scarlet Letter", 2, 2, nil, 2, nil, {nil, nil, "Tirisfal Glades", 32.5, 47.1, nil}},
	{85, 24980, 1, 7, "The Scarlet Palisade", 2, 2, nil, 2, nil, {1519, "Deathguard Simmer", "Tirisfal Glades", 44.7, 53.6, nil}},
	{85, 24981, 1, 8, "A Thorn in our Side", 2, 2, nil, 2, nil, {1515, "Executor Zygand", "Tirisfal Glades", 60.5, 52, nil}},
	{85, 24982, 1, 7, "The New Forsaken", 2, 2, nil, 2, nil, {1496, "Deathguard Dillinger", "Tirisfal Glades", 52.5, 54.9, nil}},
	{85, 24983, 1, 8, "Forsaken Duties", 2, 2, nil, 2, nil, {1499, "Magistrate Sevren", "Tirisfal Glades", 61, 50.7, nil}},
	{85, 24988, 1, 8, "The Chill of Death", 2, 2, nil, 2, nil, {1521, "Gretchen Dedmar", "Tirisfal Glades", 65.3, 60.3, nil}},
	{85, 24989, 1, 8, "Return to the Magistrate", 2, 2, nil, 2, nil, {1495, "Deathguard Linnea", "Tirisfal Glades", 65.4, 60.2, nil}},
	{85, 24990, 1, 5, "Darkhound Pounding", 2, 2, nil, 2, nil, {10665, "Junior Apothecary Holland", "Tirisfal Glades", 60.1, 52.6, nil}},
	{85, 24991, 1, 8, "Garren's Haunt", 4, 2, nil, 2, nil, {10665, "Junior Apothecary Holland", "Tirisfal Glades", 60.2, 52.6, nil}},
	{85, 24994, 1, 7, "Doom Weed", 2, 2, nil, 2, nil, {38977, "Apothecary Jerrod", "Tirisfal Glades", 61.7, 34.6, nil}},
	{85, 24995, 1, 8, "Off the Scales", 2, 2, nil, 2, nil, {38977, "Apothecary Jerrod", "Tirisfal Glades", 61.6, 34.6, nil}},
	{85, 24996, 1, 6, "Holland's Experiment", 4, 2, nil, 2, nil, {10665, "Junior Apothecary Holland", "Tirisfal Glades", 60.1, 52.6, nil}},
	{85, 24997, 1, 7, "Graverobbers", 2, 2, nil, 2, nil, {38978, "Apprentice Crispin", "Tirisfal Glades", 61.7, 34.6, nil}},
	{85, 24998, 1, 9, "Maggot Eye", 2, 2, nil, 2, nil, {38978, "Apprentice Crispin", "Tirisfal Glades", 61.5, 34.4, nil}},
	{85, 24999, 1, 8, "Planting the Seed of Fear", 2, 2, nil, 2, nil, {38978, "Apprentice Crispin", "Tirisfal Glades", 61.5, 34.3, nil}},
	{85, 25003, 1, 9, "The Family Crypt", 2, 2, nil, 2, nil, {1500, "Coleman Farthing", "Tirisfal Glades", 54.6, 29.8, nil}},
	{85, 25004, 1, 8, "The Mills Overrun", 2, 2, nil, 2, nil, {1500, "Coleman Farthing", "Tirisfal Glades", 54.6, 29.9, nil}},
	{85, 25005, 1, 9, "Speak with Sevren", 2, 2, nil, 2, nil, {1500, "Coleman Farthing", "Tirisfal Glades", 54.5, 29.8, nil}},
	{85, 25006, 1, 9, "The Grasp Weakens", 2, 2, nil, 2, nil, {1499, "Magistrate Sevren", "Tirisfal Glades", 61, 50.7, nil}},
	{85, 25007, 1, 9, "East... Always to the East", 2, 2, nil, 2, nil, {1499, "Magistrate Sevren", "Tirisfal Glades", 61, 50.7, nil}},
	{85, 25009, 1, 9, "At War With The Scarlet Crusade", 4, 2, nil, 2, nil, {nil, nil, "Tirisfal Glades", 83.2, 69, nil}},
	{85, 25010, 1, 10, "A Deadly New Ally", 2, 2, nil, 2, nil, {10837, "High Executor Derrington", "Tirisfal Glades", 83.2, 69, nil}},
	{85, 25011, 1, 10, "To Bigger and Better Things", 4, 2, nil, 2, nil, {10837, "High Executor Derrington", "Tirisfal Glades", 83.2, 68.9, nil}},
	{85, 25012, 1, 10, "Take to the Skies", 4, 2, nil, 2, nil, {37915, "Timothy Cunningham", "Tirisfal Glades", 83.5, 69.9, nil}},
	{85, 25013, 1, 10, "A Little Oomph", 4, 2, nil, 2, nil, {11057, "Apothecary Dithers", "Tirisfal Glades", 83.2, 69.2, nil}},
	{85, 25029, 1, 9, "Deaths in the Family", 2, 2, nil, 2, nil, {1500, "Coleman Farthing", "Tirisfal Glades", 54.6, 30, nil}},
	{85, 25030, 1, 9, "The Haunted Mills", 4, 2, nil, 2, nil, {nil, nil, "Tirisfal Glades", 52, 26.1, nil}},
	{85, 25031, 1, 9, "Head for the Mills", 2, 2, nil, 2, nil, {38977, "Apothecary Jerrod", "Tirisfal Glades", 61.6, 34.6, nil}},
	{85, 25038, 1, 5, "Gordo's Task", 2, 2, nil, 2, nil, {10666, "Gordo", "Tirisfal Glades", 44.4, 53.1, nil}},
	{85, 25046, 1, 10, "A Daughter's Embrace", 4, 2, nil, 2, nil, {13158, "Lieutenant Sanders", "Tirisfal Glades", 87.5, 43.4, nil}},
	{85, 25056, 1, 9, "Grisly Grizzlies", 2, 2, nil, 2, nil, {11057, "Apothecary Dithers", "Tirisfal Glades", 83.2, 69.3, nil}},
	{85, 25090, 1, 6, "A Putrid Task", 2, 2, nil, 2, nil, {1496, "Deathguard Dillinger", "Tirisfal Glades", 52.5, 54.9, nil}},
	{85, 26800, 1, 2, "Recruitment", 3, 2, nil, 2, nil, {1740, "Deathguard Saltain", "Tirisfal Glades", 31.8, 65.6, nil}},
	{85, 26801, 1, 3, "Scourge on our Perimeter", 3, 2, nil, 2, nil, {1569, "Shadow Priest Sarvis", "Tirisfal Glades", 30.9, 66.2, nil}},
	{85, 26802, 1, 3, "The Damned", 2, 2, nil, 2, nil, {1570, "Executor Arren", "Tirisfal Glades", 33, 61.1, nil}},
	{85, 28672, 1, 3, "The Executor In the Field", 2, 2, nil, 2, nil, {1661, "Novice Elreth", "Tirisfal Glades", 30.9, 66.1, nil}},
	{85, 24961, 1, 3, "The Truth of the Grave", 3, 2, nil, 2, nil, {1661, "Novice Elreth", "Tirisfal Glades", 30.9, 66.1, nil}},
	{85, 24973, 1, 4, "Night Web's Hollow", 3, 2, nil, 2, nil, {1570, "Executor Arren", "Tirisfal Glades", 32.9, 61.1, nil}},
	{85, 24974, 1, 6, "Ever So Lonely", 2, 2, nil, 2, nil, {38925, "Sedrick Calston", "Tirisfal Glades", 0, 0, nil}},
	{85, 24975, 1, 6, "Fields of Grief", 2, 2, nil, 2, nil, {1518, "Apothecary Johaan", "Tirisfal Glades", 44.6, 53.7, nil}},
	{85, 24976, 1, 7, "Variety is the Spice of Death", 2, 2, nil, 2, nil, {1518, "Apothecary Johaan", "Tirisfal Glades", 44.7, 53.7, nil}},
	{85, 24977, 1, 7, "Johaan's Experiment", 2, 2, nil, 2, nil, {1518, "Apothecary Johaan", "Tirisfal Glades", 44.6, 53.7, nil}},
	{85, 24978, 1, 6, "Reaping the Reapers", 2, 2, nil, 2, nil, {1519, "Deathguard Simmer", "Tirisfal Glades", 0, 0, nil}},
	{85, 24979, 1, 5, "A Scarlet Letter", 2, 2, nil, 2, nil, {nil, nil, "Tirisfal Glades", 31.7, 48.8, nil}},
	{85, 24980, 1, 7, "The Scarlet Palisade", 2, 2, nil, 2, nil, {1519, "Deathguard Simmer", "Tirisfal Glades", 44.7, 53.6, nil}},
	{85, 24981, 1, 8, "A Thorn in our Side", 2, 2, nil, 2, nil, {nil, nil, "Tirisfal Glades", 60.5, 51.9, nil}},
	{85, 24982, 1, 7, "The New Forsaken", 2, 2, nil, 2, nil, {1496, "Deathguard Dillinger", "Tirisfal Glades", 52.5, 54.9, nil}},
	{85, 24983, 1, 8, "Forsaken Duties", 2, 2, nil, 2, nil, {nil, nil, "Tirisfal Glades", 0, 0, nil}},
	{85, 24988, 1, 8, "The Chill of Death", 2, 2, nil, 2, nil, {1521, "Gretchen Dedmar", "Tirisfal Glades", 65.3, 60.4, nil}},
	{85, 24989, 1, 8, "Return to the Magistrate", 2, 2, nil, 2, nil, {1495, "Deathguard Linnea", "Tirisfal Glades", 65.5, 60.3, nil}},
	{85, 24990, 1, 5, "Darkhound Pounding", 2, 2, nil, 2, nil, {10665, "Junior Apothecary Holland", "Tirisfal Glades", 60.2, 52.6, nil}},
	{85, 24991, 1, 8, "Garren's Haunt", 4, 2, nil, 2, nil, {10665, "Junior Apothecary Holland", "Tirisfal Glades", 0, 0, nil}},
	{85, 24994, 1, 7, "Doom Weed", 2, 2, nil, 2, nil, {38977, "Apothecary Jerrod", "Tirisfal Glades", 61.6, 34.5, nil}},
	{85, 24995, 1, 8, "Off the Scales", 2, 2, nil, 2, nil, {38977, "Apothecary Jerrod", "Tirisfal Glades", 61.6, 34.5, nil}},
	{85, 24996, 1, 6, "Holland's Experiment", 4, 2, nil, 2, nil, {10665, "Junior Apothecary Holland", "Tirisfal Glades", 59.9, 53.2, nil}},
	{85, 24997, 1, 7, "Graverobbers", 2, 2, nil, 2, nil, {38978, "Apprentice Crispin", "Tirisfal Glades", 0, 0, nil}},
	{85, 24998, 1, 9, "Maggot Eye", 2, 2, nil, 2, nil, {38978, "Apprentice Crispin", "Tirisfal Glades", 0, 0, nil}},
	{85, 24999, 1, 8, "Planting the Seed of Fear", 2, 2, nil, 2, nil, {38978, "Apprentice Crispin", "Tirisfal Glades", 0, 0, nil}},
	{85, 25003, 1, 9, "The Family Crypt", 2, 2, nil, 2, nil, {1500, "Coleman Farthing", "Tirisfal Glades", 54.6, 29.8, nil}},
	{85, 25004, 1, 8, "The Mills Overrun", 2, 2, nil, 2, nil, {1500, "Coleman Farthing", "Tirisfal Glades", 54.6, 29.8, nil}},
	{85, 25005, 1, 9, "Speak with Sevren", 2, 2, nil, 2, nil, {1500, "Coleman Farthing", "Tirisfal Glades", 54.6, 29.9, nil}},
	{85, 25006, 1, 9, "The Grasp Weakens", 2, 2, nil, 2, nil, {1499, "Magistrate Sevren", "Tirisfal Glades", 61, 50.6, nil}},
	{85, 25007, 1, 9, "East... Always to the East", 2, 2, nil, 2, nil, {1499, "Magistrate Sevren", "Tirisfal Glades", 3.2, 36.8, nil}},
	{85, 25009, 1, 9, "At War With The Scarlet Crusade", 4, 2, nil, 2, nil, {10837, "High Executor Derrington", "Tirisfal Glades", 83.2, 69.1, nil}},
	{85, 25010, 1, 10, "A Deadly New Ally", 2, 2, nil, 2, nil, {10837, "High Executor Derrington", "Tirisfal Glades", 83.2, 69, nil}},
	{85, 25011, 1, 10, "To Bigger and Better Things", 4, 2, nil, 2, nil, {10837, "High Executor Derrington", "Tirisfal Glades", 83.2, 69.1, nil}},
	{85, 25012, 1, 10, "Take to the Skies", 4, 2, nil, 2, nil, {37915, "Timothy Cunningham", "Tirisfal Glades", 83.6, 70, nil}},
	{85, 25013, 1, 10, "A Little Oomph", 4, 2, nil, 2, nil, {11057, "Apothecary Dithers", "Tirisfal Glades", 0, 0, nil}},
	{85, 25029, 1, 9, "Deaths in the Family", 2, 2, nil, 2, nil, {1500, "Coleman Farthing", "Tirisfal Glades", 0, 0, nil}},
	{85, 25030, 1, 9, "The Haunted Mills", 4, 2, nil, 2, nil, {1658, "Captain Dargol", "Tirisfal Glades", 52.7, 26.4, nil}},
	{85, 25031, 1, 9, "Head for the Mills", 2, 2, nil, 2, nil, {38977, "Apothecary Jerrod", "Tirisfal Glades", 3.9, 19.9, nil}},
	{85, 25038, 1, 5, "Gordo's Task", 2, 2, nil, 2, nil, {10666, "Gordo", "Tirisfal Glades", 0, 0, nil}},
	{85, 25046, 1, 10, "A Daughter's Embrace", 4, 2, nil, 2, nil, {13158, "Lieutenant Sanders", "Tirisfal Glades", 87.5, 43.3, nil}},
	{85, 25056, 1, 9, "Grisly Grizzlies", 2, 2, nil, 2, nil, {11057, "Apothecary Dithers", "Tirisfal Glades", 0, 0, nil}},
	{85, 25090, 1, 6, "A Putrid Task", 2, 2, nil, 2, nil, {1496, "Deathguard Dillinger", "Tirisfal Glades", 52.4, 54.7, nil}},
	{85, 26800, 1, 2, "Recruitment", 3, 2, nil, 2, nil, {1740, "Deathguard Saltain", "Tirisfal Glades", 31.6, 65.7, nil}},
	{85, 26801, 1, 3, "Scourge on our Perimeter", 3, 2, nil, 2, nil, {1569, "Shadow Priest Sarvis", "Tirisfal Glades", 0, 0, nil}},
	{85, 26802, 1, 3, "The Damned", 2, 2, nil, 2, nil, {1570, "Executor Arren", "Tirisfal Glades", 0, 0, nil}},
	{85, 28672, 1, 3, "The Executor In the Field", 2, 2, nil, 2, nil, {1661, "Novice Elreth", "Tirisfal Glades", 30.9, 66.1, nil}},
	{85, 24959, 1, 1, "Fresh out of the Grave", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24975, 1, 6, "Fields of Grief", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24983, 1, 8, "Forsaken Duties", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24991, 1, 8, "Garren's Haunt", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24999, 1, 8, "Planting the Seed of Fear", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 28672, 1, 3, "The Executor In the Field", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24960, 1, 1, "The Wakening", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24976, 1, 7, "Variety is the Spice of Death", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 25056, 1, 9, "Grisly Grizzlies", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24977, 1, 7, "Johaan's Experiment", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 25046, 1, 10, "A Daughter's Embrace", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24993, 1, 8, "Annihilate the Worgen", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 25009, 1, 9, "At War With The Scarlet Crusade", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 25089, 1, 1, "Beyond the Graves", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24974, 1, 6, "Ever So Lonely", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24990, 1, 5, "Darkhound Pounding", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24994, 1, 7, "Doom Weed", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24995, 1, 8, "Off the Scales", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24970, 1, 4, "No Better Than the Zombies", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24978, 1, 6, "Reaping the Reapers", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 26799, 1, 1, "Those That Couldn't Be Saved", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 25003, 1, 9, "The Family Crypt", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24971, 1, 5, "Assault on the Rotbrain Encampment", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24961, 1, 3, "The Truth of the Grave", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 25031, 1, 9, "Head for the Mills", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 25090, 1, 6, "A Putrid Task", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24973, 1, 4, "Night Web's Hollow", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 26800, 1, 2, "Recruitment", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24988, 1, 8, "The Chill of Death", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24980, 1, 7, "The Scarlet Palisade", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 25004, 1, 8, "The Mills Overrun", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 25012, 1, 10, "Take to the Skies", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 25005, 1, 9, "Speak with Sevren", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 25010, 1, 10, "A Deadly New Ally", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 26801, 1, 3, "Scourge on our Perimeter", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 25029, 1, 9, "Deaths in the Family", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 28608, 1, 1, "The Shadow Grave", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24989, 1, 8, "Return to the Magistrate", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24972, 1, 5, "Vital Intelligence", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24981, 1, 8, "A Thorn in our Side", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24997, 1, 7, "Graverobbers", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 25013, 1, 10, "A Little Oomph", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24996, 1, 6, "Holland's Experiment", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24992, 1, 7, "Escaped From Gilneas", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 25011, 1, 10, "To Bigger and Better Things", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 25007, 1, 9, "East... Always to the East", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24979, 1, 5, "A Scarlet Letter", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 26802, 1, 3, "The Damned", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24982, 1, 7, "The New Forsaken", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 24998, 1, 9, "Maggot Eye", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 25006, 1, 9, "The Grasp Weakens", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{85, 25038, 1, 5, "Gordo's Task", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Redridge Canyons 95 ]]--
	{95, 26568, 1, 17, "This Ain't My War", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Silverpine Forest 130 ]]--
	{130, 26998, 1, 11, "Iterating Upon Success", 4, 2, nil, 2, nil, {44784, "High Apothecary Shana T'veen", "Silverpine Forest", 56.3, 8.5, nil}},
	{130, 27094, 1, 13, "Deeper into Darkness", 3, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 34.5, 17.9, nil}},
	{130, 27510, 1, 18, "A Wolf in Bear's Clothing", 4, 2, nil, 2, nil, {45631, "High Warlord Cromush", "Silverpine Forest", 51.6, 65.8, nil}},
	{130, 27542, "TODO:WFLAGS", 19, "Taking the Battlefront", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27575, 1, 19, "From the Belly of the Beast", 4, 2, nil, 2, nil, {45878, "Lord Godfrey", "Silverpine Forest", 44.2, 77.6, nil}},
	{130, 26964, 1, 10, "Warchief's Command: Silverpine Forest!", 4, 2, nil, 2, nil, {1515, "Executor Zygand", "Tirisfal Glades", 60.5, 52, nil}},
	{130, 26965, 1, 11, "The Warchief Cometh", 4, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 57.5, 10.1, nil}},
	{130, 26989, 1, 11, "The Gilneas Liberation Front", 4, 2, nil, 2, nil, {44615, "Grand Executor Mortuus", "Silverpine Forest", 57.4, 10.2, nil}},
	{130, 26992, 1, 11, "Agony Abounds", 4, 2, nil, 2, nil, {44778, "Apothecary Witherbloom", "Silverpine Forest", 56.7, 9.1, nil}},
	{130, 26995, 1, 11, "Guts and Gore", 4, 2, nil, 2, nil, {44784, "High Apothecary Shana T'veen", "Silverpine Forest", 56.4, 8.3, nil}},
	{130, 27039, 1, 11, "Dangerous Intentions", 4, 2, nil, 2, nil, {44789, "Deathstalker Commander Belmont", "Silverpine Forest", 58.1, 8.9, nil}},
	{130, 27045, 1, 11, "Waiting to Exsanguinate", 4, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 54, 13, nil}},
	{130, 27056, 1, 11, "Belmont's Report", 4, 2, nil, 2, nil, {44789, "Deathstalker Commander Belmont", "Silverpine Forest", 58, 9.1, nil}},
	{130, 27065, 1, 12, "The Warchief's Fleet", 4, 2, nil, 2, nil, {44365, "Lady Sylvanas Windrunner", "Silverpine Forest", 57.4, 10, nil}},
	{130, 27069, 1, 12, "Steel Thunder", 4, 2, nil, 2, nil, {44916, "Admiral Hatchet", "Silverpine Forest", 44.1, 21.4, nil}},
	{130, 27073, 1, 12, "Give 'em Hell!", 4, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 44.1, 21.3, nil}},
	{130, 27082, 1, 12, "Playing Dirty", 4, 2, nil, 2, nil, {44912, "Apothecary Wormcrud", "Silverpine Forest", 44.7, 20.9, nil}},
	{130, 27088, 1, 12, "It's Only Poisonous if You Ingest It", 4, 2, nil, 2, nil, {44912, "Apothecary Wormcrud", "Silverpine Forest", 44.7, 21, nil}},
	{130, 27093, 1, 12, "Lost in the Darkness", 4, 2, nil, 2, nil, {44916, "Admiral Hatchet", "Silverpine Forest", 44, 21.3, nil}},
	{130, 27095, 1, 12, "Skitterweb Menace", 4, 2, nil, 2, nil, {44917, "Warlord Torok", "Silverpine Forest", 44, 21.4, nil}},
	{130, 27096, 1, 13, "Orcs are in Order", 4, 2, nil, 2, nil, {44916, "Admiral Hatchet", "Silverpine Forest", 43.9, 21.3, nil}},
	{130, 27097, 1, 13, "Rise, Forsaken", 4, 2, nil, 2, nil, {44365, "Lady Sylvanas Windrunner", "Silverpine Forest", 57.4, 10.2, nil}},
	{130, 27098, 1, 13, "Lordaeron", 4, 2, nil, 2, nil, {44365, "Lady Sylvanas Windrunner", "Silverpine Forest", 57.4, 10.3, nil}},
	{130, 27099, 1, 13, "No Escape", 3, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 66, 28.2, nil}},
	{130, 27180, 1, 13, "Honor the Dead", 4, 2, nil, 2, nil, {44365, "Lady Sylvanas Windrunner", "Silverpine Forest", 44.9, 41.7, nil}},
	{130, 27181, 1, 13, "Excising the Taint", 3, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 47.7, 50.7, nil}},
	{130, 27193, 1, 13, "Seek and Destroy", 4, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 47, 52, nil}},
	{130, 27194, 1, 13, "Cornered and Crushed!", 4, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 46.2, 54.4, nil}},
	{130, 27195, 1, 13, "Nowhere to Run", 4, 2, nil, 2, nil, {45228, "Master Forteski", "Silverpine Forest", 56, 46.3, nil}},
	{130, 27226, 1, 13, "Hair of the Dog", 4, 2, nil, 2, nil, {44917, "Warlord Torok", "Silverpine Forest", 45.7, 42, nil}},
	{130, 27231, 1, 13, "Reinforcements from Fenris", 4, 2, nil, 2, nil, {44916, "Admiral Hatchet", "Silverpine Forest", 45.7, 42, nil}},
	{130, 27232, 1, 13, "The Waters Run Red...", 4, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 59.2, 34.3, nil}},
	{130, 27438, 1, 16, "The Great Escape", 4, 2, nil, 2, nil, {45312, "Deathstalker Commander Belmont", "Ruins of Gilneas", 79.8, 75.7, nil}},
	{130, 27472, 1, 16, "Rise, Godfrey", 4, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 51.8, 65.9, nil}},
	{130, 27474, 1, 17, "Breaking the Barrier", 4, 2, nil, 2, nil, {45617, "Lady Sylvanas Windrunner", "Silverpine Forest", 51.9, 65, nil}},
	{130, 27475, 1, 17, "Unyielding Servitors", 4, 2, nil, 2, nil, {45626, "Daschla", "Silverpine Forest", 51.9, 64.8, nil}},
	{130, 27476, 1, 18, "Dalar Dawnweaver", 4, 2, nil, 2, nil, {45617, "Lady Sylvanas Windrunner", "Silverpine Forest", 52, 65, nil}},
	{130, 27484, 1, 18, "Only One May Enter", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27512, 1, 18, "Transdimensional Warfare: Chapter I", 4, 2, nil, 2, nil, {45617, "Lady Sylvanas Windrunner", "Silverpine Forest", 51.8, 64.9, nil}},
	{130, 27513, 1, 18, "Transdimensional Warfare: Chapter II", 3, 2, nil, 2, nil, {45752, "Ambermill Dimensional Portal", "Silverpine Forest", 58, 69.9, nil}},
	{130, 27518, 1, 19, "Transdimensional Warfare: Chapter III", 3, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 60.4, 63.2, nil}},
	{130, 27547, 1, 19, "Of No Consequence", 4, 2, nil, 2, nil, {45880, "Baron Ashbury", "Silverpine Forest", 51, 63.7, nil}},
	{130, 27548, 1, 19, "Lessons in Fear", 4, 2, nil, 2, nil, {45879, "Lord Walden", "Silverpine Forest", 51, 63.7, nil}},
	{130, 27550, 1, 19, "Pyrewood's Fall", 4, 2, nil, 2, nil, {45878, "Lord Godfrey", "Silverpine Forest", 51, 63.7, nil}},
	{130, 27574, 1, 19, "I Never Forget a Face", 4, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 44.2, 77.6, nil}},
	{130, 27577, 1, 19, "7th Legion Battle Plans", 4, 2, nil, 2, nil, {45879, "Lord Walden", "Silverpine Forest", 45.7, 73.7, nil}},
	{130, 27580, 1, 20, "Sowing Discord", 4, 2, nil, 2, nil, {45878, "Lord Godfrey", "Silverpine Forest", 45.9, 73.3, nil}},
	{130, 27594, 1, 20, "On Her Majesty's Secret Service", 4, 2, nil, 2, nil, {45878, "Lord Godfrey", "Silverpine Forest", 42.4, 79.1, nil}},
	{130, 27601, 1, 20, "Cities in Dust", 4, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 51.9, 65.1, nil}},
	{130, 26964, 1, 10, "Warchief's Command: Silverpine Forest!", 4, 2, nil, 2, nil, {1515, "Executor Zygand", "Tirisfal Glades", 60.4, 51.9, nil}},
	{130, 26965, 1, 11, "The Warchief Cometh", 4, 2, nil, 2, nil, {44615, "Grand Executor Mortuus", "Silverpine Forest", 57.4, 10.1, nil}},
	{130, 26989, 1, 11, "The Gilneas Liberation Front", 4, 2, nil, 2, nil, {44615, "Grand Executor Mortuus", "Silverpine Forest", 57.4, 10.1, nil}},
	{130, 26992, 1, 11, "Agony Abounds", 4, 2, nil, 2, nil, {44778, "Apothecary Witherbloom", "Silverpine Forest", 56.5, 9.1, nil}},
	{130, 26995, 1, 11, "Guts and Gore", 4, 2, nil, 2, nil, {44784, "High Apothecary Shana T'veen", "Silverpine Forest", 56.4, 8.6, nil}},
	{130, 26998, 1, 11, "Iterating Upon Success", 4, 2, nil, 2, nil, {44784, "High Apothecary Shana T'veen", "Silverpine Forest", 56.3, 8.5, nil}},
	{130, 27039, 1, 11, "Dangerous Intentions", 4, 2, nil, 2, nil, {44789, "Deathstalker Commander Belmont", "Silverpine Forest", 58, 9, nil}},
	{130, 27045, 1, 11, "Waiting to Exsanguinate", 4, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 53.7, 13.3, nil}},
	{130, 27056, 1, 11, "Belmont's Report", 4, 2, nil, 2, nil, {44789, "Deathstalker Commander Belmont", "Silverpine Forest", 58, 9.1, nil}},
	{130, 27065, 1, 12, "The Warchief's Fleet", 4, 2, nil, 2, nil, {44365, "Lady Sylvanas Windrunner", "Silverpine Forest", 57.4, 10.2, nil}},
	{130, 27069, 1, 12, "Steel Thunder", 4, 2, nil, 2, nil, {44916, "Admiral Hatchet", "Silverpine Forest", 44, 21.4, nil}},
	{130, 27073, 1, 12, "Give 'em Hell!", 4, 2, nil, 2, nil, {44917, "Warlord Torok", "Silverpine Forest", 44, 21.3, nil}},
	{130, 27082, 1, 12, "Playing Dirty", 4, 2, nil, 2, nil, {44912, "Apothecary Wormcrud", "Silverpine Forest", 44.8, 21, nil}},
	{130, 27088, 1, 12, "It's Only Poisonous if You Ingest It", 4, 2, nil, 2, nil, {44912, "Apothecary Wormcrud", "Silverpine Forest", 44.8, 20.9, nil}},
	{130, 27093, 1, 12, "Lost in the Darkness", 4, 2, nil, 2, nil, {44916, "Admiral Hatchet", "Silverpine Forest", 44.1, 21.3, nil}},
	{130, 27094, 1, 13, "Deeper into Darkness", 3, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 35.6, 15.3, nil}},
	{130, 27095, 1, 12, "Skitterweb Menace", 4, 2, nil, 2, nil, {44917, "Warlord Torok", "Silverpine Forest", 44.1, 21.2, nil}},
	{130, 27096, 1, 13, "Orcs are in Order", 4, 2, nil, 2, nil, {44916, "Admiral Hatchet", "Silverpine Forest", 44.1, 21.4, nil}},
	{130, 27097, 1, 13, "Rise, Forsaken", 4, 2, nil, 2, nil, {44365, "Lady Sylvanas Windrunner", "Silverpine Forest", 57.4, 10.2, nil}},
	{130, 27098, 1, 13, "Lordaeron", 4, 2, nil, 2, nil, {44365, "Lady Sylvanas Windrunner", "Silverpine Forest", 57.4, 10.2, nil}},
	{130, 27099, 1, 13, "No Escape", 3, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 65.7, 27.5, nil}},
	{130, 27180, 1, 13, "Honor the Dead", 4, 2, nil, 2, nil, {44365, "Lady Sylvanas Windrunner", "Silverpine Forest", 0, 0, nil}},
	{130, 27181, 1, 13, "Excising the Taint", 3, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 45.9, 51.7, nil}},
	{130, 27193, 1, 13, "Seek and Destroy", 4, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 47.3, 49.6, nil}},
	{130, 27194, 1, 13, "Cornered and Crushed!", 4, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 46.9, 50.1, nil}},
	{130, 27195, 1, 13, "Nowhere to Run", 4, 2, nil, 2, nil, {45228, "Master Forteski", "Silverpine Forest", 56, 46.4, nil}},
	{130, 27226, 1, 13, "Hair of the Dog", 4, 2, nil, 2, nil, {44917, "Warlord Torok", "Silverpine Forest", 0, 0, nil}},
	{130, 27231, 1, 13, "Reinforcements from Fenris", 4, 2, nil, 2, nil, {44916, "Admiral Hatchet", "Silverpine Forest", 0, 0, nil}},
	{130, 27232, 1, 13, "The Waters Run Red...", 4, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 59.3, 34.3, nil}},
	{130, 27438, 1, 16, "The Great Escape", 4, 2, nil, 2, nil, {45312, "Deathstalker Commander Belmont", "Ruins of Gilneas", 79.7, 75.7, nil}},
	{130, 27472, 1, 16, "Rise, Godfrey", 4, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 51.8, 66, nil}},
	{130, 27474, 1, 17, "Breaking the Barrier", 4, 2, nil, 2, nil, {45617, "Lady Sylvanas Windrunner", "Silverpine Forest", 51.9, 65, nil}},
	{130, 27475, 1, 17, "Unyielding Servitors", 4, 2, nil, 2, nil, {45626, "Daschla", "Silverpine Forest", 0, 0, nil}},
	{130, 27476, 1, 18, "Dalar Dawnweaver", 4, 2, nil, 2, nil, {45617, "Lady Sylvanas Windrunner", "Silverpine Forest", 51.9, 65, nil}},
	{130, 27484, 1, 18, "Only One May Enter", 4, 2, nil, 2, nil, {1938, "Dalar Dawnweaver", "Silverpine Forest", 47, 43.2, nil}},
	{130, 27510, 1, 18, "A Wolf in Bear's Clothing", 4, 2, nil, 2, nil, {45631, "High Warlord Cromush", "Silverpine Forest", 0, 0, nil}},
	{130, 27512, 1, 18, "Transdimensional Warfare: Chapter I", 4, 2, nil, 2, nil, {45617, "Lady Sylvanas Windrunner", "Silverpine Forest", 51.9, 64.9, nil}},
	{130, 27513, 1, 18, "Transdimensional Warfare: Chapter II", 3, 2, nil, 2, nil, {45752, "Ambermill Dimensional Portal", "Silverpine Forest", 58, 69.9, nil}},
	{130, 27518, 1, 19, "Transdimensional Warfare: Chapter III", 3, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 59.5, 65.1, nil}},
	{130, 27542, "TODO:WFLAGS", 19, "Taking the Battlefront", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27547, 1, 19, "Of No Consequence", 4, 2, nil, 2, nil, {45880, "Baron Ashbury", "Silverpine Forest", 0, 0, nil}},
	{130, 27548, 1, 19, "Lessons in Fear", 4, 2, nil, 2, nil, {45879, "Lord Walden", "Silverpine Forest", 51.2, 63.8, nil}},
	{130, 27550, 1, 19, "Pyrewood's Fall", 4, 2, nil, 2, nil, {45878, "Lord Godfrey", "Silverpine Forest", 0, 0, nil}},
	{130, 27577, 1, 19, "7th Legion Battle Plans", 4, 2, nil, 2, nil, {45879, "Lord Walden", "Silverpine Forest", 46.4, 72.7, nil}},
	{130, 27580, 1, 20, "Sowing Discord", 4, 2, nil, 2, nil, {45878, "Lord Godfrey", "Silverpine Forest", 0, 0, nil}},
	{130, 27594, 1, 20, "On Her Majesty's Secret Service", 4, 2, nil, 2, nil, {45878, "Lord Godfrey", "Silverpine Forest", 41.9, 81.6, nil}},
	{130, 27601, 1, 20, "Cities in Dust", 4, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 51.9, 65, nil}},
	{130, 27194, 1, 13, "Cornered and Crushed!", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27226, 1, 13, "Hair of the Dog", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27474, 1, 17, "Breaking the Barrier", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27195, 1, 13, "Nowhere to Run", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 26995, 1, 11, "Guts and Gore", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27099, 1, 13, "No Escape", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27475, 1, 17, "Unyielding Servitors", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27547, 1, 19, "Of No Consequence", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27180, 1, 13, "Honor the Dead", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27476, 1, 18, "Dalar Dawnweaver", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27484, 1, 18, "Only One May Enter", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 26989, 1, 11, "The Gilneas Liberation Front", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27069, 1, 12, "Steel Thunder", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27045, 1, 11, "Waiting to Exsanguinate", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27093, 1, 12, "Lost in the Darkness", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27082, 1, 12, "Playing Dirty", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27181, 1, 13, "Excising the Taint", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 26964, 1, 10, "Warchief's Command: Silverpine Forest!", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 26998, 1, 11, "Iterating Upon Success", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27548, 1, 19, "Lessons in Fear", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27094, 1, 13, "Deeper into Darkness", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27438, 1, 16, "The Great Escape", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27510, 1, 18, "A Wolf in Bear's Clothing", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27542, "TODO:WFLAGS", 19, "Taking the Battlefront", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27095, 1, 12, "Skitterweb Menace", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27056, 1, 11, "Belmont's Report", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27231, 1, 13, "Reinforcements from Fenris", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27073, 1, 12, "Give 'em Hell!", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27472, 1, 16, "Rise, Godfrey", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 26992, 1, 11, "Agony Abounds", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 26965, 1, 11, "The Warchief Cometh", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27088, 1, 12, "It's Only Poisonous if You Ingest It", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27096, 1, 13, "Orcs are in Order", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27580, 1, 20, "Sowing Discord", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27594, 1, 20, "On Her Majesty's Secret Service", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27512, 1, 18, "Transdimensional Warfare: Chapter I", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27232, 1, 13, "The Waters Run Red...", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27065, 1, 12, "The Warchief's Fleet", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27097, 1, 13, "Rise, Forsaken", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27193, 1, 13, "Seek and Destroy", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27039, 1, 11, "Dangerous Intentions", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27518, 1, 19, "Transdimensional Warfare: Chapter III", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27550, 1, 19, "Pyrewood's Fall", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27601, 1, 20, "Cities in Dust", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27098, 1, 13, "Lordaeron", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27513, 1, 18, "Transdimensional Warfare: Chapter II", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{130, 27577, 1, 19, "7th Legion Battle Plans", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Eastern Plaguelands 139 ]]--
	{139, 27367, 1, 40, "Gidwin Goldbraids", 4, 2, nil, 2, nil, {45417, "Fiona", "Eastern Plaguelands", 0, 0, nil}},
	{139, 27368, 1, 40, "Just Encased", 4, 2, nil, 2, nil, {45428, "Gidwin Goldbraids", "Eastern Plaguelands", 4.2, 36.1, nil}},
	{139, 27369, 1, 40, "Greasing the Wheel", 4, 2, nil, 2, nil, {45431, "Gidwin Goldbraids", "Eastern Plaguelands", 4.2, 36, nil}},
	{139, 27370, 1, 40, "Tarenar Sunstrike", 4, 2, nil, 2, nil, {45417, "Fiona", "Eastern Plaguelands", 9, 66.5, nil}},
	{139, 27371, 1, 40, "What I Do Best", 4, 2, nil, 2, nil, {45429, "Tarenar Sunstrike", "Eastern Plaguelands", 18.4, 74.9, nil}},
	{139, 27372, 1, 40, "A Gift For Fiona", 4, 2, nil, 2, nil, {nil, nil, "Eastern Plaguelands", 18.5, 78.7, nil}},
	{139, 27373, 1, 40, "Onward, to Light's Hope Chapel", 4, 2, nil, 2, nil, {45417, "Fiona", "Eastern Plaguelands", 9, 66.5, nil}},
	{139, 27381, 1, 41, "Traveling Companions", 4, 2, nil, 2, nil, {45429, "Tarenar Sunstrike", "Eastern Plaguelands", 0, 0, nil}},
	{139, 27382, 1, 41, "Rough Roads", 4, 2, nil, 2, nil, {45451, "Argus Highbeacon", "Eastern Plaguelands", 35.7, 69.2, nil}},
	{139, 27383, 1, 41, "Little Pamela", 4, 2, nil, 2, nil, {11063, "Carlin Redpath", "Eastern Plaguelands", 35.6, 68.9, nil}},
	{139, 27384, 1, 41, "Pamela's Doll", 4, 2, nil, 2, nil, {10926, "Pamela Redpath", "Eastern Plaguelands", 32.5, 83.8, nil}},
	{139, 27385, 1, 41, "Uncle Carlin", 4, 2, nil, 2, nil, {10926, "Pamela Redpath", "Eastern Plaguelands", 32.5, 83.8, nil}},
	{139, 27386, 1, 41, "A Strange Historian", 4, 2, nil, 2, nil, {11063, "Carlin Redpath", "Eastern Plaguelands", 35.6, 68.8, nil}},
	{139, 27387, 1, 41, "Villains of Darrowshire", 4, 2, nil, 2, nil, {10667, "Chromie", "Eastern Plaguelands", 35.2, 68, nil}},
	{139, 27388, 1, 41, "Heroes of Darrowshire", 4, 2, nil, 2, nil, {10667, "Chromie", "Eastern Plaguelands", 0, 0, nil}},
	{139, 27389, 1, 41, "Marauders of Darrowshire", 4, 2, nil, 2, nil, {10667, "Chromie", "Eastern Plaguelands", 0, 0, nil}},
	{139, 27390, 1, 41, "The Battle of Darrowshire", 4, 2, nil, 2, nil, {10667, "Chromie", "Eastern Plaguelands", 35.3, 68, nil}},
	{139, 27392, 1, 41, "I'm Not Supposed to Tell You This", 4, 2, nil, 2, nil, {10926, "Pamela Redpath", "Eastern Plaguelands", 0, 0, nil}},
	{139, 27420, 1, 41, "Postponing the Inevitable", 4, 2, nil, 2, nil, {16135, "Rayne", "Eastern Plaguelands", 30.2, 57, nil}},
	{139, 27421, 1, 41, "Amidst Death, Life", 4, 2, nil, 2, nil, {16135, "Rayne", "Eastern Plaguelands", 0, 0, nil}},
	{139, 27432, 1, 41, "Zaeldarr the Outcast", 4, 2, nil, 2, nil, {45500, "Urk Gagbaz", "Eastern Plaguelands", 0, 0, nil}},
	{139, 27544, 1, 41, "Cenarion Tenacity", 4, 2, nil, 2, nil, {45500, "Urk Gagbaz", "Eastern Plaguelands", 35, 68.2, nil}},
	{139, 27555, "TODO:WFLAGS", 0, "Fiona's Lucky Charm", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27556, "TODO:WFLAGS", 0, "Gidwin's Weapon Oil", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27683, 1, 40, "Into the Woods", 4, 2, nil, 2, nil, {44462, "Jearl Donald", "Western Plaguelands", 0, 0, nil}},
	{139, 27370, 1, 40, "Tarenar Sunstrike", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27386, 1, 41, "A Strange Historian", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27458, 1, 42, "Smokey and the Bandage", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27482, 1, 43, "Into the Flames", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27618, 1, 42, "Argent Upheaval", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27387, 1, 41, "Villains of Darrowshire", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27371, 1, 40, "What I Do Best", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27539, 1, 44, "Add 'em to the Pile", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27459, 1, 42, "The Brotherhood of Light", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27683, 1, 40, "Into the Woods", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27619, 1, 42, "The Commander", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27454, 1, 42, "Just a Drop in the Bucket", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27372, 1, 40, "A Gift For Fiona", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27453, 1, 42, "Catalysm", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27420, 1, 41, "Postponing the Inevitable", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27460, 1, 42, "Soft Landing", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27620, 1, 43, "Like Rats", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27521, 1, 44, "Wretched Hive of Scum and Villainy", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27421, 1, 41, "Amidst Death, Life", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27525, 1, 45, "Guardians of Stratholme", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27373, 1, 40, "Onward, to Light's Hope Chapel", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27381, 1, 41, "Traveling Companions", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27522, 1, 44, "Beat it Out of Them", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27477, 1, 43, "The Corpulent One", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27557, "TODO:WFLAGS", 0, "Tarenar's Talisman", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27385, 1, 41, "Uncle Carlin", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27524, 1, 44, "Blind Fury", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27369, 1, 40, "Greasing the Wheel", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27461, 1, 42, "To Take the Abbey", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27531, 1, 44, "Counter-Plague Research", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27613, 1, 42, "The Assassin", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27462, 1, 42, "To Take the Barracks", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27382, 1, 41, "Rough Roads", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27390, 1, 41, "The Battle of Darrowshire", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27466, 1, 43, "Argent Call: Northdale", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27450, 1, 42, "Frederick's Fish Fancy", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27526, 1, 45, "Gidwin's Fate Revealed", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27534, 1, 44, "Augustus' Receipt Book", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27612, 1, 42, "Victory From Within", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27465, 1, 42, "Argent Call: The Noxious Glade", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27389, 1, 41, "Marauders of Darrowshire", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27614, 1, 42, "Scarlet Salvage", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27451, 1, 42, "To Kill With Purpose", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27388, 1, 41, "Heroes of Darrowshire", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27463, 1, 42, "A Boyhood Dream", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27367, 1, 40, "Gidwin Goldbraids", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27383, 1, 41, "Little Pamela", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27391, 1, 41, "Hidden Treasures", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27551, 1, 45, "The Baroness' Missive", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27455, 1, 42, "Boys Will Be Boys", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27479, 1, 43, "Righteous Indignation", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27487, 1, 43, "Ix'lar the Underlord", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27527, 1, 45, "Journey's End", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27615, 1, 42, "The Wrathcaster", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27555, "TODO:WFLAGS", 0, "Fiona's Lucky Charm", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27368, 1, 40, "Just Encased", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27384, 1, 41, "Pamela's Doll", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27392, 1, 41, "I'm Not Supposed to Tell You This", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27448, 1, 42, "The Trek Continues", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27456, 1, 42, "Gathering Some Grub(s)", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27464, 1, 42, "Argent Call: The Trial of the Crypt", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27544, 1, 41, "Cenarion Tenacity", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27488, 1, 43, "Impatience", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27535, 1, 44, "Just a Little Touched", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27432, 1, 41, "Zaeldarr the Outcast", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27528, 1, 44, "Scourged Mass", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27560, "TODO:WFLAGS", 0, "Argus' Journal", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27616, 1, 42, "The Huntsman", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27449, 1, 42, "Honor and Strength", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27467, 1, 42, "Buried Blades", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27533, 1, 44, "A Fate Worse Than Butchery", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27452, 1, 42, "Dark Garb", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27532, 1, 44, "The Plaguewood Tower", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27523, 1, 44, "Duskwing, Oh How I Hate Thee...", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27530, 1, 45, "The Corpsebeasts", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27481, 1, 43, "Out of the Ziggurat", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27489, 1, 43, "Nobody to Blame but Myself", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27457, 1, 42, "An Opportune Alliance", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27529, 1, 44, "Defenders of Darrowshire", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{139, 27617, 1, 42, "Befouled No More", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Icecrown 210 ]]--
	{210, 24451, 1, 80, "An Audience With The Arcanist", 2, 2, nil, 2, nil, {36670, "Magister Hathorel", "Dalaran", 70.1, 31.5, nil}},
	{210, 24554, 1, 80, "The Battered Hilt", 2, 2, nil, 2, nil, {44867, "Auctioneer Ralinza", "Orgrimmar", 52.6, 76.6, nil}},
	{210, 24555, 1, 80, "What The Dragons Know", 2, 2, nil, 2, nil, {36642, "Myralion Sunblaze", "Icecrown", 74.6, 31.2, nil}},
	{210, 24556, 1, 80, "A Suitable Disguise", 2, 2, nil, 2, nil, {36670, "Magister Hathorel", "Dalaran", 69.6, 30.9, nil}},
	{210, 24558, 1, 80, "Return To Myralion Sunblaze", 2, 2, nil, 2, nil, {36670, "Magister Hathorel", "Dalaran", 69.6, 31.3, nil}},
	{210, 24560, 1, 80, "Tempering The Blade", 2, 2, nil, 2, nil, {36642, "Myralion Sunblaze", "Icecrown", 74.6, 31.2, nil}},
	{210, 24800, 1, 80, "A Victory For The Sunreavers", 2, 2, nil, 2, nil, {36642, "Myralion Sunblaze", "Icecrown", 74.5, 31.1, nil}},

	--[[ Mulgore 215 ]]--
	{215, 11129, 1, 7, "Kyle's Gone Missing!", 2, 2, nil, 2, nil, {23618, "Ahab Wheathoof", "Mulgore", 48.3, 53.2, nil}},
	{215, 14438, 1, 6, "Sharing the Land", 2, 2, nil, 2, nil, {36644, "Ahmo Thunderhorn", "Mulgore", 47.7, 59.6, nil}},
	{215, 14449, 1, 1, "The First Step", 2, 2, nil, 2, nil, {2981, "Chief Hawkwind", "Mulgore", 45.2, 75.6, nil}},
	{215, 14452, 1, 2, "Rite of Strength", 3, 2, nil, 2, nil, {2980, "Grull Hawkwind", "Mulgore", 48.9, 78.3, nil}},
	{215, 14455, 1, 3, "Stop the Thorncallers", 2, 2, nil, 2, nil, {36694, "Adana Thunderhorn", "Mulgore", 46.2, 82.6, nil}},
	{215, 14456, 1, 3, "Rite of Courage", 2, 2, nil, 2, nil, {36694, "Adana Thunderhorn", "Mulgore", 46.2, 82.6, nil}},
	{215, 14458, 1, 2, "Go to Adana", 2, 2, nil, 2, nil, {2980, "Grull Hawkwind", "Mulgore", 48.9, 78.3, nil}},
	{215, 14459, 1, 4, "The Battleboars", 2, 2, nil, 2, nil, {36694, "Adana Thunderhorn", "Mulgore", 46.2, 82.7, nil}},
	{215, 14460, 1, 5, "Rite of Honor", 2, 2, nil, 2, nil, {36694, "Adana Thunderhorn", "Mulgore", 46.1, 82.8, nil}},
	{215, 14461, 1, 4, "Feed of Evil", 2, 2, nil, 2, nil, {36694, "Adana Thunderhorn", "Mulgore", 46.2, 82.7, nil}},
	{215, 14491, 1, 7, "The Restless Earth", 4, 2, nil, 2, nil, {36644, "Ahmo Thunderhorn", "Mulgore", 47.7, 59.7, nil}},
	{215, 20440, 1, 5, "Poison Water", 2, 2, nil, 2, nil, {2948, "Mull Thunderhorn", "Mulgore", 48.5, 59.8, nil}},
	{215, 20441, 1, 7, "Rite of Vision", 4, 2, nil, 2, nil, {3054, "Zarlman Two-Moons", "Mulgore", 47.9, 57.3, nil}},
	{215, 23733, 1, 5, "Rites of the Earthmother", 2, 2, nil, 2, nil, {2981, "Chief Hawkwind", "Mulgore", 45.2, 75.5, nil}},
	{215, 24215, 1, 5, "Rite of the Winds", 2, 2, nil, 2, nil, {36803, "Dyami Windsoar", "Mulgore", 41.2, 76.1, nil}},
	{215, 24440, 1, 6, "Winterhoof Cleansing", 4, 2, nil, 2, nil, {2948, "Mull Thunderhorn", "Mulgore", 48.5, 59.9, nil}},
	{215, 24441, 1, 7, "Thunderhorn Totem", 4, 2, nil, 2, nil, {2948, "Mull Thunderhorn", "Mulgore", 48.6, 59.8, nil}},
	{215, 24456, 1, 8, "Thunderhorn Cleansing", 4, 2, nil, 2, nil, {2948, "Mull Thunderhorn", "Mulgore", 48.7, 59.9, nil}},
	{215, 24457, 1, 6, "Rite of Vision", 4, 2, nil, 2, nil, {2948, "Mull Thunderhorn", "Mulgore", 48.5, 59.8, nil}},
	{215, 24459, 1, 8, "Morin Cloudstalker", 2, 2, nil, 2, nil, {36644, "Ahmo Thunderhorn", "Mulgore", 47.7, 59.7, nil}},
	{215, 24523, 1, 10, "Wildmane Totem", 4, 2, nil, 2, nil, {37024, "Una Wildmane", "Mulgore", 49.4, 17.4, nil}},
	{215, 24524, 1, 10, "Wildmane Cleansing", 4, 2, nil, 2, nil, {37024, "Una Wildmane", "Mulgore", 49.4, 17.5, nil}},
	{215, 24540, 1, 10, "War Dance", 4, 2, nil, 2, nil, {36648, "Baine Bloodhoof", "Thunder Bluff", 59.9, 51.7, nil}},
	{215, 24550, 1, 10, "Journey into Thunder Bluff", 4, 2, nil, 2, nil, {37024, "Una Wildmane", "Mulgore", 49.3, 17.2, nil}},
	{215, 24852, 1, 2, "Our Tribe, Imprisoned", 2, 2, nil, 2, nil, {2980, "Grull Hawkwind", "Mulgore", 49, 78.3, nil}},
	{215, 24861, 1, 5, "Last Rites, First Rites", 2, 2, nil, 2, nil, {2981, "Chief Hawkwind", "Mulgore", 45.1, 75.5, nil}},
	{215, 26188, 1, 8, "Mazzranache", 4, 2, nil, 2, nil, {3055, "Maur Raincaller", "Mulgore", 47.2, 56.8, nil}},
	{215, 6361, 1, 10, "A Bundle of Hides", 2, 2, nil, 2, nil, {3079, "Varg Windwhisper", "Mulgore", 46, 58.1, nil}},
	{215, 6362, 1, 10, "Ride to Thunder Bluff", 4, 2, nil, 2, nil, {40809, "Tak", "Mulgore", 47.4, 58.7, nil}},
	{215, 6363, 1, 10, "Tal the Wind Rider Master", 4, 2, nil, 2, nil, {8359, "Ahanu", "Thunder Bluff", 45.5, 55.7, nil}},
	{215, 6364, 1, 10, "Return to Varg", 4, 2, nil, 2, nil, {2995, "Tal", "Thunder Bluff", 47, 50.1, nil}},
	{215, 743, 1, 8, "Dangers of the Windfury", 2, 2, nil, 2, nil, {2985, "Ruul Eagletalon", "Mulgore", 47.5, 61.2, nil}},
	{215, 749, 1, 8, "The Ravaged Caravan", 4, 2, nil, 2, nil, {2988, "Morin Cloudstalker", "Mulgore", 57, 60.5, nil}},
	{215, 751, 1, 8, "The Ravaged Caravan", 4, 2, nil, 2, nil, {nil, nil, "Mulgore", 53.5, 48.3, nil}},
	{215, 761, 1, 6, "Swoop Hunting", 2, 2, nil, 2, nil, {2947, "Harken Windtotem", "Mulgore", 48.7, 58.8, nil}},
	{215, 773, 1, 10, "Rite of Wisdom", 4, 2, nil, 2, nil, {3233, "Lorekeeper Raintotem", "Mulgore", 49.6, 17.1, nil}},
	{215, 833, 1, 10, "A Sacred Burial", 4, 2, nil, 2, nil, {3233, "Lorekeeper Raintotem", "Mulgore", 49.6, 17.1, nil}},
	{215, 861, 1, 10, "The Hunter's Way", 4, 2, nil, 2, nil, {3052, "Skorn Whitecloud", "Mulgore", 49.6, 17.1, nil}},

	--[[ Hillsbrad Foothills 267 ]]--
	{267, 28484, 1, 23, "The Heart of the Matter", 4, 2, nil, 2, nil, {2437, "Keeper Bel'varil", "Hillsbrad Foothills", 57, 45.8, nil}},
	{267, 28197, 1, 21, "Discretion is Key", 4, 2, nil, 2, nil, {47781, "Warden Stillwater", "Hillsbrad Foothills", 36.3, 61.1, nil}},
	{267, 28325, 1, 22, "Green Living", 4, 2, nil, 2, nil, {2391, "Serge Hinott", "Hillsbrad Foothills", 49.1, 66.3, nil}},
	{267, 28485, 1, 25, "Yetimus the Yeti Lord [Group]", 4, 2, nil, 2, nil, {2419, "Deathguard Humbert", "Hillsbrad Foothills", 57.2, 45.5, nil}},
	{267, 28645, 1, 25, "The Durnholde Challenge: Bloodvenom [Group]", 3, 2, nil, 2, nil, {nil, nil, "Hillsbrad Foothills", 67.4, 60.5, nil}},
	{267, 28230, 1, 21, "Protocol", 4, 2, nil, 2, nil, {48020, "Master Apothecary Lydon", "Hillsbrad Foothills", 40.3, 59.3, nil}},
	{267, 28566, 1, 24, "Decimation", 3, 2, nil, 2, nil, {48741, "SI:7 Operative", "Hillsbrad Foothills", 56.1, 40.4, nil}},
	{267, 28646, 1, 25, "The Durnholde Challenge: Infernus [Group]", 3, 2, nil, 2, nil, {nil, nil, "Hillsbrad Foothills", 66.2, 60.5, nil}},
	{267, 28231, 1, 21, "Do it for Twinkles", 4, 2, nil, 2, nil, {48021, "Johnny Awesome", "Hillsbrad Foothills", 40.3, 59.3, nil}},
	{267, 28375, 1, 23, "The Road to Purgation", 4, 2, nil, 2, nil, {48218, "Kingslayer Orkus", "Hillsbrad Foothills", 50, 74.3, nil}},
	{267, 28487, 1, 23, "Humbert's Personal Problems", 4, 2, nil, 2, nil, {2419, "Deathguard Humbert", "Hillsbrad Foothills", 57.2, 45.5, nil}},
	{267, 28647, 1, 25, "The Durnholde Challenge: D-1000 [Group]", 3, 2, nil, 2, nil, {nil, nil, "Hillsbrad Foothills", 68.4, 63.2, nil}},
	{267, 28168, 1, 21, "Trouble at the Sludge Fields", 4, 2, nil, 2, nil, {47554, "Captain Keyton", "Hillsbrad Foothills", 33.2, 73.6, nil}},
	{267, 28616, 1, 24, "Stormpike Apocalypse", 4, 2, nil, 2, nil, {48545, "High Warlord Cromush", "Hillsbrad Foothills", 57.2, 46.3, nil}},
	{267, 28744, 1, 0, "Ghouls Hate My Grains", 3, 2, nil, 2, nil, {nil, nil, "Hillsbrad Foothills", 33.6, 49.3, nil}},
	{267, 28089, 1, 20, "Warchief's Command: Hillsbrad Foothills!", 4, 2, nil, 2, nil, {44640, "High Warlord Cromush", "Silverpine Forest", 57.2, 10.4, nil}},
	{267, 28096, 1, 20, "Welcome to the Machine", 2, 2, nil, 2, nil, {2215, "High Executor Darthalia", "Hillsbrad Foothills", 29.2, 63.5, nil}},
	{267, 28111, 1, 20, "Trouble at Azurelode", 4, 2, nil, 2, nil, {2215, "High Executor Darthalia", "Hillsbrad Foothills", 29.3, 63.4, nil}},
	{267, 28114, 1, 20, "Glorious Harvest", 4, 2, nil, 2, nil, {47432, "Apothecary Underhill", "Hillsbrad Foothills", 29.2, 63.9, nil}},
	{267, 28115, 1, 20, "Past Their Prime", 4, 2, nil, 2, nil, {47432, "Apothecary Underhill", "Hillsbrad Foothills", 29.2, 63.9, nil}},
	{267, 28138, 1, 20, "Human Infestation", 4, 2, nil, 2, nil, {47554, "Captain Keyton", "Hillsbrad Foothills", 33.3, 73.4, nil}},
	{267, 28144, 1, 20, "Thieving Little Monsters!", 2, 2, nil, 2, nil, {47554, "Captain Keyton", "Hillsbrad Foothills", 33.3, 73.4, nil}},
	{267, 28146, 1, 20, "Coastal Delicacies!", 4, 2, nil, 2, nil, {nil, nil, "Hillsbrad Foothills", 33.3, 73.5, nil}},
	{267, 28156, 1, 20, "Deep Mine Rescue", 4, 2, nil, 2, nil, {47681, "Dumass", "Hillsbrad Foothills", 36.6, 70.3, nil}},
	{267, 28189, 1, 20, "Do the Right Thing", 4, 2, nil, 2, nil, {16030, "Maggot", "Hillsbrad Foothills", 39.6, 63, nil}},
	{267, 28192, 1, 21, "No One Here Gets Out Alive", 4, 2, nil, 2, nil, {47781, "Warden Stillwater", "Hillsbrad Foothills", 36.2, 61.2, nil}},
	{267, 28196, 1, 21, "The Battle for Hillsbrad", 4, 2, nil, 2, nil, {nil, nil, "Hillsbrad Foothills", 38.6, 61.9, nil}},
	{267, 28199, 1, 21, "For Science!", 4, 2, nil, 2, nil, {47899, "Flesh-Shaper Arnauld", "Hillsbrad Foothills", 36.3, 60.4, nil}},
	{267, 28206, 1, 21, "Little Girl Lost", 4, 2, nil, 2, nil, {47781, "Warden Stillwater", "Hillsbrad Foothills", 36.2, 61.1, nil}},
	{267, 28209, 1, 21, "Freedom for Lydon", 4, 2, nil, 2, nil, {47900, "Master Apothecary Lydon", "Hillsbrad Foothills", 40.3, 59.4, nil}},
	{267, 28235, 1, 21, "Burnside Must Fall", 4, 2, nil, 2, nil, {48020, "Master Apothecary Lydon", "Hillsbrad Foothills", 38.8, 57.4, nil}},
	{267, 28237, 1, 21, "A Blight Upon the Land", 4, 2, nil, 2, nil, {48020, "Master Apothecary Lydon", "Hillsbrad Foothills", 37.9, 59.3, nil}},
	{267, 28251, 1, 22, "Trouble at Southshore", 4, 2, nil, 2, nil, {47900, "Master Apothecary Lydon", "Hillsbrad Foothills", 36.6, 61.2, nil}},
	{267, 28324, 1, 22, "Studies in Lethality", 4, 2, nil, 2, nil, {2391, "Serge Hinott", "Hillsbrad Foothills", 49.1, 66.3, nil}},
	{267, 28329, 1, 22, "Angry Scrubbing Bubbles", 3, 2, nil, 2, nil, {nil, nil, "Hillsbrad Foothills", 48.2, 72.3, nil}},
	{267, 28330, 1, 22, "Trail of Filth [Group]", 3, 2, nil, 2, nil, {nil, nil, "Hillsbrad Foothills", 47.7, 71.1, nil}},
	{267, 28331, 1, 22, "Helcular's Rod Giveth...", 4, 2, nil, 2, nil, {48129, "Helcular", "Hillsbrad Foothills", 49.2, 66.3, nil}},
	{267, 28332, 1, 22, "Helcular's Command", 4, 2, nil, 2, nil, {48129, "Helcular", "Hillsbrad Foothills", 49.2, 66.3, nil}},
	{267, 28345, 1, 22, "*Gurgle* HELP! *Gurgle*", 4, 2, nil, 2, nil, {48218, "Kingslayer Orkus", "Hillsbrad Foothills", 49.6, 74.3, nil}},
	{267, 28348, 1, 22, "Stormpike Rendezvous", 4, 2, nil, 2, nil, {48218, "Kingslayer Orkus", "Hillsbrad Foothills", 50, 74.2, nil}},
	{267, 28354, 1, 22, "Kasha Will Fly Again", 4, 2, nil, 2, nil, {48218, "Kingslayer Orkus", "Hillsbrad Foothills", 50, 74.4, nil}},
	{267, 28355, 1, 22, "Terrible Little Creatures", 3, 2, nil, 2, nil, {nil, nil, "Hillsbrad Foothills", 57.7, 72.4, nil}},
	{267, 28397, 1, 23, "They Will Never Expect This...", 4, 2, nil, 2, nil, {48470, "Kingslayer Orkus", "Hillsbrad Foothills", 29.2, 83.9, nil}},
	{267, 28400, 1, 23, "Heroes of the Horde!", 4, 2, nil, 2, nil, {48503, "Kingslayer Orkus", "Hillsbrad Foothills", 24.6, 87.6, nil}},
	{267, 28489, 1, 23, "Stagwiches", 4, 2, nil, 2, nil, {2397, "Derak Nightfall", "Hillsbrad Foothills", 57.6, 45.4, nil}},
	{267, 28495, 1, 23, "A Fighting Chance", 4, 2, nil, 2, nil, {17092, "Advisor Duskingdawn", "Hillsbrad Foothills", 56.7, 47.3, nil}},
	{267, 28506, 1, 23, "March of the Stormpike", 4, 2, nil, 2, nil, {48545, "High Warlord Cromush", "Hillsbrad Foothills", 57.1, 46.1, nil}},
	{267, 28538, 1, 24, "Cry of the Banshee", 4, 2, nil, 2, nil, {2278, "Melisara", "Hillsbrad Foothills", 57.2, 46.4, nil}},
	{267, 28556, 1, 24, "Breaking the Hand", 4, 2, nil, 2, nil, {48545, "High Warlord Cromush", "Hillsbrad Foothills", 57, 46.3, nil}},
	{267, 28587, 1, 24, "Aid of the Frostwolf", 4, 2, nil, 2, nil, {48545, "High Warlord Cromush", "Hillsbrad Foothills", 57.1, 46.2, nil}},
	{267, 28600, 1, 24, "Matters of Loyalty", 4, 2, nil, 2, nil, {13817, "Voggah Deathgrip", "Hillsbrad Foothills", 58.6, 34.3, nil}},
	{267, 28603, 1, 24, "Infiltration", 3, 2, nil, 2, nil, {nil, nil, "Hillsbrad Foothills", 49.9, 46.6, nil}},
	{267, 28604, 1, 24, "Deception and Trickery", 4, 2, nil, 2, nil, {49035, "Lilith", "Hillsbrad Foothills", 49.9, 46.5, nil}},
	{267, 28605, 1, 24, "Domination", 3, 2, nil, 2, nil, {nil, nil, "Hillsbrad Foothills", 44.2, 48.8, nil}},
	{267, 28617, 1, 0, "Flower Power", 3, 2, nil, 2, nil, {49687, "Brazie the Botanist", "Hillsbrad Foothills", 33.6, 49.3, nil}},
	{267, 28620, 1, 25, "Eastpoint Tower", 4, 2, nil, 2, nil, {2229, "Krusk", "Hillsbrad Foothills", 57.6, 46.9, nil}},
	{267, 28634, 1, 25, "Extinction", 4, 2, nil, 2, nil, {49201, "Nils Beerot", "Hillsbrad Foothills", 60.1, 63.6, nil}},
	{267, 28635, 1, 25, "A Haunting in Hillsbrad", 4, 2, nil, 2, nil, {49243, "Captain Jekyll", "Hillsbrad Foothills", 60, 63.4, nil}},
	{267, 28636, 1, 25, "Silence of the Dwarves", 4, 2, nil, 2, nil, {49240, "Captain Ironhill's Ghost", "Hillsbrad Foothills", 61.8, 83.9, nil}},
	{267, 28643, 1, 25, "The Durnholde Challenge: Zephyrus [Group]", 4, 2, nil, 2, nil, {49243, "Captain Jekyll", "Hillsbrad Foothills", 60, 63.4, nil}},
	{267, 28644, 1, 25, "The Durnholde Challenge: Teracula [Group]", 3, 2, nil, 2, nil, {nil, nil, "Hillsbrad Foothills", 68.5, 59.7, nil}},
	{267, 28733, 1, 0, "Basic Botany", 3, 2, nil, 2, nil, {nil, nil, "Hillsbrad Foothills", 33.6, 49.3, nil}},
	{267, 28747, 1, 0, "Someone Setup the Pumpkin Bomb", 3, 2, nil, 2, nil, {49687, "Brazie the Botanist", "Hillsbrad Foothills", 33.6, 49.3, nil}},
	{267, 28748, 1, 0, "Lawn of the Dead", 3, 2, nil, 2, nil, {49687, "Brazie the Botanist", "Hillsbrad Foothills", 33.6, 49.3, nil}},
	{267, 28096, 1, 20, "Welcome to the Machine", 2, 2, nil, 2, nil, {2215, "High Executor Darthalia", "Hillsbrad Foothills", 29.2, 63.4, nil}},
	{267, 28111, 1, 20, "Trouble at Azurelode", 4, 2, nil, 2, nil, {2215, "High Executor Darthalia", "Hillsbrad Foothills", 29.2, 63.4, nil}},
	{267, 28114, 1, 20, "Glorious Harvest", 4, 2, nil, 2, nil, {47432, "Apothecary Underhill", "Hillsbrad Foothills", 29.2, 64, nil}},
	{267, 28115, 1, 20, "Past Their Prime", 4, 2, nil, 2, nil, {47432, "Apothecary Underhill", "Hillsbrad Foothills", 29.6, 64, nil}},
	{267, 28138, 1, 20, "Human Infestation", 4, 2, nil, 2, nil, {47554, "Captain Keyton", "Hillsbrad Foothills", 33.3, 73.6, nil}},
	{267, 28144, 1, 20, "Thieving Little Monsters!", 2, 2, nil, 2, nil, {47554, "Captain Keyton", "Hillsbrad Foothills", 33.3, 73.6, nil}},
	{267, 28146, 1, 20, "Coastal Delicacies!", 4, 2, nil, 2, nil, {47551, "Spider-Handler Sarus", "Hillsbrad Foothills", 33.3, 73.6, nil}},
	{267, 28156, 1, 20, "Deep Mine Rescue", 4, 2, nil, 2, nil, {47681, "Dumass", "Hillsbrad Foothills", 36.6, 70.2, nil}},
	{267, 28168, 1, 21, "Trouble at the Sludge Fields", 4, 2, nil, 2, nil, {47554, "Captain Keyton", "Hillsbrad Foothills", 33.3, 73.5, nil}},
	{267, 28189, 1, 20, "Do the Right Thing", 4, 2, nil, 2, nil, {nil, nil, "Hillsbrad Foothills", 39.7, 63, nil}},
	{267, 28192, 1, 21, "No One Here Gets Out Alive", 4, 2, nil, 2, nil, {47781, "Warden Stillwater", "Hillsbrad Foothills", 36.2, 61.1, nil}},
	{267, 28196, 1, 21, "The Battle for Hillsbrad", 4, 2, nil, 2, nil, {nil, nil, "Hillsbrad Foothills", 37.5, 63.4, nil}},
	{267, 28197, 1, 21, "Discretion is Key", 4, 2, nil, 2, nil, {47781, "Warden Stillwater", "Hillsbrad Foothills", 36.2, 61.2, nil}},
	{267, 28199, 1, 21, "For Science!", 4, 2, nil, 2, nil, {47899, "Flesh-Shaper Arnauld", "Hillsbrad Foothills", 36.4, 60.3, nil}},
	{267, 28206, 1, 21, "Little Girl Lost", 4, 2, nil, 2, nil, {47781, "Warden Stillwater", "Hillsbrad Foothills", 36.2, 61.2, nil}},
	{267, 28209, 1, 21, "Freedom for Lydon", 4, 2, nil, 2, nil, {47900, "Master Apothecary Lydon", "Hillsbrad Foothills", 40.3, 59.4, nil}},
	{267, 28230, 1, 21, "Protocol", 4, 2, nil, 2, nil, {48020, "Master Apothecary Lydon", "Hillsbrad Foothills", 40.3, 59.3, nil}},
	{267, 28231, 1, 21, "Do it for Twinkles", 4, 2, nil, 2, nil, {48020, "Master Apothecary Lydon", "Hillsbrad Foothills", 40.3, 59.3, nil}},
	{267, 28235, 1, 21, "Burnside Must Fall", 4, 2, nil, 2, nil, {48020, "Master Apothecary Lydon", "Hillsbrad Foothills", 38.1, 56.5, nil}},
	{267, 28237, 1, 21, "A Blight Upon the Land", 4, 2, nil, 2, nil, {48020, "Master Apothecary Lydon", "Hillsbrad Foothills", 36.6, 58, nil}},
	{267, 28324, 1, 22, "Studies in Lethality", 4, 2, nil, 2, nil, {2391, "Serge Hinott", "Hillsbrad Foothills", 49.1, 66.3, nil}},
	{267, 28325, 1, 22, "Green Living", 4, 2, nil, 2, nil, {2391, "Serge Hinott", "Hillsbrad Foothills", 49.1, 66.3, nil}},
	{267, 28329, 1, 22, "Angry Scrubbing Bubbles", 3, 2, nil, 2, nil, {nil, nil, "Hillsbrad Foothills", 48.3, 73.2, nil}},
	{267, 28330, 1, 22, "Trail of Filth [Group]", 3, 2, nil, 2, nil, {2391, "Serge Hinott", "Hillsbrad Foothills", 49.1, 66.3, nil}},
	{267, 28331, 1, 22, "Helcular's Rod Giveth...", 4, 2, nil, 2, nil, {48129, "Helcular", "Hillsbrad Foothills", 49.1, 66.3, nil}},
	{267, 28332, 1, 22, "Helcular's Command", 4, 2, nil, 2, nil, {48129, "Helcular", "Hillsbrad Foothills", 49.1, 66.2, nil}},
	{267, 28344, 1, 22, "Can You Smell What the Lok'tar is Cooking?", 4, 2, nil, 2, nil, {48129, "Helcular", "Hillsbrad Foothills", 49.2, 66.6, nil}},
	{267, 28345, 1, 22, "*Gurgle* HELP! *Gurgle*", 4, 2, nil, 2, nil, {48218, "Kingslayer Orkus", "Hillsbrad Foothills", 49.5, 74.3, nil}},
	{267, 28348, 1, 22, "Stormpike Rendezvous", 4, 2, nil, 2, nil, {nil, nil, "Hillsbrad Foothills", 50, 74.4, nil}},
	{267, 28354, 1, 22, "Kasha Will Fly Again", 4, 2, nil, 2, nil, {48218, "Kingslayer Orkus", "Hillsbrad Foothills", 50, 74.4, nil}},
	{267, 28375, 1, 23, "The Road to Purgation", 4, 2, nil, 2, nil, {48218, "Kingslayer Orkus", "Hillsbrad Foothills", 50, 74.4, nil}},
	{267, 28397, 1, 23, "They Will Never Expect This...", 4, 2, nil, 2, nil, {48470, "Kingslayer Orkus", "Hillsbrad Foothills", 29.1, 84, nil}},
	{267, 28400, 1, 23, "Heroes of the Horde!", 4, 2, nil, 2, nil, {48503, "Kingslayer Orkus", "Hillsbrad Foothills", 27.9, 84.5, nil}},
	{267, 28484, 1, 23, "The Heart of the Matter", 4, 2, nil, 2, nil, {2437, "Keeper Bel'varil", "Hillsbrad Foothills", 57, 45.7, nil}},
	{267, 28485, 1, 25, "Yetimus the Yeti Lord [Group]", 4, 2, nil, 2, nil, {2418, "Deathguard Samsa", "Hillsbrad Foothills", 57.2, 45.5, nil}},
	{267, 28487, 1, 23, "Humbert's Personal Problems", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28489, 1, 23, "Stagwiches", 4, 2, nil, 2, nil, {2397, "Derak Nightfall", "Hillsbrad Foothills", 57.7, 45.2, nil}},
	{267, 28495, 1, 23, "A Fighting Chance", 4, 2, nil, 2, nil, {17092, "Advisor Duskingdawn", "Hillsbrad Foothills", 56.7, 47.4, nil}},
	{267, 28506, 1, 23, "March of the Stormpike", 4, 2, nil, 2, nil, {48545, "High Warlord Cromush", "Hillsbrad Foothills", 57, 46.2, nil}},
	{267, 28556, 1, 24, "Breaking the Hand", 4, 2, nil, 2, nil, {48545, "High Warlord Cromush", "Hillsbrad Foothills", 57, 46.5, nil}},
	{267, 28587, 1, 24, "Aid of the Frostwolf", 4, 2, nil, 2, nil, {48545, "High Warlord Cromush", "Hillsbrad Foothills", 57.1, 46.2, nil}},
	{267, 28600, 1, 24, "Matters of Loyalty", 4, 2, nil, 2, nil, {nil, nil, "Hillsbrad Foothills", 58.6, 34.2, nil}},
	{267, 28617, 1, 0, "Flower Power", 3, 2, nil, 2, nil, {nil, nil, "Hillsbrad Foothills", 33.6, 49.3, nil}},
	{267, 28620, 1, 25, "Eastpoint Tower", 4, 2, nil, 2, nil, {2229, "Krusk", "Hillsbrad Foothills", 57.6, 46.9, nil}},
	{267, 28634, 1, 25, "Extinction", 4, 2, nil, 2, nil, {49201, "Nils Beerot", "Hillsbrad Foothills", 60, 63.7, nil}},
	{267, 28635, 1, 25, "A Haunting in Hillsbrad", 4, 2, nil, 2, nil, {49243, "Captain Jekyll", "Hillsbrad Foothills", 60.2, 63.4, nil}},
	{267, 28636, 1, 25, "Silence of the Dwarves", 4, 2, nil, 2, nil, {49240, "Captain Ironhill's Ghost", "Hillsbrad Foothills", 62, 84, nil}},
	{267, 28643, 1, 25, "The Durnholde Challenge: Zephyrus [Group]", 4, 2, nil, 2, nil, {49243, "Captain Jekyll", "Hillsbrad Foothills", 60.2, 63.4, nil}},
	{267, 28644, 1, 25, "The Durnholde Challenge: Teracula [Group]", 3, 2, nil, 2, nil, {49243, "Captain Jekyll", "Hillsbrad Foothills", 60, 63.4, nil}},
	{267, 28645, 1, 25, "The Durnholde Challenge: Bloodvenom [Group]", 3, 2, nil, 2, nil, {49243, "Captain Jekyll", "Hillsbrad Foothills", 60, 63.2, nil}},
	{267, 28646, 1, 25, "The Durnholde Challenge: Infernus [Group]", 3, 2, nil, 2, nil, {49243, "Captain Jekyll", "Hillsbrad Foothills", 60, 63.4, nil}},
	{267, 28647, 1, 25, "The Durnholde Challenge: D-1000 [Group]", 3, 2, nil, 2, nil, {49243, "Captain Jekyll", "Hillsbrad Foothills", 60, 63.4, nil}},
	{267, 28733, 1, 0, "Basic Botany", 3, 2, nil, 2, nil, {49687, "Brazie the Botanist", "Hillsbrad Foothills", 33.6, 49.4, nil}},
	{267, 28744, 1, 0, "Ghouls Hate My Grains", 3, 2, nil, 2, nil, {49687, "Brazie the Botanist", "Hillsbrad Foothills", 33.6, 49.3, nil}},
	{267, 28747, 1, 0, "Someone Setup the Pumpkin Bomb", 3, 2, nil, 2, nil, {49687, "Brazie the Botanist", "Hillsbrad Foothills", 33.6, 49.3, nil}},
	{267, 28192, 1, 21, "No One Here Gets Out Alive", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28344, 1, 22, "Can You Smell What the Lok'tar is Cooking?", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28400, 1, 23, "Heroes of the Horde!", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28089, 1, 20, "Warchief's Command: Hillsbrad Foothills!", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28209, 1, 21, "Freedom for Lydon", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28329, 1, 22, "Angry Scrubbing Bubbles", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28345, 1, 22, "*Gurgle* HELP! *Gurgle*", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28138, 1, 20, "Human Infestation", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28146, 1, 20, "Coastal Delicacies!", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28154, 1, 20, "Muckgill's Flipper or Something...", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28489, 1, 23, "Stagwiches", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28617, 1, 0, "Flower Power", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28114, 1, 20, "Glorious Harvest", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28330, 1, 22, "Trail of Filth [Group]", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28538, 1, 24, "Cry of the Banshee", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28634, 1, 25, "Extinction", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28235, 1, 21, "Burnside Must Fall", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28251, 1, 22, "Trouble at Southshore", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28587, 1, 24, "Aid of the Frostwolf", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28331, 1, 22, "Helcular's Rod Giveth...", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28495, 1, 23, "A Fighting Chance", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28355, 1, 22, "Terrible Little Creatures", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28603, 1, 24, "Infiltration", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28635, 1, 25, "A Haunting in Hillsbrad", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28196, 1, 21, "The Battle for Hillsbrad", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28747, 1, 0, "Someone Setup the Pumpkin Bomb", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28156, 1, 20, "Deep Mine Rescue", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28354, 1, 22, "Kasha Will Fly Again", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28324, 1, 22, "Studies in Lethality", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28332, 1, 22, "Helcular's Command", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28348, 1, 22, "Stormpike Rendezvous", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28604, 1, 24, "Deception and Trickery", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28620, 1, 25, "Eastpoint Tower", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28189, 1, 20, "Do the Right Thing", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28237, 1, 21, "A Blight Upon the Land", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28111, 1, 20, "Trouble at Azurelode", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28600, 1, 24, "Matters of Loyalty", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28605, 1, 24, "Domination", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28556, 1, 24, "Breaking the Hand", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28206, 1, 21, "Little Girl Lost", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28733, 1, 0, "Basic Botany", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28506, 1, 23, "March of the Stormpike", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28397, 1, 23, "They Will Never Expect This...", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28748, 1, 0, "Lawn of the Dead", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28199, 1, 21, "For Science!", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28636, 1, 25, "Silence of the Dwarves", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28115, 1, 20, "Past Their Prime", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28096, 1, 20, "Welcome to the Machine", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{267, 28144, 1, 20, "Thieving Little Monsters!", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Hillsbrad 287 ]]--
	{287, 27746, 1, 20, "Empire of Dirt", 4, 2, nil, 2, nil, {46124, "Lady Sylvanas Windrunner", "Silverpine Forest", 45.4, 84.3, nil}},
	{287, 27746, 1, 20, "Empire of Dirt", 4, 2, nil, 2, nil, {46124, "Lady Sylvanas Windrunner", "Silverpine Forest", 45.2, 84.5, nil}},

	--[[ Ashenvale 331 ]]--
	{331, 6922, 1, 30, "Baron Aquanis [Dungeon]", 4, 2, nil, 2, nil, {nil, nil, "Blackfathom Deeps", 40.2, 75.3, nil}},

	--[[ Feralas 357 ]]--
	{357, 25383, 1, 40, "Ysondre's Farewell", 4, 2, nil, 2, nil, {39407, "Ysondre", "Feralas", 81.5, 42.5, nil}},
	{357, 25336, 1, 38, "Testing the Vessel", 4, 2, nil, 2, nil, {39894, "Gombana", "Feralas", 52.2, 48.1, nil}},
	{357, 25241, 1, 35, "The Land, Corrupted", 4, 2, nil, 2, nil, {39377, "Konu Runetotem", "Feralas", 41.4, 15.3, nil}},
	{357, 25337, 1, 38, "Hippogryph Muisek", 4, 2, nil, 2, nil, {39894, "Gombana", "Feralas", 52.2, 48.1, nil}},
	{357, 25369, 1, 38, "Stinglasher", 4, 2, nil, 2, nil, {7875, "Hadoken Swiftstrider", "Feralas", 74.9, 42.5, nil}},
	{357, 25210, 1, 35, "Signs of Change", 4, 2, nil, 2, nil, {39377, "Konu Runetotem", "Feralas", 41.4, 15.4, nil}},
	{357, 25230, 1, 35, "More Than Illness", 4, 2, nil, 2, nil, {39377, "Konu Runetotem", "Feralas", 41.4, 15.4, nil}},
	{357, 25237, 1, 35, "Tears of Stone", 4, 2, nil, 2, nil, {39377, "Konu Runetotem", "Feralas", 41.4, 15.3, nil}},
	{357, 25250, 1, 35, "Sealing the Dream", 4, 2, nil, 2, nil, {39377, "Konu Runetotem", "Feralas", 41.3, 15.5, nil}},
	{357, 25252, 1, 37, "Rulers of Dire Maul", 4, 2, nil, 2, nil, {nil, nil, "Feralas", 51.9, 48.1, nil}},
	{357, 25329, 1, 37, "Might of the Stonemaul", 4, 2, nil, 2, nil, {39656, "Orhan Ogreblade", "Feralas", 51.9, 48, nil}},
	{357, 25338, 1, 37, "Treant Muisek", 4, 2, nil, 2, nil, {8115, "Witch Doctor Uzer'i", "Feralas", 74.4, 43.4, nil}},
	{357, 25339, 1, 35, "Vengeance on the Northspring", 4, 2, nil, 2, nil, {7776, "Talo Thornhoof", "Feralas", 41.6, 15.2, nil}},
	{357, 25340, 1, 35, "Dark Heart", 4, 2, nil, 2, nil, {7776, "Talo Thornhoof", "Feralas", 41.6, 15.2, nil}},
	{357, 25341, 1, 36, "The Gordunni Orb", 4, 2, nil, 2, nil, {39656, "Orhan Ogreblade", "Feralas", 51.9, 48.1, nil}},
	{357, 25342, 1, 37, "Talk to Swar'jan", 4, 2, nil, 2, nil, {nil, nil, "Feralas", 52, 48.1, nil}},
	{357, 25344, 1, 37, "Ogre Abduction", 4, 2, nil, 2, nil, {nil, nil, "Feralas", 51.9, 46.6, nil}},
	{357, 25345, 1, 37, "Faerie Dragon Muisek", 4, 2, nil, 2, nil, {8115, "Witch Doctor Uzer'i", "Feralas", 74.4, 43.5, nil}},
	{357, 25346, 1, 37, "Mountain Giant Muisek [Group]", 4, 2, nil, 2, nil, {8115, "Witch Doctor Uzer'i", "Feralas", 74.4, 43.4, nil}},
	{357, 25349, 1, 40, "Lingering Illness", 4, 2, nil, 2, nil, {39847, "Chief Spirithorn", "Feralas", 74.6, 42.9, nil}},
	{357, 25361, 1, 38, "A New Cloak's Sheen", 4, 2, nil, 2, nil, {4544, "Krueg Skullsplitter", "Feralas", 74.8, 43.2, nil}},
	{357, 25362, 1, 38, "A Grim Discovery", 4, 2, nil, 2, nil, {4544, "Krueg Skullsplitter", "Feralas", 74.9, 43.3, nil}},
	{357, 25363, 1, 38, "War on the Woodpaw", 4, 2, nil, 2, nil, {7875, "Hadoken Swiftstrider", "Feralas", 74.9, 42.5, nil}},
	{357, 25364, 1, 38, "Alpha Strike", 4, 2, nil, 2, nil, {7875, "Hadoken Swiftstrider", "Feralas", 74.9, 42.6, nil}},
	{357, 25365, 1, 38, "Woodpaw Investigation", 4, 2, nil, 2, nil, {nil, nil, "Feralas", 74.9, 42.6, nil}},
	{357, 25367, 1, 38, "Zukk'ash Infestation", 4, 2, nil, 2, nil, {7875, "Hadoken Swiftstrider", "Feralas", 74.9, 42.5, nil}},
	{357, 25373, 1, 39, "The Hilltop Threat", 4, 2, nil, 2, nil, {39847, "Chief Spirithorn", "Feralas", 74.6, 42.9, nil}},
	{357, 25374, 1, 39, "Sasquatch Sighting", 4, 2, nil, 2, nil, {nil, nil, "Feralas", 74.6, 42.9, nil}},
	{357, 25375, 1, 39, "Taming The Tamers", 4, 2, nil, 2, nil, {39847, "Chief Spirithorn", "Feralas", 74.6, 42.9, nil}},
	{357, 25378, 1, 40, "Ysondre's Call", 4, 2, nil, 2, nil, {39847, "Chief Spirithorn", "Feralas", 74.6, 42.8, nil}},
	{357, 25379, 1, 40, "Taerar's Fall", 4, 2, nil, 2, nil, {39407, "Ysondre", "Feralas", 81.6, 42.5, nil}},
	{357, 25387, 1, 38, "To Camp Mojache", 4, 2, nil, 2, nil, {39656, "Orhan Ogreblade", "Feralas", 52, 48, nil}},
	{357, 25391, 1, 37, "Weapons of Spirit", 4, 2, nil, 2, nil, {8115, "Witch Doctor Uzer'i", "Feralas", 74.4, 43.4, nil}},
	{357, 25452, 1, 36, "The Mark of Quality", 4, 2, nil, 2, nil, {7854, "Jangdor Swiftstrider", "Feralas", 52.8, 47.2, nil}},
	{357, 25453, 1, 37, "Improved Quality", 4, 2, nil, 2, nil, {7854, "Jangdor Swiftstrider", "Feralas", 52.8, 47.1, nil}},
	{357, 25454, 1, 37, "Perfect Yeti Hide", 4, 2, nil, 2, nil, {nil, nil, "Feralas", 55.8, 57.1, nil}},
	{357, 25465, 1, 37, "Still With The Zapped Giants", 4, 2, nil, 2, nil, {14637, "Zorbin Fandazzle", "Feralas", 48.7, 44.9, nil}},
	{357, 25466, 1, 37, "Even More Fuel for the Zapping", 4, 2, nil, 2, nil, {14637, "Zorbin Fandazzle", "Feralas", 48.7, 44.9, nil}},
	{357, 25475, 1, 37, "Find OOX-22/FE!", 4, 2, nil, 2, nil, {nil, nil, "Feralas", 55.8, 54.7, nil}},
	{357, 25476, 1, 37, "Rescue OOX-22/FE!", 4, 2, nil, 2, nil, {7807, "Homing Robot OOX-22/FE", "Feralas", 53.3, 55.8, nil}},
	{357, 25641, 1, 37, "The Flow of Muisek", 4, 2, nil, 2, nil, {39894, "Gombana", "Feralas", 52.2, 48.1, nil}},
	{357, 25643, 1, 37, "The Darkmist Ruins", 4, 2, nil, 2, nil, {5390, "Sage Palerunner", "Feralas", 75.1, 42.8, nil}},
	{357, 25645, 1, 37, "Return to Sage Palerunner", 4, 2, nil, 2, nil, {40059, "Highborne Poltergeist", "Feralas", 65.8, 62.9, nil}},

	--[[ Felwood 361 ]]--
	{361, 27989, 1, 45, "Ruumbo Demands Honey", 2, 2, nil, 2, nil, {nil, nil, "Felwood", 51.5, 83.6, nil}},
	{361, 28213, 1, 47, "Hazzard Disposal", 4, 2, nil, 2, nil, {nil, nil, "Felwood", 41.3, 50, nil}},
	{361, 28229, 1, 48, "Nature and Nurture", 4, 2, nil, 2, nil, {48126, "Isural Forestsworn", "Felwood", 43.8, 28.2, nil}},
	{361, 28261, 1, 48, "Deceivers In Our Midst", 4, 2, nil, 2, nil, {47923, "Feronas Sindweller", "Felwood", 45.5, 20.1, nil}},
	{361, 28341, 1, 48, "Collecting Corruption", 4, 2, nil, 2, nil, {48339, "Elessa Starbreeze", "Felwood", 43.9, 27.9, nil}},
	{361, 28357, 1, 49, "Take it to the Tree", 4, 2, nil, 2, nil, {48127, "Darla Drilldozer", "Felwood", 56.3, 8.3, nil}},
	{361, 28373, 1, 49, "Timbermaw Hold", 4, 2, nil, 2, nil, {48127, "Darla Drilldozer", "Felwood", 56.3, 8.2, nil}},
	{361, 28102, 1, 46, "Fight the Power", 4, 2, nil, 2, nil, {9116, "Eridan Bluewind", "Felwood", 42, 71.8, nil}},
	{361, 28214, 1, 47, "Cleanup at Bloodvenom Post", 4, 2, nil, 2, nil, {47692, "Altsoba Ragetotem", "Felwood", 41.3, 50, nil}},
	{361, 28342, 1, 48, "Fel To Pieces", 4, 2, nil, 2, nil, {48339, "Elessa Starbreeze", "Felwood", 43.9, 27.9, nil}},
	{361, 28358, 1, 48, "Hunting the Damned", 4, 2, nil, 2, nil, {48349, "Hurak Wildhorn", "Felwood", 44, 27.9, nil}},
	{361, 28374, 1, 48, "Weeding the Lawn", 4, 2, nil, 2, nil, {48459, "Tender Puregrove", "Felwood", 43.4, 30.5, nil}},
	{361, 28119, 1, 46, "Purity From Corruption", 4, 2, nil, 2, nil, {10922, "Greta Mosshoof", "Felwood", 44.1, 61.9, nil}},
	{361, 28359, 1, 48, "The Core of Kroshius", 4, 2, nil, 2, nil, {48349, "Hurak Wildhorn", "Felwood", 44, 27.9, nil}},
	{361, 28152, 1, 46, "Jaedenar Awaits", 4, 2, nil, 2, nil, {9116, "Eridan Bluewind", "Felwood", 42, 71.9, nil}},
	{361, 27994, 1, 45, "Ruumbo Demands Justice", 2, 2, nil, 2, nil, {nil, nil, "Felwood", 51.5, 83.6, nil}},
	{361, 27997, 1, 45, "The Corruption of the Jadefire", 2, 2, nil, 2, nil, {10923, "Tenell Leafrunner", "Felwood", 51.1, 80.4, nil}},
	{361, 28000, 1, 45, "Do the Imp-Possible", 4, 2, nil, 2, nil, {nil, nil, "Felwood", 42, 72, nil}},
	{361, 28044, 1, 46, "Touch the Untouchable", 4, 2, nil, 2, nil, {nil, nil, "Felwood", 41.8, 71.9, nil}},
	{361, 28049, 1, 46, "See the Invisible", 4, 2, nil, 2, nil, {47366, "Impsy", "Felwood", 42, 72, nil}},
	{361, 28100, 1, 46, "A Talking Totem", 2, 2, nil, 2, nil, {11554, "Grazle", "Felwood", 51.4, 80.5, nil}},
	{361, 28113, 1, 46, "Break the Unbreakable", 4, 2, nil, 2, nil, {47341, "Arcanist Delaris", "Felwood", 41.9, 72, nil}},
	{361, 28116, 1, 46, "Crying Violet", 4, 2, nil, 2, nil, {10922, "Greta Mosshoof", "Felwood", 44, 61.9, nil}},
	{361, 28121, 1, 46, "Forces of Jaedenar", 4, 2, nil, 2, nil, {11019, "Jessir Moonbow", "Felwood", 44.1, 61.9, nil}},
	{361, 28126, 1, 46, "Dousing the Flames of Protection", 4, 2, nil, 2, nil, {nil, nil, "Felwood", 35.9, 59.3, nil}},
	{361, 28128, 1, 46, "The Inner Circle", 4, 2, nil, 2, nil, {7113, "Jaedenar Guardian", "Felwood", 38.6, 60.6, nil}},
	{361, 28129, 1, 46, "The Demon Prince", 4, 2, nil, 2, nil, {47617, "Farlus Wildheart", "Felwood", 44.1, 61.9, nil}},
	{361, 28131, 1, 46, "Twin Temptresses", 3, 2, nil, 2, nil, {nil, nil, "Felwood", 37.2, 55.9, nil}},
	{361, 28148, 1, 45, "Culling the Corrupted", 2, 2, nil, 2, nil, {10921, "Taronn Redfeather", "Felwood", 50.9, 80.2, nil}},
	{361, 28153, 1, 46, "Shadow Lord Fel'dan", 4, 2, nil, 2, nil, {nil, nil, "Felwood", 39.1, 50.1, nil}},
	{361, 28155, 1, 46, "Lord Banehollow", 4, 2, nil, 2, nil, {12922, "Imp Minion", "Felwood", 39.9, 47.1, nil}},
	{361, 28190, 1, 47, "The Tainted Ooze", 4, 2, nil, 2, nil, {47692, "Altsoba Ragetotem", "Felwood", 41.3, 49.9, nil}},
	{361, 28207, 1, 47, "A Slimy Situation", 4, 2, nil, 2, nil, {47696, "Kelnir Leafsong", "Felwood", 41.3, 49.9, nil}},
	{361, 28208, 1, 47, "Winna's Kitten", 4, 2, nil, 2, nil, {47696, "Kelnir Leafsong", "Felwood", 41.3, 50, nil}},
	{361, 28217, 1, 48, "Wanted: The Demon Hunter", 4, 2, nil, 2, nil, {47843, "Huntress Selura", "Felwood", 43.5, 28.3, nil}},
	{361, 28218, 1, 48, "A Destiny of Flame and Sorrow", 4, 2, nil, 2, nil, {47923, "Feronas Sindweller", "Felwood", 45.6, 20.1, nil}},
	{361, 28219, 1, 48, "Buzzers for Baby", 3, 2, nil, 2, nil, {nil, nil, "Felwood", 49.7, 29.7, nil}},
	{361, 28220, 1, 48, "Seeking Soil", 3, 2, nil, 2, nil, {nil, nil, "Felwood", 48.4, 24.1, nil}},
	{361, 28221, 1, 48, "These Roots Were Made For Stompin'", 3, 2, nil, 2, nil, {48042, "Sapling Protector", "Felwood", 51.6, 21.5, nil}},
	{361, 28222, 1, 48, "Singin' in the Sun", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{361, 28224, 1, 48, "The Last Protector", 3, 2, nil, 2, nil, {nil, nil, "Felwood", 51.5, 26.2, nil}},
	{361, 28228, 1, 48, "Rejoining the Forest", 4, 2, nil, 2, nil, {nil, nil, "Felwood", 53.1, 24.3, nil}},
	{361, 28256, 1, 48, "The Skull of Gul'dan", 4, 2, nil, 2, nil, {47923, "Feronas Sindweller", "Felwood", 45.6, 20.2, nil}},
	{361, 28257, 1, 48, "The Fall of Tichondrius", 4, 2, nil, 2, nil, {47923, "Feronas Sindweller", "Felwood", 45.5, 20.1, nil}},
	{361, 28264, 1, 48, "Navarax's Gambit", 4, 2, nil, 2, nil, {nil, nil, "Felwood", 45.5, 20.1, nil}},
	{361, 28288, 1, 46, "Open Their Eyes", 4, 2, nil, 2, nil, {47341, "Arcanist Delaris", "Felwood", 41.9, 72, nil}},
	{361, 28305, 1, 48, "The Fate of Bloodvenom Post", 4, 2, nil, 2, nil, {47617, "Farlus Wildheart", "Felwood", 44.1, 61.9, nil}},
	{361, 28306, 1, 47, "Whisperwind Grove", 4, 2, nil, 2, nil, {47696, "Kelnir Leafsong", "Felwood", 41.3, 49.9, nil}},
	{361, 28333, 1, 49, "It's Time to Oil Up", 4, 2, nil, 2, nil, {48127, "Darla Drilldozer", "Felwood", 56.3, 8.2, nil}},
	{361, 28334, 1, 49, "A Flare Fight", 4, 2, nil, 2, nil, {48127, "Darla Drilldozer", "Felwood", 56.3, 8.2, nil}},
	{361, 28335, 1, 48, "Turn it Off! Turn it Off!", 4, 2, nil, 2, nil, {48333, "Foreman Pikwik", "Felwood", 54.7, 18.3, nil}},
	{361, 28336, 1, 49, "Slap and Cap", 4, 2, nil, 2, nil, {48127, "Darla Drilldozer", "Felwood", 56.3, 8.3, nil}},
	{361, 28339, 1, 49, "Is Your Oil Running?", 4, 2, nil, 2, nil, {48127, "Darla Drilldozer", "Felwood", 56.3, 8.3, nil}},
	{361, 28340, 1, 49, "A Bomb Deal", 4, 2, nil, 2, nil, {48333, "Foreman Pikwik", "Felwood", 54.7, 18.3, nil}},
	{361, 28360, 1, 48, "Running their Course", 4, 2, nil, 2, nil, {48459, "Tender Puregrove", "Felwood", 43.3, 30.4, nil}},
	{361, 28361, 1, 48, "Squirrely Clean", 4, 2, nil, 2, nil, {48459, "Tender Puregrove", "Felwood", 43.3, 30.4, nil}},
	{361, 28362, 1, 49, "Stupid Drizle!", 4, 2, nil, 2, nil, {48461, "Ferli", "Felwood", 64.1, 10.4, nil}},
	{361, 28364, 1, 49, "The Chieftain's Key", 4, 2, nil, 2, nil, {47556, "Drizle", "Felwood", 60.6, 9.6, nil}},
	{361, 28366, 1, 49, "Disarming Bears", 4, 2, nil, 2, nil, {15395, "Nafien", "Felwood", 64, 10.4, nil}},
	{361, 28368, 1, 49, "Fire in the Hole!", 4, 2, nil, 2, nil, {nil, nil, "Felwood", 60.4, 22.2, nil}},
	{361, 28370, 1, 49, "Wisp-napping", 4, 2, nil, 2, nil, {48127, "Darla Drilldozer", "Felwood", 56.3, 8.3, nil}},
	{361, 28372, 1, 49, "Back to Business", 4, 2, nil, 2, nil, {48469, "Fez Hobnob", "Felwood", 44.2, 27.9, nil}},
	{361, 28380, 1, 49, "Pikwik in Peril", 4, 2, nil, 2, nil, {48127, "Darla Drilldozer", "Felwood", 56.3, 8.2, nil}},

	--[[ Echo Isles 368 ]]--
	{368, 24622, 1, 3, "A Troll's Truest Companion", 2, 2, nil, 1, "TROLL", {38005, "Moraya", "Durotar", 67.3, 88, nil}},
	{368, 24623, 1, 3, "Saving the Young", 3, 2, nil, 1, "TROLL", {37969, "Kijara", "Durotar", 63.3, 95.3, nil}},
	{368, 24624, 1, 3, "Mercy for the Lost", 3, 2, nil, 1, "TROLL", {37987, "Tegashi", "Durotar", 63.4, 95.2, nil}},
	{368, 24625, 1, 3, "Consort of the Sea Witch", 2, 2, nil, 1, "TROLL", {37987, "Tegashi", "Durotar", 63.4, 95.2, nil}},
	{368, 24626, 1, 3, "Young and Vicious", 3, 2, nil, 1, "TROLL", {37969, "Kijara", "Durotar", 63.3, 95.5, nil}},
	{368, 24770, 1, 1, "The Rise of the Darkspear", 2, 2, nil, 2, nil, {37951, "Jin'thala", "Durotar", 62.5, 84.5, nil}},
	{368, 24771, 1, 1, "The Basics: Hitting Things", 2, 2, nil, 2, nil, {nil, nil, "Durotar", 65.9, 83.3, nil}},
	{368, 24772, 1, 2, "The Arts of a Rogue", 2, 2, nil, 2, nil, {38244, "Legati", "Durotar", 65.7, 83.7, nil}},
	{368, 24773, 1, 1, "A Rough Start", 2, 2, nil, 2, nil, {38244, "Legati", "Durotar", 65.8, 83.2, nil}},
	{368, 24774, 1, 2, "Proving Pit", 2, 2, nil, 2, nil, {38244, "Legati", "Durotar", 65.9, 83.3, nil}},
	{368, 24775, 1, 2, "More Than Expected", 2, 2, nil, 2, nil, {38244, "Legati", "Durotar", 65.9, 83.4, nil}},
	{368, 24812, 1, 4, "No More Mercy", 3, 2, nil, 1, "TROLL", {38442, "Morakki", "Durotar", 67.9, 74.1, nil}},
	{368, 24813, 1, 4, "Territorial Fetish", 3, 2, nil, 1, "TROLL", {38442, "Morakki", "Durotar", 67.9, 74.1, nil}},
	{368, 24814, 1, 5, "An Ancient Enemy", 3, 2, nil, 1, "TROLL", {38442, "Morakki", "Durotar", 68, 74, nil}},
	{368, 25035, 1, 4, "Breaking the Line", 2, 2, nil, 1, "TROLL", {38440, "Tortunga", "Durotar", 68, 88.9, nil}},
	{368, 25037, 1, 3, "Crab Fishin'", 2, 2, nil, 1, "TROLL", {39007, "Tora'jin", "Durotar", 68.4, 87.6, nil}},
	{368, 25064, 1, 3, "Moraya", 2, 2, nil, 1, "TROLL", {38966, "Vol'jin", "Durotar", 68.8, 88.6, nil}},

	--[[ Thousand Needles 400 ]]--
	{400, 25543, 1, 40, "Circle the Wagons... er, Boats", 3, 2, nil, 2, nil, {nil, nil, "Thousand Needles", 76.4, 69.8, nil}},
	{400, 25799, 1, 41, "Defend the Drill", 4, 2, nil, 2, nil, {41184, "Riznek", "Thousand Needles", 88.6, 54.9, nil}},
	{400, 28085, 1, 44, "Trouble at Highperch", 4, 2, nil, 2, nil, {45442, "Lakota Windsong", "Thousand Needles", 39.1, 25.9, nil}},
	{400, 25672, 1, 42, "Carcass Collection", 4, 2, nil, 2, nil, {41060, "Ajamon Ghostcaller", "Thousand Needles", 96.8, 72.4, nil}},
	{400, 25704, 1, 42, "The Mad Magus", 4, 2, nil, 2, nil, {41060, "Ajamon Ghostcaller", "Thousand Needles", 96.8, 72.3, nil}},
	{400, 28086, 1, 44, "Free the Pridelings", 4, 2, nil, 2, nil, {47471, "Pao'ka Swiftmountain", "Thousand Needles", 12.9, 34, nil}},
	{400, 28087, 1, 44, "Death to all Trappers!", 4, 2, nil, 2, nil, {47471, "Pao'ka Swiftmountain", "Thousand Needles", 12.8, 34, nil}},
	{400, 25610, 1, 41, "Sunken Treasure", 4, 2, nil, 2, nil, {40888, "Synge", "Thousand Needles", 91.6, 79.2, nil}},
	{400, 28088, 1, 44, "Release Heartrazor", 4, 2, nil, 2, nil, {47471, "Pao'ka Swiftmountain", "Thousand Needles", 12.8, 34, nil}},
	{400, 28136, 1, 45, "Behind You!", 4, 2, nil, 2, nil, {47580, "Lakota Windsong", "Thousand Needles", 30.4, 49.4, nil}},
	{400, 27321, 1, 42, "The Writ of History", 4, 2, nil, 2, nil, {45278, "Freewind Brave", "Thousand Needles", 39.2, 41.7, nil}},
	{400, 25478, 1, 40, "To the Summit", 4, 2, nil, 2, nil, {23579, "Brogg", "Dustwallow Marsh", 41.8, 73.9, nil}},
	{400, 25487, 1, 40, "The Grimtotem are Coming", 2, 2, nil, 2, nil, {39895, "Kanati Greycloud", "Thousand Needles", 11.1, 11.3, nil}},
	{400, 25489, 1, 40, "Two If By Boat", 2, 2, nil, 2, nil, {39963, "Motega Firemane", "Thousand Needles", 10.5, 8.6, nil}},
	{400, 25505, 1, 40, "Do Me a Favor?", 2, 2, nil, 2, nil, {40028, "Pozzik", "Thousand Needles", 75.9, 74.6, nil}},
	{400, 25516, 1, 40, "Down in the Deeps", 2, 2, nil, 2, nil, {40487, "Razzeric", "Thousand Needles", 77.1, 74.5, nil}},
	{400, 25518, 1, 40, "Bar Fight!", 2, 2, nil, 2, nil, {40556, "Zamek", "Thousand Needles", 78.1, 73.6, nil}},
	{400, 25526, 1, 40, "In the Outhouse", 2, 2, nil, 2, nil, {40776, "Speedbarge Crewmember", "Thousand Needles", 79.5, 75, nil}},
	{400, 25533, 1, 40, "Pirate Accuracy Increasing", 4, 2, nil, 2, nil, {nil, nil, "Thousand Needles", 77.1, 74.4, nil}},
	{400, 25586, 1, 41, "Quiet the Cannons", 4, 2, nil, 2, nil, {40487, "Razzeric", "Thousand Needles", 77.1, 74.5, nil}},
	{400, 25589, 1, 41, "A Little Payback", 4, 2, nil, 2, nil, {40595, "Rugfizzle", "Thousand Needles", 78.1, 73.6, nil}},
	{400, 25596, 1, 41, "Where's Synge?", 4, 2, nil, 2, nil, {40556, "Zamek", "Thousand Needles", 78, 73.6, nil}},
	{400, 25628, 1, 42, "Two-Tusk Takedown", 4, 2, nil, 2, nil, {40888, "Synge", "Thousand Needles", 91.7, 79.1, nil}},
	{400, 25660, 1, 41, "Haunted", 4, 2, nil, 2, nil, {41058, "Spirit of Tony Two-Tusk", "Thousand Needles", 91.7, 79.2, nil}},
	{400, 25661, 1, 42, "With a Little Help...", 4, 2, nil, 2, nil, {nil, nil, "Thousand Needles", 96.8, 72.4, nil}},
	{400, 25745, 1, 41, "Negotiations", 4, 2, nil, 2, nil, {40028, "Pozzik", "Thousand Needles", 75.9, 74.7, nil}},
	{400, 25757, 1, 41, "Get Koalbeard!", 4, 2, nil, 2, nil, {41184, "Riznek", "Thousand Needles", 88.6, 54.8, nil}},
	{400, 25762, 1, 42, "The Ancient Brazier", 4, 2, nil, 2, nil, {nil, nil, "Thousand Needles", 90.1, 53, nil}},
	{400, 25775, 1, 42, "Fool's Gold", 4, 2, nil, 2, nil, {41184, "Riznek", "Thousand Needles", 88.6, 54.8, nil}},
	{400, 25779, 1, 41, "Fake Gold for Black Gold", 4, 2, nil, 2, nil, {41184, "Riznek", "Thousand Needles", 88.7, 54.8, nil}},
	{400, 25791, 1, 41, "Back to Riznek", 4, 2, nil, 2, nil, {41205, "Khan Blizh", "Thousand Needles", 86.9, 51.5, nil}},
	{400, 25797, 1, 41, "Eminent Domain", 4, 2, nil, 2, nil, {41184, "Riznek", "Thousand Needles", 88.6, 54.9, nil}},
	{400, 25814, 1, 42, "Go Blow that Horn", 4, 2, nil, 2, nil, {41184, "Riznek", "Thousand Needles", 88.7, 54.9, nil}},
	{400, 25826, 1, 42, "Deliver the Goods", 4, 2, nil, 2, nil, {41184, "Riznek", "Thousand Needles", 88.6, 54.8, nil}},
	{400, 25836, 1, 42, "Free Freewind Post", 4, 2, nil, 2, nil, {40028, "Pozzik", "Thousand Needles", 76, 74.6, nil}},
	{400, 25870, 1, 42, "Grimtotem in the Post", 4, 2, nil, 2, nil, {41446, "Thalia Amberhide", "Thousand Needles", 46.3, 57.8, nil}},
	{400, 25872, 1, 42, "The Brave and the Bold", 4, 2, nil, 2, nil, {41431, "Grimtotem Invader", "Thousand Needles", 46.8, 56, nil}},
	{400, 25874, 1, 43, "Horn of the Traitor", 4, 2, nil, 2, nil, {nil, nil, "Thousand Needles", 44.6, 49.9, nil}},
	{400, 27276, 1, 42, "Together Again", 4, 2, nil, 2, nil, {41421, "Rau Cliffrunner", "Thousand Needles", 46.8, 56, nil}},
	{400, 27311, 1, 42, "No Weapons For You!", 4, 2, nil, 2, nil, {45278, "Freewind Brave", "Thousand Needles", 42.2, 46.3, nil}},
	{400, 27313, 1, 42, "Darkcloud Grimtotem", 4, 2, nil, 2, nil, {45278, "Freewind Brave", "Thousand Needles", 42.2, 46.3, nil}},
	{400, 27315, 1, 42, "Grimtotem Chiefs: Isha Gloomaxe", 4, 2, nil, 2, nil, {45278, "Freewind Brave", "Thousand Needles", 42.2, 46.3, nil}},
	{400, 27317, 1, 42, "The Rattle of Bones", 4, 2, nil, 2, nil, {45385, "Grimtotem Reaver", "Thousand Needles", 43.3, 43.3, nil}},
	{400, 27319, 1, 42, "Grimtotem Chiefs: Elder Stormhoof", 4, 2, nil, 2, nil, {45278, "Freewind Brave", "Thousand Needles", 43.7, 43.7, nil}},
	{400, 27324, 1, 42, "Grimtotem Chiefs: Grundig Darkcloud", 4, 2, nil, 2, nil, {45278, "Freewind Brave", "Thousand Needles", 39.1, 41.2, nil}},
	{400, 27326, 1, 42, "The Drums of War", 4, 2, nil, 2, nil, {45278, "Freewind Brave", "Thousand Needles", 39.2, 41.7, nil}},
	{400, 27328, 1, 43, "Grimtotem Chiefs: The Chief of Chiefs", 4, 2, nil, 2, nil, {nil, nil, "Thousand Needles", 34.1, 40, nil}},
	{400, 27330, 1, 43, "Invoking the Serpent", 4, 2, nil, 2, nil, {45442, "Lakota Windsong", "Thousand Needles", 39.1, 25.9, nil}},
	{400, 27358, 1, 43, "The Captive Bride", 4, 2, nil, 2, nil, {45278, "Freewind Brave", "Thousand Needles", 37.9, 26.7, nil}},
	{400, 28042, 1, 41, "Special Delivery for Brivelthwerp", 4, 2, nil, 2, nil, {40727, "Griznak", "Thousand Needles", 78.2, 73.6, nil}},
	{400, 28045, 1, 41, "The Greatest Flavor in the World!", 4, 2, nil, 2, nil, {47383, "Brivelthwerp", "Thousand Needles", 69.9, 85.2, nil}},
	{400, 28047, 1, 41, "Freezing the Pipes", 4, 2, nil, 2, nil, {47383, "Brivelthwerp", "Thousand Needles", 69.9, 85.1, nil}},
	{400, 28048, 1, 42, "That Smart One's Gotta Go", 4, 2, nil, 2, nil, {47383, "Brivelthwerp", "Thousand Needles", 69.9, 85.1, nil}},
	{400, 28051, 1, 41, "We All Scream for Ice Cream... and then Die!", 4, 2, nil, 2, nil, {47383, "Brivelthwerp", "Thousand Needles", 69.9, 85.1, nil}},
	{400, 28098, 1, 44, "The Twilight Skymaster", 4, 2, nil, 2, nil, {47471, "Pao'ka Swiftmountain", "Thousand Needles", 12.8, 34.1, nil}},
	{400, 28124, 1, 45, "On to the Bulwark", 4, 2, nil, 2, nil, {47471, "Pao'ka Swiftmountain", "Thousand Needles", 12.8, 34, nil}},
	{400, 28125, 1, 45, "Something to Wear", 4, 2, nil, 2, nil, {47580, "Lakota Windsong", "Thousand Needles", 30.4, 49.4, nil}},
	{400, 28127, 1, 45, "Break Them Out", 4, 2, nil, 2, nil, {47580, "Lakota Windsong", "Thousand Needles", 30.4, 49.4, nil}},
	{400, 28139, 1, 45, "Codemaster's Code", 4, 2, nil, 2, nil, {47580, "Lakota Windsong", "Thousand Needles", 30.4, 49.3, nil}},
	{400, 28140, 1, 45, "The Elder Crone", 4, 2, nil, 2, nil, {47580, "Lakota Windsong", "Thousand Needles", 30.5, 49.3, nil}},
	{400, 28142, 1, 45, "To the Withering", 4, 2, nil, 2, nil, {47585, "Twilight Magus", "Thousand Needles", 35.9, 60.6, nil}},
	{400, 28157, 1, 45, "Four Twilight Elements", 4, 2, nil, 2, nil, {47745, "Magatha Grimtotem", "Thousand Needles", 50.1, 62.6, nil}},
	{400, 28158, 1, 45, "Unbound", 4, 2, nil, 2, nil, {47745, "Magatha Grimtotem", "Thousand Needles", 50.2, 62.6, nil}},
	{400, 28159, 1, 45, "The Doomstone", 4, 2, nil, 2, nil, {nil, nil, "Thousand Needles", 50.2, 62.6, nil}},
	{400, 28161, 1, 45, "Spread the Word", 4, 2, nil, 2, nil, {47745, "Magatha Grimtotem", "Thousand Needles", 50.2, 62.6, nil}},

	--[[ Stonetalon Mountains 406 ]]--
	{406, 26069, 1, 30, "Nura Pathfinder", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Tanaris 440 ]]--
	{440, 25032, 1, 46, "Secrets in the Oasis", 2, 2, nil, 2, nil, {38927, "Mazoga", "Tanaris", 42.3, 23.8, nil}},
	{440, 25112, 1, 45, "Butcherbot", 2, 2, nil, 2, nil, {39178, "Driz Plunkbow", "Tanaris", 52.2, 28, nil}},
	{440, 24953, 1, 47, "Just Trying to Kill Some Bugs", 4, 2, nil, 2, nil, {38706, "Zeke Bootscuff", "Tanaris", 55.6, 60.8, nil}},
	{440, 25001, 1, 48, "Sandscraper", 4, 2, nil, 2, nil, {38849, "Megs Dreadshredder", "Tanaris", 44.6, 52.6, nil}},
	{440, 24906, 1, 45, "Seaside Salvage", 2, 2, nil, 2, nil, {38534, "Megs Dreadshredder", "Tanaris", 51.3, 29.9, nil}},
	{440, 24907, 1, 45, "Puddle Stomping", 2, 2, nil, 2, nil, {38534, "Megs Dreadshredder", "Tanaris", 51.3, 29.9, nil}},
	{440, 24955, 1, 48, "Un-Chartered", 4, 2, nil, 2, nil, {38849, "Megs Dreadshredder", "Tanaris", 44.6, 52.6, nil}},
	{440, 24905, 1, 47, "Returning a Favor", 4, 2, nil, 2, nil, {38706, "Zeke Bootscuff", "Tanaris", 55.6, 60.8, nil}},
	{440, 24910, 1, 45, "Rocket Rescue", 2, 2, nil, 2, nil, {38534, "Megs Dreadshredder", "Tanaris", 51.3, 30, nil}},
	{440, 24927, 1, 46, "Dead Man's Chest", 2, 2, nil, 2, nil, {38703, "Megs Dreadshredder", "Tanaris", 71.8, 45.4, nil}},
	{440, 24928, 1, 46, "To The Ground!", 2, 2, nil, 2, nil, {38703, "Megs Dreadshredder", "Tanaris", 71.8, 45.4, nil}},
	{440, 24931, 1, 47, "Gazer Tag", 4, 2, nil, 2, nil, {11811, "Narain Soothfancy", "Tanaris", 55.3, 60.3, nil}},
	{440, 24932, 1, 47, "Cutting Losses", 4, 2, nil, 2, nil, {38706, "Zeke Bootscuff", "Tanaris", 55.7, 60.8, nil}},
	{440, 24933, 1, 47, "Chicken of the Desert", 4, 2, nil, 2, nil, {38706, "Zeke Bootscuff", "Tanaris", 55.6, 60.8, nil}},
	{440, 24947, 1, 46, "Momentum", 2, 2, nil, 2, nil, {38534, "Megs Dreadshredder", "Tanaris", 51.3, 30, nil}},
	{440, 24949, 1, 46, "Booty Duty", 2, 2, nil, 2, nil, {38703, "Megs Dreadshredder", "Tanaris", 71.8, 45.4, nil}},
	{440, 24950, 1, 46, "Captain Dreadbeard", 2, 2, nil, 2, nil, {nil, nil, "Tanaris", 71.9, 45.4, nil}},
	{440, 24951, 1, 47, "A Great Idea", 4, 2, nil, 2, nil, {38706, "Zeke Bootscuff", "Tanaris", 55.6, 60.8, nil}},
	{440, 24957, 1, 48, "Get The Centipaarty Started", 4, 2, nil, 2, nil, {38849, "Megs Dreadshredder", "Tanaris", 44.6, 52.7, nil}},
	{440, 24963, 1, 48, "Maul 'Em With Kindness", 4, 2, nil, 2, nil, {38849, "Megs Dreadshredder", "Tanaris", 44.5, 52.7, nil}},
	{440, 25017, 1, 49, "Ancient Obstacles", 2, 2, nil, 2, nil, {38922, "Examiner Andoren Dawnrise", "Tanaris", 33.3, 77, nil}},
	{440, 25019, 1, 49, "Laying Claim", 2, 2, nil, 2, nil, {38922, "Examiner Andoren Dawnrise", "Tanaris", 33.3, 77.1, nil}},
	{440, 25020, 1, 49, "Fragments of Language", 2, 2, nil, 2, nil, {38922, "Examiner Andoren Dawnrise", "Tanaris", 33.3, 77.1, nil}},
	{440, 25021, 1, 45, "Blood to Thrive", 2, 2, nil, 2, nil, {38927, "Mazoga", "Tanaris", 42.3, 23.9, nil}},
	{440, 25025, 1, 45, "Sang'thraze the Deflector", 2, 2, nil, 2, nil, {38927, "Mazoga", "Tanaris", 42.3, 23.8, nil}},
	{440, 25026, 1, 45, "Darkest Mojo", 2, 2, nil, 2, nil, {38927, "Mazoga", "Tanaris", 42.3, 23.9, nil}},
	{440, 25051, 1, 45, "Two Birds With One Rocket", 4, 2, nil, 2, nil, {4926, "Krog", "Dustwallow Marsh", 36.4, 31.8, nil}},
	{440, 25068, 1, 49, "The Crumbling Past", 2, 2, nil, 2, nil, {38922, "Examiner Andoren Dawnrise", "Tanaris", 33.3, 77, nil}},
	{440, 25069, 1, 49, "The Secrets of Uldum", 2, 2, nil, 2, nil, {38922, "Examiner Andoren Dawnrise", "Tanaris", 33.3, 76.9, nil}},
	{440, 25072, 1, 47, "A Few Good Goblins", 4, 2, nil, 2, nil, {38706, "Zeke Bootscuff", "Tanaris", 55.7, 60.8, nil}},
	{440, 25091, 1, 45, "Sandsorrow Watch", 2, 2, nil, 2, nil, {nil, nil, "Tanaris", 52.2, 28.1, nil}},
	{440, 25103, 1, 46, "Bootlegger Outpost", 2, 2, nil, 2, nil, {38703, "Megs Dreadshredder", "Tanaris", 71.8, 45.4, nil}},
	{440, 25111, 1, 45, "Scavengers Scavenged", 2, 2, nil, 2, nil, {39178, "Driz Plunkbow", "Tanaris", 52.2, 28.2, nil}},
	{440, 25115, 1, 45, "Blisterpaw Butchery", 2, 2, nil, 2, nil, {39178, "Driz Plunkbow", "Tanaris", 52.2, 28.1, nil}},
	{440, 25521, 1, 46, "I'm With Scorpid", 2, 2, nil, 2, nil, {40580, "Gus Rustflutter", "Tanaris", 42.4, 24.2, nil}},
	{440, 25522, 1, 46, "Gargantapid", 2, 2, nil, 2, nil, {40580, "Gus Rustflutter", "Tanaris", 42.4, 24.3, nil}},
	{440, 25534, 1, 46, "Going Off-Task", 2, 2, nil, 2, nil, {38703, "Megs Dreadshredder", "Tanaris", 71.9, 45.5, nil}},
	{440, 25541, 1, 46, "Filling Our Pockets", 2, 2, nil, 2, nil, {38703, "Megs Dreadshredder", "Tanaris", 71.9, 45.5, nil}},
	{440, 26896, 1, 49, "The Thunderdrome!", 4, 2, nil, 2, nil, {44374, "Sherm", "Tanaris", 33.3, 77, nil}},
	{440, 27447, 1, 43, "Tanaris is Calling", 4, 2, nil, 2, nil, {40028, "Pozzik", "Thousand Needles", 75.9, 74.6, nil}},

	--[[ Un'Goro Crater 490 ]]--
	{490, 24697, 1, 52, "How to Make Meat Fresh Again", 4, 2, nil, 2, nil, {38270, "Nolen Tacker", "Un'Goro Crater", 55, 60.7, nil}},
	{490, 24714, 1, 52, "Chasing A-Me 01", 4, 2, nil, 2, nil, {9618, "Karna Remtravel", "Un'Goro Crater", 43.4, 41, nil}},
	{490, 24730, 1, 53, "Roll the Bones", 4, 2, nil, 2, nil, {9272, "Spark Nilminer", "Un'Goro Crater", 31.9, 50.4, nil}},
	{490, 24699, 1, 54, "Gormashh the Glutinous", 4, 2, nil, 2, nil, {38276, "Tara", "Un'Goro Crater", 43.2, 41.6, nil}},
	{490, 24715, 1, 52, "Repairing A-Me 01", 4, 2, nil, 2, nil, {9623, "A-Me 01", "Un'Goro Crater", 63.8, 19.6, nil}},
	{490, 24731, 1, 51, "The Fare of Lar'korwi", 4, 2, nil, 2, nil, {9619, "Torwa Pathfinder", "Un'Goro Crater", 71.2, 76.7, nil}},
	{490, 24700, 1, 52, "Hard to Harvest", 4, 2, nil, 2, nil, {38276, "Tara", "Un'Goro Crater", 43.2, 41.3, nil}},
	{490, 24732, 1, 52, "The Scent of Lar'korwi", 4, 2, nil, 2, nil, {9619, "Torwa Pathfinder", "Un'Goro Crater", 71.2, 76.7, nil}},
	{490, 24686, 1, 51, "Carried on the Waves", 4, 2, nil, 2, nil, {38274, "Garl Stormclaw", "Un'Goro Crater", 70.6, 77, nil}},
	{490, 24687, 1, 51, "Bouquets of Death", 4, 2, nil, 2, nil, {38263, "Ithis Moonwarden", "Un'Goro Crater", 76.4, 48.4, nil}},
	{490, 24689, 1, 51, "Flowing to the North", 4, 2, nil, 2, nil, {38274, "Garl Stormclaw", "Un'Goro Crater", 70.8, 76.5, nil}},
	{490, 24690, 1, 53, "Blazerunner", 4, 2, nil, 2, nil, {9270, "Williden Marshal", "Un'Goro Crater", 55.1, 62.3, nil}},
	{490, 24691, 1, 52, "Peculiar Delicacies", 4, 2, nil, 2, nil, {10977, "Quixxil", "Un'Goro Crater", 54.9, 63.7, nil}},
	{490, 24692, 1, 53, "The Fledgling Colossus [Group]", 4, 2, nil, 2, nil, {9271, "Hol'anyee Marshal", "Un'Goro Crater", 55, 62.1, nil}},
	{490, 24693, 1, 52, "Mossy Pile", 4, 2, nil, 2, nil, {10977, "Quixxil", "Un'Goro Crater", 54.8, 63.7, nil}},
	{490, 24694, 1, 55, "The Shaper's Terrace", 4, 2, nil, 2, nil, {38504, "Un'Goro Examinant", "Un'Goro Crater", 54, 62.5, nil}},
	{490, 24695, 1, 55, "Ever Watching From Above", 4, 2, nil, 2, nil, {38502, "Nablya", "Un'Goro Crater", 83.5, 46, nil}},
	{490, 24701, 1, 53, "Marshal's Refuse", 4, 2, nil, 2, nil, {38277, "Doreen", "Un'Goro Crater", 43.2, 41.3, nil}},
	{490, 24703, 1, 54, "An Important Lesson", 4, 2, nil, 2, nil, {38237, "Maximillian of Northshire", "Un'Goro Crater", 30.5, 51.2, nil}},
	{490, 24704, 1, 54, "The Evil Dragons of Un'Goro Crater", 4, 2, nil, 2, nil, {nil, nil, "Un'Goro Crater", 30.7, 51, nil}},
	{490, 24705, 1, 54, "Damsels Were Made to be Saved", 4, 2, nil, 2, nil, {38255, "Maximillian of Northshire", "Un'Goro Crater", 30.7, 51, nil}},
	{490, 24706, 1, 54, "The Spirits of Golakka Hot Springs", 4, 2, nil, 2, nil, {nil, nil, "Un'Goro Crater", 30.6, 51.3, nil}},
	{490, 24707, 1, 55, "The Ballad of Maximillian", 4, 2, nil, 2, nil, {38237, "Maximillian of Northshire", "Un'Goro Crater", 30.6, 51.3, nil}},
	{490, 24708, 1, 54, "The Fossil-Finder 3000", 4, 2, nil, 2, nil, {9272, "Spark Nilminer", "Un'Goro Crater", 31.9, 50.4, nil}},
	{490, 24709, 1, 55, "A Tale of Two Shovels", 4, 2, nil, 2, nil, {9272, "Spark Nilminer", "Un'Goro Crater", 31.9, 50.4, nil}},
	{490, 24717, 1, 52, "The Apes of Un'Goro", 4, 2, nil, 2, nil, {38275, "Gremix", "Un'Goro Crater", 43.2, 41.7, nil}},
	{490, 24718, 1, 53, "The Mighty U'cha", 4, 2, nil, 2, nil, {nil, nil, "Un'Goro Crater", 64.8, 16.5, nil}},
	{490, 24719, 1, 51, "Claws of White", 4, 2, nil, 2, nil, {38274, "Garl Stormclaw", "Un'Goro Crater", 70.2, 77.6, nil}},
	{490, 24720, 1, 52, "Crystals of Power", 4, 2, nil, 2, nil, {9117, "J.D. Collie", "Un'Goro Crater", 54.2, 62.3, nil}},
	{490, 24721, 1, 53, "The Eastern Pylon", 4, 2, nil, 2, nil, {38263, "Ithis Moonwarden", "Un'Goro Crater", 76.9, 49.2, nil}},
	{490, 24722, 1, 53, "The Northern Pylon", 4, 2, nil, 2, nil, {38275, "Gremix", "Un'Goro Crater", 43.1, 41.2, nil}},
	{490, 24723, 1, 55, "The Western Pylon", 4, 2, nil, 2, nil, {9272, "Spark Nilminer", "Un'Goro Crater", 31.9, 50.4, nil}},
	{490, 24733, 1, 53, "The Bait for Lar'korwi", 4, 2, nil, 2, nil, {9619, "Torwa Pathfinder", "Un'Goro Crater", 71.1, 76.5, nil}},
	{490, 24736, 1, 53, "Shizzle's Flyer", 4, 2, nil, 2, nil, {9998, "Shizzle", "Un'Goro Crater", 43.3, 41.2, nil}},
	{490, 24737, 1, 52, "Super Sticky", 4, 2, nil, 2, nil, {38276, "Tara", "Un'Goro Crater", 43.2, 41.3, nil}},
	{490, 24740, 1, 52, "Volcanic Activity", 4, 2, nil, 2, nil, {9270, "Williden Marshal", "Un'Goro Crater", 54.9, 62.2, nil}},
	{490, 24742, 1, 52, "Finding the Source", 4, 2, nil, 2, nil, {10302, "Krakle", "Un'Goro Crater", 55.3, 62.5, nil}},
	{490, 24855, 1, 52, "Aberrant Flora", 4, 2, nil, 2, nil, {38263, "Ithis Moonwarden", "Un'Goro Crater", 76.3, 48.2, nil}},
	{490, 24865, 1, 51, "Is This Stuff Still Good?", 4, 2, nil, 2, nil, {9600, "Parrot", "Un'Goro Crater", 68.4, 36.7, nil}},
	{490, 24866, 1, 51, "An Abandoned Research Camp", 4, 2, nil, 2, nil, {nil, nil, "Un'Goro Crater", 38.5, 66.1, nil}},
	{490, 24911, 1, 52, "Tropical Paradise Beckons", 4, 2, nil, 2, nil, {44374, "Sherm", "Tanaris", 33.3, 77, nil}},
	{490, 24926, 1, 52, "Serving A-Me 01", 4, 2, nil, 2, nil, {9623, "A-Me 01", "Un'Goro Crater", 63.9, 19.9, nil}},
	{490, 13905, 3, 53, "Searing Roc Feathers", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Winterspring 618 ]]--
	{618, 28628, 1, 52, "Ice Delivery", 4, 2, nil, 2, nil, {48965, "Deez Rocksnitch", "Winterspring", 59.8, 49.7, nil}},
	{618, 28676, 1, 53, "Exterminators at Work", 4, 2, nil, 2, nil, {11079, "Wynd Nightchaser", "Winterspring", 48.6, 41, nil}},
	{618, 28469, 1, 50, "Winterfall Runners", 4, 2, nil, 2, nil, {9298, "Donova Snowden", "Winterspring", 25.2, 58.5, nil}},
	{618, 28629, 1, 52, "Are We There, Yeti?", 4, 2, nil, 2, nil, {10305, "Umi Rumplesnicker", "Winterspring", 59.4, 49.8, nil}},
	{618, 28837, 1, 54, "Altered Beasts", 4, 2, nil, 2, nil, {10929, "Haleh", "Winterspring", 58, 63.7, nil}},
	{618, 28470, 1, 50, "High Chief Winterfall", 4, 2, nil, 2, nil, {nil, nil, "Winterspring", 25.2, 58.5, nil}},
	{618, 28518, 1, 51, "Legacy of the High Elves", 4, 2, nil, 2, nil, {48659, "Quel'dorei Spirit", "Winterspring", 50.8, 55, nil}},
	{618, 28534, 1, 51, "Descendants of the Highborne", 4, 2, nil, 2, nil, {48658, "Kaldorei Spirit", "Winterspring", 50.8, 54.9, nil}},
	{618, 28614, 1, 52, "Bearzerker", 4, 2, nil, 2, nil, {48722, "Burndl", "Winterspring", 65.3, 46.2, nil}},
	{618, 28630, 1, 52, "Echo Three", 4, 2, nil, 2, nil, {10305, "Umi Rumplesnicker", "Winterspring", 59.4, 49.8, nil}},
	{618, 28710, 1, 53, "Spray it One More Time", 4, 2, nil, 2, nil, {49400, "Marcy Curtainfire", "Winterspring", 46.3, 42.5, nil}},
	{618, 28742, 1, 53, "Shy-Rotam", 3, 2, nil, 2, nil, {nil, nil, "Winterspring", 46.9, 24.2, nil}},
	{618, 28838, 1, 54, "The Owlbeasts' Defense", 4, 2, nil, 2, nil, {10929, "Haleh", "Winterspring", 58, 63.9, nil}},
	{618, 28471, 1, 50, "The Final Piece", 4, 2, nil, 2, nil, {nil, nil, "Winterspring", 36.9, 55.6, nil}},
	{618, 28519, 1, 51, "Pain of the Blood Elves", 4, 2, nil, 2, nil, {48660, "Sin'dorei Spirit", "Winterspring", 50.7, 55.1, nil}},
	{618, 28535, 1, 51, "Descendants of the High Elves", 4, 2, nil, 2, nil, {48659, "Quel'dorei Spirit", "Winterspring", 50.8, 55.1, nil}},
	{618, 28615, 1, 52, "Turning the Earth", 4, 2, nil, 2, nil, {48723, "Tanrir", "Winterspring", 65.4, 46.2, nil}},
	{618, 28839, 1, 54, "Magic Prehistoric", 4, 2, nil, 2, nil, {nil, nil, "Winterspring", 57.2, 75.3, nil}},
	{618, 28536, 1, 51, "The Curse of Zin-Malor", 4, 2, nil, 2, nil, {48660, "Sin'dorei Spirit", "Winterspring", 50.7, 55.1, nil}},
	{618, 28632, 1, 52, "Fresh From The Hills", 4, 2, nil, 2, nil, {48965, "Deez Rocksnitch", "Winterspring", 59.8, 49.6, nil}},
	{618, 28840, 1, 54, "Winterwater", 4, 2, nil, 2, nil, {nil, nil, "Winterspring", 64.4, 80.4, nil}},
	{618, 28460, 1, 50, "Threat of the Winterfall", 4, 2, nil, 2, nil, {9298, "Donova Snowden", "Winterspring", 25.2, 58.5, nil}},
	{618, 28467, 1, 50, "Mystery Goo", 4, 2, nil, 2, nil, {47556, "Drizle", "Felwood", 59.6, 8.2, nil}},
	{618, 28479, 1, 51, "The Ruins of Kel'Theril", 4, 2, nil, 2, nil, {10920, "Kelek Skykeeper", "Felwood", 51.3, 80.4, nil}},
	{618, 28513, 1, 51, "Pride of the Highborne", 4, 2, nil, 2, nil, {48658, "Kaldorei Spirit", "Winterspring", 50.7, 54.8, nil}},
	{618, 28521, 1, 50, "Speak to Salfa", 4, 2, nil, 2, nil, {15395, "Nafien", "Felwood", 64, 10.4, nil}},
	{618, 28522, 1, 50, "Winterfall Activity", 4, 2, nil, 2, nil, {11556, "Salfa", "Winterspring", 21.1, 46.3, nil}},
	{618, 28524, 1, 50, "Delivery for Donova", 4, 2, nil, 2, nil, {11556, "Salfa", "Winterspring", 21.1, 46.3, nil}},
	{618, 28530, 1, 50, "Scalding Signs", 4, 2, nil, 2, nil, {9298, "Donova Snowden", "Winterspring", 25.2, 58.5, nil}},
	{618, 28537, 1, 51, "In Pursuit of Shades", 4, 2, nil, 2, nil, {10920, "Kelek Skykeeper", "Winterspring", 46.9, 53.8, nil}},
	{618, 28540, 1, 51, "Doin' De E'ko Magic [Group]", 4, 2, nil, 2, nil, {10307, "Witch Doctor Mau'ari", "Winterspring", 25.2, 58.4, nil}},
	{618, 28609, 1, 52, "Hammer Time", 4, 2, nil, 2, nil, {11191, "Lilith the Lithe", "Winterspring", 59.8, 49.2, nil}},
	{618, 28610, 1, 52, "Rubble Trouble", 4, 2, nil, 2, nil, {48965, "Deez Rocksnitch", "Winterspring", 59.8, 49.6, nil}},
	{618, 28618, 1, 52, "Boulder Delivery", 4, 2, nil, 2, nil, {48965, "Deez Rocksnitch", "Winterspring", 59.7, 49.8, nil}},
	{618, 28624, 1, 52, "Kilram's Boast", 4, 2, nil, 2, nil, {11192, "Kilram", "Winterspring", 59.9, 49.2, nil}},
	{618, 28625, 1, 52, "Chop Chop", 4, 2, nil, 2, nil, {48965, "Deez Rocksnitch", "Winterspring", 59.8, 49.6, nil}},
	{618, 28626, 1, 52, "Tree Delivery", 4, 2, nil, 2, nil, {48965, "Deez Rocksnitch", "Winterspring", 59.8, 49.7, nil}},
	{618, 28627, 1, 52, "Seril's Boast", 4, 2, nil, 2, nil, {11193, "Seril Scourgebane", "Winterspring", 59.8, 49.3, nil}},
	{618, 28637, 1, 53, "A Taste for Bear", 4, 2, nil, 2, nil, {49436, "Francis Morcott", "Winterspring", 55.9, 28.2, nil}},
	{618, 28638, 1, 53, "The Owls Have It", 4, 2, nil, 2, nil, {49537, "Jeb Guthrie", "Winterspring", 56, 28.2, nil}},
	{618, 28639, 1, 53, "Ursius", 3, 2, nil, 2, nil, {nil, nil, "Winterspring", 56.5, 39.1, nil}},
	{618, 28640, 1, 53, "Fresh Frostsabers", 4, 2, nil, 2, nil, {49396, "Jez Goodgrub", "Winterspring", 55.9, 28.2, nil}},
	{618, 28641, 1, 53, " <PH>Frostsabers", 4, 2, nil, 2, nil, {nil, nil, "Winterspring", 51.2, 22.1, nil}},
	{618, 28656, 1, 51, "Strange Life Forces", 2, 2, nil, 2, nil, {nil, nil, "Winterspring", 23.4, 50.8, nil}},
	{618, 28674, 1, 52, "Starfall Village", 4, 2, nil, 2, nil, {48965, "Deez Rocksnitch", "Winterspring", 59.8, 49.7, nil}},
	{618, 28701, 1, 53, "Out of Harm's Way", 4, 2, nil, 2, nil, {11079, "Wynd Nightchaser", "Winterspring", 48.6, 41, nil}},
	{618, 28703, 1, 53, "Step Into My Barrow", 4, 2, nil, 2, nil, {49407, "Rinno Curtainfire", "Winterspring", 45.8, 41, nil}},
	{618, 28706, 1, 53, "Spray it Forward", 4, 2, nil, 2, nil, {49407, "Rinno Curtainfire", "Winterspring", 45.8, 40.9, nil}},
	{618, 28707, 1, 53, "Spray it Again", 4, 2, nil, 2, nil, {49399, "Remma Curtainfire", "Winterspring", 45.7, 41.6, nil}},
	{618, 28718, 1, 53, "Where There's Smoke, There's Delicious Meat", 4, 2, nil, 2, nil, {nil, nil, "Winterspring", 48.1, 40.6, nil}},
	{618, 28719, 1, 53, "A Little Gamy", 1, 2, nil, 2, nil, {nil, nil, "Winterspring", 54, 28.6, nil}},
	{618, 28745, 1, 53, "Screechy Keen", 3, 2, nil, 2, nil, {7444, "Shardtooth Bear", "Winterspring", 57.4, 28.9, nil}},
	{618, 28782, 1, 53, "A Bird of Legend", 3, 2, nil, 2, nil, {nil, nil, "Winterspring", 55.4, 36.6, nil}},
	{618, 28828, 1, 53, "You Gotta Have Eggs", 4, 2, nil, 2, nil, {49396, "Jez Goodgrub", "Winterspring", 55.9, 28.2, nil}},
	{618, 28829, 1, 54, "Razor Beak and Antlers Pointy", 4, 2, nil, 2, nil, {50263, "Jadrag the Slicer", "Winterspring", 61.8, 74.6, nil}},
	{618, 28830, 1, 54, "Chips off the Old Block", 4, 2, nil, 2, nil, {50263, "Jadrag the Slicer", "Winterspring", 61.8, 74.7, nil}},
	{618, 28831, 1, 54, "Damn You, Frostilicus", 4, 2, nil, 2, nil, {nil, nil, "Winterspring", 61.9, 74.7, nil}},
	{618, 28841, 1, 55, "The Arcane Storm Within", 4, 2, nil, 2, nil, {10929, "Haleh", "Winterspring", 58.1, 63.8, nil}},
	{618, 28842, 1, 55, "Umbranse's Deliverance", 4, 2, nil, 2, nil, {10929, "Haleh", "Winterspring", 58.1, 63.8, nil}},
	{618, 28847, 1, 54, "The Pursuit of Umbranse", 4, 2, nil, 2, nil, {50366, "Nymn", "Winterspring", 59.6, 50.4, nil}},
	{618, 28848, 1, 51, "Trailing the Spiritspeaker", 4, 2, nil, 2, nil, {10920, "Kelek Skykeeper", "Winterspring", 46.9, 53.8, nil}},

	--[[ Blackmaw Hold 1216 ]]--
	{1216, 28338, 1, 49, "Deadwood of the North", 4, 2, nil, 2, nil, {15395, "Nafien", "Felwood", 64, 10.4, nil}},
	{1216, 8481, 1, 60, "The Root of All Evil [Group]", 3, 2, nil, 2, nil, {11555, "Gorn One Eye", "Felwood", 64.5, 5.1, nil}},

	--[[ Undercity 1497 ]]--
	{1497, 495, 1, 39, "The Crown of Will", 4, 2, nil, 2, nil, {2227, "Sharlindra", "Undercity", 58.3, 92.7, nil}},
	{1497, 9180, 1, 15, "Journey to Undercity", 4, 2, nil, 2, nil, {16252, "High Executor Mavren", "Ghostlands", 0, 0, nil}},

	--[[ Stormwind 1519 ]]--
	{1519, 332, 1, 2, "Wine Shop Advert", 1, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{1519, 333, 1, 2, "Harlan Needs a Resupply", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{1519, 334, 1, 2, "Package for Thurman", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{1519, 1097, 1, 15, "Elmore's Task", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Orgrimmar 1637 ]]--
	{1637, 26397, 1, 12, "Walk With The Earth Mother", 4, 2, nil, 2, nil, {36648, "Baine Bloodhoof", "Thunder Bluff", 60.3, 51.6, nil}},

	--[[ Thunder Bluff 1638 ]]--
	{1638, 744, 1, 10, "Preparation for Ceremony", 4, 2, nil, 2, nil, {2987, "Eyahn Eagletalon", "Mulgore", 49.5, 17.5, nil}},

	--[[ Ghostlands 3433 ]]--
	{3433, 9138, 1, 10, "Suncrown Village", 2, 2, nil, 2, nil, {16197, "Arcanist Vandril", "Ghostlands", 0, 0, nil}},
	{3433, 9139, 1, 11, "Goldenmist Village", 2, 2, nil, 2, nil, {16197, "Arcanist Vandril", "Ghostlands", 46.3, 28.4, nil}},
	{3433, 9140, 1, 14, "Windrunner Village", 2, 2, nil, 2, nil, {16197, "Arcanist Vandril", "Ghostlands", 0, 0, nil}},
	{3433, 9143, 1, 12, "Dealing with Zeb'Sora", 2, 2, nil, 2, nil, {16219, "Ranger Valanna", "Ghostlands", 69.4, 15.1, nil}},
	{3433, 9146, 1, 12, "Report to Captain Helios", 2, 2, nil, 2, nil, {16219, "Ranger Valanna", "Ghostlands", 69.4, 15.1, nil}},
	{3433, 9147, 1, 10, "The Fallen Courier", 2, 2, nil, 2, nil, {16196, "Apothecary Thedra", "Eversong Woods", 49, 89.1, nil}},
	{3433, 9148, 1, 10, "Delivery to Tranquillien", 2, 2, nil, 2, nil, {16183, "Courier Dawnstrider", "Eversong Woods", 48.8, 89.1, nil}},
	{3433, 9149, 1, 13, "The Plagued Coast", 2, 2, nil, 2, nil, {16198, "Apothecary Renzithen", "Ghostlands", 0, 0, nil}},
	{3433, 9150, 1, 12, "Salvaging the Past", 2, 2, nil, 2, nil, {16199, "Magister Darenis", "Ghostlands", 0, 0, nil}},
	{3433, 9151, 1, 20, "The Sanctum of the Sun", 2, 2, nil, 2, nil, {16199, "Magister Darenis", "Ghostlands", 0, 0, nil}},
	{3433, 9152, 1, 11, "Tomber's Supplies", 2, 2, nil, 2, nil, {16224, "Rathis Tomber", "Ghostlands", 0, 0, nil}},
	{3433, 9155, 1, 14, "Down the Dead Scar", 2, 2, nil, 2, nil, {16200, "Deathstalker Rathiel", "Ghostlands", 0, 0, nil}},
	{3433, 9156, 1, 21, "Wanted: Knucklerot and Luzran [Group]", 2, 2, nil, 2, nil, {16197, "Arcanist Vandril", "Ghostlands", 0, 0, nil}},
	{3433, 9157, 1, 12, "Forgotten Rituals", 2, 2, nil, 2, nil, {16201, "Geranis Whitemorn", "Ghostlands", 72.3, 19.1, nil}},
	{3433, 9158, 1, 14, "Bearers of the Plague", 2, 2, nil, 2, nil, {16202, "Farstrider Sedina", "Ghostlands", 0, 0, nil}},
	{3433, 9159, 1, 15, "Curbing the Plague", 2, 2, nil, 2, nil, {16202, "Farstrider Sedina", "Ghostlands", 72.5, 32.2, nil}},
	{3433, 9160, 1, 11, "Investigate An'daroth", 2, 2, nil, 2, nil, {16231, "Dame Auriferous", "Ghostlands", 0, 0, nil}},
	{3433, 9161, 1, 16, "The Traitor's Shadow", 2, 2, nil, 2, nil, {16203, "Ranger Vynna", "Ghostlands", 0, 0, nil}},
	{3433, 9162, 1, 16, "Hints of the Past", 2, 2, nil, 2, nil, {nil, nil, "Ghostlands", 79.6, 17.6, nil}},
	{3433, 9163, 1, 14, "Into Occupied Territory", 2, 2, nil, 2, nil, {16231, "Dame Auriferous", "Ghostlands", 44.8, 32.5, nil}},
	{3433, 9164, 1, 20, "Captives at Deatholme", 2, 2, nil, 2, nil, {16198, "Apothecary Renzithen", "Ghostlands", 47.5, 35, nil}},
	{3433, 9166, 1, 16, "Deliver the Plans to An'telas", 2, 2, nil, 2, nil, {16231, "Dame Auriferous", "Ghostlands", 44.9, 32.4, nil}},
	{3433, 9167, 1, 21, "The Traitor's Destruction [Group]", 2, 2, nil, 2, nil, {16239, "Magister Kaendris", "Ghostlands", 55.1, 48.8, nil}},
	{3433, 9169, 1, 16, "Deactivate An'owyn", 2, 2, nil, 2, nil, {16237, "Magister Sylastor", "Ghostlands", 60.3, 35.7, nil}},
	{3433, 9170, 1, 20, "Dar'Khan's Lieutenants", 2, 2, nil, 2, nil, {16204, "Magister Idonis", "Ghostlands", 0, 0, nil}},
	{3433, 9171, 1, 15, "Culinary Crunch", 2, 2, nil, 2, nil, {16253, "Master Chef Mouldier", "Ghostlands", 0, 0, nil}},
	{3433, 9172, 1, 16, "Report to Magister Kaendris", 2, 2, nil, 2, nil, {16203, "Ranger Vynna", "Ghostlands", 71.9, 32.6, nil}},
	{3433, 9173, 1, 15, "Retaking Windrunner Spire", 2, 2, nil, 2, nil, {16252, "High Executor Mavren", "Ghostlands", 0, 0, nil}},
	{3433, 9174, 1, 13, "Vanquishing Aquantion", 2, 2, nil, 2, nil, {16201, "Geranis Whitemorn", "Ghostlands", 0, 0, nil}},
	{3433, 9175, 1, 15, "The Lady's Necklace", 2, 2, nil, 2, nil, {nil, nil, "Ghostlands", 13.7, 56.6, nil}},
	{3433, 9176, 1, 17, "The Twin Ziggurats", 2, 2, nil, 2, nil, {16239, "Magister Kaendris", "Ghostlands", 55.1, 48.8, nil}},
	{3433, 9192, 1, 14, "Trouble at the Underlight Mines", 2, 2, nil, 2, nil, {16251, "Deathstalker Maltendis", "Ghostlands", 0, 0, nil}},
	{3433, 9193, 1, 17, "Investigate the Amani Catacombs", 2, 2, nil, 2, nil, {16289, "Advisor Valwyn", "Ghostlands", 0, 0, nil}},
	{3433, 9199, 1, 17, "Troll Juju", 2, 2, nil, 2, nil, {16251, "Deathstalker Maltendis", "Ghostlands", 0, 0, nil}},
	{3433, 9207, 1, 14, "Underlight Ore Samples", 2, 2, nil, 2, nil, {16293, "Apprentice Shatharia", "Ghostlands", 31.6, 48.3, nil}},
	{3433, 9212, 1, 17, "Escape from the Catacombs", 2, 2, nil, 2, nil, {16295, "Ranger Lilatha", "Ghostlands", 62.9, 32.6, nil}},
	{3433, 9214, 1, 18, "Shadowpine Weaponry", 2, 2, nil, 2, nil, {16220, "Captain Helios", "Ghostlands", 0, 0, nil}},
	{3433, 9215, 1, 20, "Bring Me Kel'gash's Head! [Group]", 2, 2, nil, 2, nil, {16463, "Farstrider Solanna", "Ghostlands", 0, 0, nil}},
	{3433, 9216, 1, 16, "Rotting Hearts", 2, 2, nil, 2, nil, {16205, "Magistrix Aminel", "Ghostlands", 0, 0, nil}},
	{3433, 9218, 1, 18, "Spinal Dust", 2, 2, nil, 2, nil, {16205, "Magistrix Aminel", "Ghostlands", 0, 0, nil}},
	{3433, 9220, 1, 20, "War on Deatholme", 2, 2, nil, 2, nil, {16204, "Magister Idonis", "Ghostlands", 0, 0, nil}},
	{3433, 9274, 1, 12, "Spirits of the Drowned", 2, 2, nil, 2, nil, {16462, "Ranger Krenn'an", "Ghostlands", 0, 0, nil}},
	{3433, 9275, 1, 19, "A Little Dash of Seasoning", 2, 2, nil, 2, nil, {16464, "Apothecary Venustus", "Ghostlands", 0, 0, nil}},
	{3433, 9276, 1, 18, "Attack on Zeb'Tela", 2, 2, nil, 2, nil, {16463, "Farstrider Solanna", "Ghostlands", 72.3, 31.2, nil}},
	{3433, 9277, 1, 19, "Assault on Zeb'Nowa", 2, 2, nil, 2, nil, {16463, "Farstrider Solanna", "Ghostlands", 72.4, 31.3, nil}},
	{3433, 9315, 1, 11, "Anok'suten [Group]", 2, 2, nil, 2, nil, {16601, "Dying Blood Elf", "Ghostlands", 57.6, 14.8, nil}},
	{3433, 9327, 1, 10, "The Forsaken", 2, 2, nil, 1, "BLOODELF", {16197, "Arcanist Vandril", "Ghostlands", 46.6, 28.6, nil}},
	{3433, 9328, 1, 21, "Hero of the Sin'dorei", 2, 2, nil, 1, "BLOODELF", {16239, "Magister Kaendris", "Ghostlands", 55.3, 48.7, nil}},
	{3433, 9758, 1, 10, "Return to Arcanist Vandril", 2, 2, nil, 2, nil, {16252, "High Executor Mavren", "Ghostlands", 0, 0, nil}},
	{3433, 9877, 1, 20, "A Restorative Draught", 2, 2, nil, 2, nil, {16240, "Arcanist Janeda", "Ghostlands", 0, 0, nil}},

	--[[ Sholazar Basin 3711 ]]--
	{3711, 12704, 3, 77, "Appeasing the Great Rain Stone", 1, 2, nil, 2, nil, {28027, "High-Oracle Soo-say", "Sholazar Basin", 54.5, 56.3, nil}},
	{3711, 12705, 3, 78, "Will of the Titans", 3, 2, nil, 2, nil, {29149, "Oracle Soo-dow", "Sholazar Basin", 54.2, 53.9, nil}},
	{3711, 12726, 3, 80, "Song of Wind and Water", 1, 2, nil, 2, nil, {29006, "Oracle Soo-nee", "Sholazar Basin", 53.4, 56.6, nil}},
	{3711, 12737, 3, 80, "Song of Fecundity", 1, 2, nil, 2, nil, {29006, "Oracle Soo-nee", "Sholazar Basin", 0, 0, nil}},
	{3711, 12761, 3, 78, "Mastery of the Crystals", 3, 2, nil, 2, nil, {29149, "Oracle Soo-dow", "Sholazar Basin", 0, 0, nil}},

	--[[ Isle of Quel'Danas 4080 ]]--
	{4080, 24562, 1, 80, "Journey To The Sunwell", 2, 2, nil, 2, nil, {36642, "Myralion Sunblaze", "Icecrown", 74.6, 31.1, nil}},
	{4080, 24563, 1, 80, "Thalorien Dawnseeker", 2, 2, nil, 2, nil, {37527, "Halduron Brightwing", "Isle of Quel'Danas", 44.5, 45.5, nil}},

	--[[ Dalaran 4395 ]]--
	{4395, 24557, 1, 80, "The Silver Covenant's Scheme", 2, 2, nil, 2, nil, {36670, "Magister Hathorel", "Dalaran", 69.6, 31.4, nil}},

	--[[ Ruins of Gilneas 4706 ]]--
	{4706, 27290, 1, 14, "To Forsaken Forward Command", 4, 2, nil, 2, nil, {nil, nil, "Silverpine Forest", 45, 41.7, nil}},
	{4706, 27333, 1, 14, "Losing Ground", 4, 2, nil, 2, nil, {45315, "Forward Commander Onslaught", "Ruins of Gilneas", 57.4, 18.3, nil}},
	{4706, 27342, 1, 14, "In Time, All Will Be Revealed", 4, 2, nil, 2, nil, {45312, "Deathstalker Commander Belmont", "Ruins of Gilneas", 57.4, 19, nil}},
	{4706, 27345, 1, 14, "The F.C.D.", 4, 2, nil, 2, nil, {45315, "Forward Commander Onslaught", "Ruins of Gilneas", 57.5, 18.3, nil}},
	{4706, 27349, 1, 14, "Break in Communications: Dreadwatch Outpost", 4, 2, nil, 2, nil, {45315, "Forward Commander Onslaught", "Ruins of Gilneas", 57.4, 18.2, nil}},
	{4706, 27350, 1, 14, "Break in Communications: Rutsak's Guard", 4, 2, nil, 2, nil, {nil, nil, "Ruins of Gilneas", 52, 32.3, nil}},
	{4706, 27360, 1, 15, "Vengeance for Our Soldiers", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{4706, 27364, 1, 15, "On Whose Orders?", 4, 2, nil, 2, nil, {45389, "Captain Rutsak", "Ruins of Gilneas", 65.7, 34.2, nil}},
	{4706, 27401, 1, 15, "What Tomorrow Brings", 3, 2, nil, 2, nil, {nil, nil, "Ruins of Gilneas", 58.9, 47.3, nil}},
	{4706, 27405, 1, 15, "Fall Back!", 4, 2, nil, 2, nil, {nil, nil, "Ruins of Gilneas", 54.7, 44.5, nil}},
	{4706, 27406, 1, 16, "A Man Named Godfrey", 4, 2, nil, 2, nil, {45312, "Deathstalker Commander Belmont", "Ruins of Gilneas", 73, 30.3, nil}},
	{4706, 27423, 1, 16, "Resistance is Futile", 3, 2, nil, 2, nil, {nil, nil, "Ruins of Gilneas", 73.3, 31.1, nil}},
	{4706, 27290, 1, 14, "To Forsaken Forward Command", 4, 2, nil, 2, nil, {44365, "Lady Sylvanas Windrunner", "Silverpine Forest", 45, 41.7, nil}},
	{4706, 27333, 1, 14, "Losing Ground", 4, 2, nil, 2, nil, {45315, "Forward Commander Onslaught", "Ruins of Gilneas", 0, 0, nil}},
	{4706, 27342, 1, 14, "In Time, All Will Be Revealed", 4, 2, nil, 2, nil, {45312, "Deathstalker Commander Belmont", "Ruins of Gilneas", 57.4, 18.7, nil}},
	{4706, 27345, 1, 14, "The F.C.D.", 4, 2, nil, 2, nil, {45315, "Forward Commander Onslaught", "Ruins of Gilneas", 0, 0, nil}},
	{4706, 27349, 1, 14, "Break in Communications: Dreadwatch Outpost", 4, 2, nil, 2, nil, {45315, "Forward Commander Onslaught", "Ruins of Gilneas", 57.5, 18.3, nil}},
	{4706, 27350, 1, 14, "Break in Communications: Rutsak's Guard", 4, 2, nil, 2, nil, {45315, "Forward Commander Onslaught", "Ruins of Gilneas", 57.5, 18.2, nil}},
	{4706, 27360, 1, 15, "Vengeance for Our Soldiers", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{4706, 27364, 1, 15, "On Whose Orders?", 4, 2, nil, 2, nil, {45389, "Captain Rutsak", "Ruins of Gilneas", 0, 0, nil}},
	{4706, 27401, 1, 15, "What Tomorrow Brings", 3, 2, nil, 2, nil, {nil, nil, "Ruins of Gilneas", 59.1, 46.9, nil}},
	{4706, 27405, 1, 15, "Fall Back!", 4, 2, nil, 2, nil, {nil, nil, "Ruins of Gilneas", 54.9, 44.6, nil}},
	{4706, 27406, 1, 16, "A Man Named Godfrey", 4, 2, nil, 2, nil, {nil, nil, "Ruins of Gilneas", 73, 30.1, nil}},
	{4706, 27423, 1, 16, "Resistance is Futile", 3, 2, nil, 2, nil, {nil, nil, "Ruins of Gilneas", 72.5, 31.2, nil}},
	{4706, 27290, 1, 14, "To Forsaken Forward Command", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{4706, 27364, 1, 15, "On Whose Orders?", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{4706, 27349, 1, 14, "Break in Communications: Dreadwatch Outpost", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{4706, 27405, 1, 15, "Fall Back!", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{4706, 27342, 1, 14, "In Time, All Will Be Revealed", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{4706, 27350, 1, 14, "Break in Communications: Rutsak's Guard", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{4706, 27406, 1, 16, "A Man Named Godfrey", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{4706, 27333, 1, 14, "Losing Ground", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{4706, 27423, 1, 16, "Resistance is Futile", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{4706, 27360, 1, 15, "Vengeance for Our Soldiers", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{4706, 27345, 1, 14, "The F.C.D.", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{4706, 27401, 1, 15, "What Tomorrow Brings", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Southern Barrens 4709 ]]--
	{4709, 24504, 1, 30, "Clear the High Road", 4, 2, nil, 2, nil, {37135, "Nura Pathfinder", "Southern Barrens", 31.4, 13.3, nil}},
	{4709, 24552, 1, 33, "Lion's Pride", 4, 2, nil, 2, nil, {3387, "Jorn Skyseer", "Southern Barrens", 41.6, 47.1, nil}},
	{4709, 24632, 1, 34, "Tauren Vengeance", 4, 2, nil, 2, nil, {37909, "Tomusa", "Southern Barrens", 41.1, 71, nil}},
	{4709, 24824, 1, 34, "The Disturbed Earth", 4, 2, nil, 2, nil, {37834, "Tauna Skychaser", "Southern Barrens", 45.1, 85.3, nil}},
	{4709, 24505, 1, 30, "Holdout at Hunter's Hill", 4, 2, nil, 2, nil, {37137, "Tunawa Stillwind", "Southern Barrens", 37.5, 16.9, nil}},
	{4709, 24569, 1, 32, "Siegebreaker", 4, 2, nil, 2, nil, {37679, "Warlord Bloodhilt", "Southern Barrens", 41.5, 46.8, nil}},
	{4709, 24601, 1, 32, "The Nightmare Scar", 4, 2, nil, 2, nil, {37570, "Naralex", "Southern Barrens", 50.4, 40.6, nil}},
	{4709, 24633, 1, 35, "Mahka's Plea", 4, 2, nil, 2, nil, {37812, "Mahka", "Southern Barrens", 45.2, 85.5, nil}},
	{4709, 24603, 1, 34, "Don't Stop Bereavin'", 4, 2, nil, 2, nil, {37847, "Mankrik", "Southern Barrens", 44.5, 88, nil}},
	{4709, 24619, 1, 34, "Parts-is-Parts", 4, 2, nil, 2, nil, {37908, "Calder Gray", "Southern Barrens", 42.6, 70.2, nil}},
	{4709, 24667, 1, 34, "Firestone Point", 4, 2, nil, 2, nil, {37910, "Crawgol", "Southern Barrens", 41.7, 69.4, nil}},
	{4709, 24570, 1, 31, "Adder Subtraction", 4, 2, nil, 2, nil, {38314, "Muyoh", "Southern Barrens", 50.3, 40.5, nil}},
	{4709, 24634, 1, 34, "Intelligence Warfare", 4, 2, nil, 2, nil, {37837, "Warlord Bloodhilt", "Southern Barrens", 41.7, 69.9, nil}},
	{4709, 24539, 1, 31, "When Plants Attack", 4, 2, nil, 2, nil, {37515, "Lane Tallgrass", "Southern Barrens", 44.2, 33.3, nil}},
	{4709, 24571, 1, 31, "Lashvine Seeds", 4, 2, nil, 2, nil, {38314, "Muyoh", "Southern Barrens", 50.2, 40.6, nil}},
	{4709, 24572, 1, 33, "Taking Back Taurajo", 4, 2, nil, 2, nil, {37679, "Warlord Bloodhilt", "Southern Barrens", 41.5, 46.9, nil}},
	{4709, 24604, 1, 34, "Concern for Mankrik", 4, 2, nil, 2, nil, {37812, "Mahka", "Southern Barrens", 45.1, 85.4, nil}},
	{4709, 24620, 1, 34, "Hearts-is-Hearts", 4, 2, nil, 2, nil, {nil, nil, "Southern Barrens", 42.6, 70.1, nil}},
	{4709, 24684, 1, 35, "A Weezil in the Henhouse", 4, 2, nil, 2, nil, {nil, nil, "Southern Barrens", 49.2, 82.3, nil}},
	{4709, 24512, 1, 30, "Warriors' Redemption", 4, 2, nil, 2, nil, {37153, "Holgom", "Southern Barrens", 37.6, 16.7, nil}},
	{4709, 24513, 1, 30, "Eye for an Eye", 4, 2, nil, 2, nil, {37136, "Oltarg", "Southern Barrens", 37.1, 14, nil}},
	{4709, 24514, 1, 30, "Raptor Scraps", 4, 2, nil, 2, nil, {37138, "Onatay", "Southern Barrens", 39.5, 20.3, nil}},
	{4709, 24515, 1, 31, "Signals in the Sky", 4, 2, nil, 2, nil, {37138, "Onatay", "Southern Barrens", 39.5, 20.3, nil}},
	{4709, 24517, 1, 31, "Put the Fear in Them", 4, 2, nil, 2, nil, {37154, "Kilrok Gorehammer", "Southern Barrens", 39.7, 20, nil}},
	{4709, 24518, 1, 31, "The Low Road", 4, 2, nil, 2, nil, {nil, nil, "Southern Barrens", 41.5, 19.9, nil}},
	{4709, 24519, 1, 31, "Stalling the Survey", 4, 2, nil, 2, nil, {37154, "Kilrok Gorehammer", "Southern Barrens", 39.6, 20, nil}},
	{4709, 24525, 1, 31, "Keeping the Dogs at Bay", 4, 2, nil, 2, nil, {11857, "Makaba Flathoof", "Southern Barrens", 44.2, 33.7, nil}},
	{4709, 24529, 1, 32, "Bad to Worse", 4, 2, nil, 2, nil, {11857, "Makaba Flathoof", "Southern Barrens", 44.2, 33.7, nil}},
	{4709, 24534, 1, 32, "Speaking Their Language", 4, 2, nil, 2, nil, {11857, "Makaba Flathoof", "Southern Barrens", 44.1, 33.7, nil}},
	{4709, 24542, 1, 31, "A Curious Bloom", 4, 2, nil, 2, nil, {37515, "Lane Tallgrass", "Southern Barrens", 44.4, 33.4, nil}},
	{4709, 24543, 1, 32, "A Family Divided", 4, 2, nil, 2, nil, {37516, "Tawane", "Southern Barrens", 44.5, 33.6, nil}},
	{4709, 24546, 1, 32, "A Line in the Dirt", 4, 2, nil, 2, nil, {3418, "Kirge Sternhorn", "Southern Barrens", 41.6, 46.6, nil}},
	{4709, 24551, 1, 32, "Meet the New Boss", 4, 2, nil, 2, nil, {3433, "Tatternack Steelforge", "Southern Barrens", 41.7, 46.7, nil}},
	{4709, 24565, 1, 31, "Biological Intervention", 4, 2, nil, 2, nil, {37570, "Naralex", "Southern Barrens", 50.4, 40.6, nil}},
	{4709, 24566, 1, 31, "Sowing a Solution", 4, 2, nil, 2, nil, {38314, "Muyoh", "Southern Barrens", 50.4, 40.6, nil}},
	{4709, 24573, 1, 33, "Honoring the Dead", 4, 2, nil, 2, nil, {37717, "Winnoa Pineforest", "Southern Barrens", 41.6, 46.6, nil}},
	{4709, 24574, 1, 32, "To Harvest Chaos", 4, 2, nil, 2, nil, {37570, "Naralex", "Southern Barrens", 50.4, 40.7, nil}},
	{4709, 24577, 1, 33, "Desolation Hold Inspection", 4, 2, nil, 2, nil, {37679, "Warlord Bloodhilt", "Southern Barrens", 41.5, 46.8, nil}},
	{4709, 24591, 1, 33, "Changing of the Gar'dul", 4, 2, nil, 2, nil, {37811, "Warlord Gar'dul", "Southern Barrens", 41.7, 69.9, nil}},
	{4709, 24606, 1, 34, "Blood of the Barrens", 4, 2, nil, 2, nil, {nil, nil, "Southern Barrens", 43.3, 81.6, nil}},
	{4709, 24608, 1, 34, "Mangletooth", 4, 2, nil, 2, nil, {37847, "Mankrik", "Southern Barrens", 44.5, 88, nil}},
	{4709, 24618, 1, 34, "Claim the Battle Scar", 4, 2, nil, 2, nil, {nil, nil, "Southern Barrens", 41.6, 69.8, nil}},
	{4709, 24621, 1, 34, "Smarts-is-Smarts", 4, 2, nil, 2, nil, {37908, "Calder Gray", "Southern Barrens", 42.6, 70.1, nil}},
	{4709, 24631, 1, 34, "Flightmare", 4, 2, nil, 2, nil, {37909, "Tomusa", "Southern Barrens", 41.2, 70.8, nil}},
	{4709, 24637, 1, 34, "The Butcher of Taurajo", 4, 2, nil, 2, nil, {nil, nil, "Southern Barrens", 41.7, 69.7, nil}},
	{4709, 24653, 1, 35, "Echoes of Agamaggan", 4, 2, nil, 2, nil, {37812, "Mahka", "Southern Barrens", 45.1, 85.4, nil}},
	{4709, 24654, 1, 34, "Silithissues", 4, 2, nil, 2, nil, {37910, "Crawgol", "Southern Barrens", 41.6, 69.4, nil}},
	{4709, 24685, 1, 35, "Dwarf Fortress", 4, 2, nil, 2, nil, {38140, "Weezil Slipshadow", "Southern Barrens", 50.7, 86.8, nil}},
	{4709, 24747, 1, 35, "Sabotage!", 4, 2, nil, 2, nil, {38140, "Weezil Slipshadow", "Southern Barrens", 50.7, 86.9, nil}},
	{4709, 24807, 1, 32, "Winnoa Pineforest", 4, 2, nil, 2, nil, {nil, nil, "Southern Barrens", 48.2, 38.7, nil}},
	{4709, 25284, 1, 30, "Feeding the Fear", 4, 2, nil, 2, nil, {37153, "Holgom", "Southern Barrens", 37.6, 16.7, nil}},

	--[[

		PROFESSIONS

	--]]


	{-324, 6622, 1, 0, "Triage", 2, 2, nil, 2, nil, {12920, "Doctor Gregory Victor", "Arathi Highlands", 0, 0, nil}},


	--[[ Cooking -304 ]]--
	{-304, 26190, 3, 10, "A Fisherman's Feast", 1, 2, nil, 2, nil, {42288, "Robby Flay", "Stormwind City", "50.6", "71.6", nil}},
	{-304, 26183, 3, 10, "The King's Cider", 1, 2, nil, 2, nil, {42288, "Robby Flay", "Stormwind City", "50.6", "71.6", nil}},
	{-304, 13113, 3, 0, "Convention at the Legerdemain", 2, 2, nil, 2, nil, {29631, "Awilo Lon'gomba", "Dalaran", 70.1, 38.6, nil}},

	--[[ Fishing -101 ]]--
	{-101, 26414, 3, 10, "Hitting a Walleye", 1, 2, nil, 2, nil, {5494, "Catherine Leland", "Stormwind City", "55.0", "69.4", nil}},
	{-101, 26420, 3, 10, "Diggin' For Worms", 1, 2, nil, 2, nil, {5494, "Catherine Leland", "Stormwind City", "55.0", "69.4", nil}},
	{-101, 26557, 3, 10, "A Staggering Effort", 2, 2, nil, 2, nil, {43239, "Razgar", "Orgrimmar", 65.7, 40.8, nil}},
	{-101, 13830, 3, 0, "The Ghostfish", 3, 2, nil, 2, nil, {28742, "Marcia Chase", "Dalaran", 52.7, 64.7, nil}},
	{-101, 13834, 3, 0, "Dangerously Delicious", 3, 2, nil, 2, nil, {28742, "Marcia Chase", "Dalaran", 52.9, 65.1, nil}},
	{-101, 26543, 3, 10, "Clammy Hands", 2, 2, nil, 2, nil, {43239, "Razgar", "Orgrimmar", 65.8, 40.8, nil}},
	{-101, 26556, 3, 10, "No Dumping Allowed", 2, 2, nil, 2, nil, {43239, "Razgar", "Orgrimmar", 65.8, 40.8, nil}},

	--[[

		CLASSES

	--]]

	--[[ Druid -263 ]]--
	{-263, 27067, 1, 3, "The Healer's Touch", 2, 1, "DRUID", 2, nil, {3060, "Gart Mistrunner", "Mulgore", 45.2, 75.2, nil}},
	{-263, 27283, 1, 20, "A Journey to Moonglade", 2, 1, "DRUID", 1, "TAUREN", {44726, "Shalla Whiteleaf", "Orgrimmar", 45, 51.7, nil}},
	{-263, 27404, 1, 20, "The Circle's Future [Dungeon]", 2, 1, "DRUID", 2, nil, {12042, "Loganaar", "Moonglade", 52.4, 40.5, nil}},


	--[[ Hunter -261 ]]--
	{-261, 26917, 1, 3, "The Hunter's Path", 3, 1, "HUNTER", 2, nil, {nil, nil, nil, nil, nil, nil}},
	{-261, 26910, 1, 3, "Etched Letter", 1, 1, "HUNTER", 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Mage -161 ]]--
	{-161, 24965, 1, 3, "Magic Training", 3, 1, "MAGE", 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[

		WORLD EVENTS

	--]]

	--[[ Pilgrim's Bounty -1008 ]]--
	{-1008, 14022, 1, 0, "Pilgrim's Bounty", 1, 2, nil},
	{-1008, 14048, 3, 0, "Can't Get Enough Turkey", 1, 2, nil},
	{-1008, 14051, 3, 0, "Don't Forget The Stuffing!", 1, 2, nil},
	{-1008, 14053, 3, 0, "We're Out of Cranberry Chutney Again?", 1, 2, nil},
	{-1008, 14036, 1, 0, "Pilgrim's Bounty", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{-1008, 14037, 1, 0, "Spice Bread Stuffing", 2, 2, nil, 2, nil, {34677, "Miles Standish", "Undercity", 64.1, 11, nil}},

	--[[ Tournament -241 ]]--
	{-241, 13719, 1, 80, "The Valiant's Charge", 2, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{-241, 13727, 1, 80, "The Valiant's Challenge", 2, 2, nil, 2, nil, {33372, "Zul'tore", "Icecrown", 76, 24.4, nil}},
	{-241, 13768, 3, 80, "A Blade Fit For A Champion", 2, 2, nil, 2, nil, {33372, "Zul'tore", "Icecrown", 0, 0, nil}},
	{-241, 13769, 3, 80, "A Worthy Weapon", 2, 2, nil, 2, nil, {33372, "Zul'tore", "Icecrown", 76, 24.5, nil}},
	{-241, 13770, 3, 80, "The Edge Of Winter", 2, 2, nil, 2, nil, {33372, "Zul'tore", "Icecrown", 0, 0, nil}},
	{-241, 13771, 3, 80, "A Valiant's Field Training", 2, 2, nil, 2, nil, {33540, "Shadow Hunter Mezil-kree", "Icecrown", 0, 0, nil}},
	{-241, 13772, 3, 80, "The Grand Melee", 2, 2, nil, 2, nil, {33545, "Gahju", "Icecrown", 0, 0, nil}},
	{-241, 13812, 3, 80, "Threat From Above [Group]", 2, 1, "DEATHKNIGHT", 2, nil, {33762, "Crok Scourgebane", "Icecrown", 0, 0, nil}},
	{-241, 13813, 3, 80, "Taking Battle To The Enemy", 2, 1, "DEATHKNIGHT", 2, nil, {nil, nil, "Icecrown", 0, 0, nil}},
	{-241, 13814, 3, 80, "Among the Champions", 2, 1, "DEATHKNIGHT", 2, nil, {33770, "Illyrie Nightfall", "Icecrown", 73.6, 20, nil}},
	{-241, 13857, 3, 80, "At The Enemy's Gates", 2, 2, nil, 2, nil, {33545, "Gahju", "Icecrown", 0, 0, nil}},
	{-241, 13863, 3, 80, "Battle Before The Citadel", 2, 1, "DEATHKNIGHT", 2, nil, {33762, "Crok Scourgebane", "Icecrown", 73.8, 20.1, nil}},
	{-241, 14092, 3, 80, "Breakfast Of Champions", 2, 2, nil, 2, nil, {34914, "Tylos Dawnrunner", "Icecrown", 76.1, 24.1, nil}},
	{-241, 14104, 3, 80, "Ornolf The Scarred", 3, 2, nil, 2, nil, {34882, "High Crusader Adelard", "Icecrown", 69.5, 23.1, nil}},
	{-241, 14108, 3, 80, "Get Kraken!", 3, 2, nil, 2, nil, {35094, "Crusader Silverdawn", "Icecrown", 0, 0, nil}},
	{-241, 14136, 3, 80, "Rescue at Sea", 2, 2, nil, 2, nil, {34771, "Girana the Blooded", "Icecrown", 0, 0, nil}},
	{-241, 14140, 3, 80, "Stop The Aggressors", 2, 2, nil, 2, nil, {34771, "Girana the Blooded", "Icecrown", 76.1, 24, nil}},
	{-241, 14141, 3, 80, "Gormok Wants His Snobolds", 2, 2, nil, 2, nil, {34914, "Tylos Dawnrunner", "Icecrown", 76.1, 24.1, nil}},
	{-241, 14142, 3, 80, "You've Really Done It This Time, Kul", 2, 2, nil, 2, nil, {34771, "Girana the Blooded", "Icecrown", 0, 0, nil}},
	{-241, 14143, 3, 80, "A Leg Up", 2, 2, nil, 2, nil, {34771, "Girana the Blooded", "Icecrown", 0, 0, nil}},
	{-241, 14144, 3, 80, "The Light's Mercy", 2, 2, nil, 2, nil, {34771, "Girana the Blooded", "Icecrown", 76.1, 24.2, nil}},
	{-241, 14145, 3, 80, "What Do You Feed a Yeti, Anyway?", 2, 2, nil, 2, nil, {34914, "Tylos Dawnrunner", "Icecrown", 76.1, 24.1, nil}},

	--[[

		DUNGEONS

	--]]

	--[[ Wailing Caverns 718 ]]--
	{718, 26870, 1, 21, "Cleansing the Caverns [Dungeon]", 3, 2, nil, 2, nil, {nil, nil, "Wailing Caverns", 46.4, 58.6, nil}},
	{718, 26878, 1, 16, "Disciples of Naralex", 2, 2, nil, 2, nil, {3448, "Tonga Runetotem", "Northern Barrens", 49.5, 58.7, nil}},
	{718, 26872, 1, 18, "Deviate Hides", 3, 2, nil, 2, nil, {5768, "Ebru", "Wailing Caverns", 46.5, 58.9, nil}},
	{718, 26873, 1, 18, "Preemptive Methods", 3, 2, nil, 2, nil, {5767, "Nalpak", "Wailing Caverns", 46.4, 58.7, nil}},
	{718, 26870, 1, 21, "Cleansing the Caverns [Dungeon]", 3, 2, nil, 2, nil, {5768, "Ebru", "Wailing Caverns", 46.3, 59.1, nil}},
	{718, 26872, 1, 18, "Deviate Hides", 3, 2, nil, 2, nil, {5767, "Nalpak", "Wailing Caverns", 46.5, 58.9, nil}},
	{718, 26873, 1, 18, "Preemptive Methods", 3, 2, nil, 2, nil, {5767, "Nalpak", "Wailing Caverns", 46.5, 58.9, nil}},
	{718, 26872, 1, 18, "Deviate Hides", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{718, 26873, 1, 18, "Preemptive Methods", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},
	{718, 26870, 1, 21, "Cleansing the Caverns [Dungeon]", 3, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},


	{1176, 25556, 1, 47, "Into Zul'Farrak", 4, 2, nil, 2, nil, {7804, "Trenton Lighthammer", "Tanaris", 42.4, 24.1, nil}},


	{1581, 27842, 1, 16, "Only the Beginning", 2, 2, nil, 2, nil, {46889, "Kagtha", "The Deadmines", 29.1, 26.3, nil}},
	{1581, 27844, 1, 16, "Traitors!!!", 2, 2, nil, 2, nil, {46906, "Slinky Sharpshiv", "The Deadmines", 29.1, 26.5, nil}},
	{1581, 27847, 1, 16, "Not Quite There", 2, 2, nil, 2, nil, {46902, "Miss Mayhem", "The Deadmines", 29.1, 24.3, nil}},
	{1581, 27848, 1, 16, "Good Intentions...Poor Execution", 4, 2, nil, 2, nil, {nil, nil, "The Deadmines", 34.7, 60.4, nil}},
	{1581, 27850, 1, 17, "The Defias Kingpin", 2, 2, nil, 2, nil, {47626, "Admiral Ripsnarl", "The Deadmines", 61.1, 39.3, nil}},

	--[[ Shadowfang Keep 209 ]]--
	{209, 27974, 1, 18, "This Land is Our Land", 2, 2, nil, 2, nil, {47293, "Deathstalker Commander Belmont", "Shadowfang Keep", 66, 58.6, nil}},
	{209, 27988, 1, 19, "Plague...Plague Everywhere!", 2, 2, nil, 2, nil, {47293, "Deathstalker Commander Belmont", "Shadowfang Keep", 67, 72.2, nil}},
	{209, 27996, 1, 20, "Orders Are For the Living", 2, 2, nil, 2, nil, {47293, "Deathstalker Commander Belmont", "Shadowfang Keep", 27.9, 62.1, nil}},
	{209, 27998, 1, 21, "Sweet, Merciless Revenge", 2, 2, nil, 2, nil, {47293, "Deathstalker Commander Belmont", "Shadowfang Keep", 0, 0, nil}},
	{209, 27974, 1, 18, "This Land is Our Land", 2, 2, nil, 2, nil, {47293, "Deathstalker Commander Belmont", "Shadowfang Keep", 64.5, 58.3, nil}},
	{209, 27988, 1, 19, "Plague...Plague Everywhere!", 2, 2, nil, 2, nil, {47293, "Deathstalker Commander Belmont", "Shadowfang Keep", 67.4, 72.7, nil}},
	{209, 27996, 1, 20, "Orders Are For the Living", 2, 2, nil, 2, nil, {47293, "Deathstalker Commander Belmont", "Shadowfang Keep", 28.4, 62, nil}},
	{209, 27998, 1, 21, "Sweet, Merciless Revenge", 2, 2, nil, 2, nil, {47293, "Deathstalker Commander Belmont", "Shadowfang Keep", 58.8, 40, nil}},

	--[[ Razorfen Kraul 491 ]]--
	{491, 26908, 1, 33, "Feeling Thorny", 4, 2, nil, 2, nil, {37812, "Mahka", "Southern Barrens", 45.1, 85.4, nil}},

	--[[ Blackfathom Deeps 719 ]]--
	{719, 26888, 1, 27, "Nightmare of the Deeps [Dungeon]", 2, 2, nil, 2, nil, {12736, "Je'neu Sancrea", "Blackfathom Deeps", 48, 11.8, nil}},
	{719, 26891, 1, 26, "Amongst the Ruins [Dungeon]", 2, 2, nil, 2, nil, {12736, "Je'neu Sancrea", "Blackfathom Deeps", 48, 11.8, nil}},
	{719, 26892, 1, 26, "Deep in the Deeps", 2, 2, nil, 2, nil, {44375, "Zeya", "Blackfathom Deeps", 48.2, 12.6, nil}},
	{719, 26899, 1, 28, "The Enemy of My Enemy [Dungeon]", 2, 2, nil, 2, nil, {44387, "Flaming Eradicator", "Blackfathom Deeps", 31.5, 66.4, nil}},

	--[[ Gnomeregan 721 ]]--
	{721, 2951, 1, 30, "The Sparklematic 5200!", 3, 2, nil, 2, nil, {nil, nil, "Gnomeregan", 68, 61.8, nil}},
	{721, 2952, "TODO:WFLAGS", 30, "The Sparklematic 5200! [Dungeon]", 4, 2, nil, 2, nil, {nil, nil, nil, nil, nil, nil}},

	--[[ Razorfen Downs 722 ]]--
	{722, 27062, 1, 43, "Looming Threat", 2, 2, nil, 2, nil, {39947, "Grimtotem Pillager", "Thousand Needles", 11.1, 11.3, nil}},

	--[[ Scarlet Monastery 796 ]]--
	{796, 26991, 1, 38, "Enemies Abroad", 2, 2, nil, 2, nil, {4791, "Nazeer Bloodpike", "Dustwallow Marsh", 35.2, 30.7, nil}},
	{796, 26986, 1, 30, "Into the Scarlet Monastery", 2, 2, nil, 2, nil, {12920, "Doctor Gregory Victor", "Arathi Highlands", 0, 0, nil}},
	{796, 26987, 1, 33, "The Right Way", 4, 2, nil, 2, nil, {14741, "Huntsman Markhor", "The Hinterlands", 0, 0, nil}},
	{796, 26988, 1, 35, "Moving Things Along", 4, 2, nil, 2, nil, {14739, "Mystic Yayo'jin", "The Hinterlands", 0, 0, nil}},

	--[[ Sunken Temple 1477 ]]--
	{1477, 27915, 1, 54, "The Heart of the Temple", 4, 2, nil, 2, nil, {46071, "Lord Itharius", "The Temple of Atal'Hakkar", 0, 0, nil}},

	--[[ Ragefire Chasm 2437 ]]--
	{2437, 26856, 1, 14, "Repel the Invasion [Dungeon]", 4, 2, nil, 2, nil, {44217, "Stone Guard Kurjack", "Ragefire Chasm", 69.6, 11.7, nil}},
	{2437, 26858, 1, 16, "Taragaman the Hungerer [Dungeon]", 4, 2, nil, 2, nil, {44217, "Stone Guard Kurjack", "Ragefire Chasm", 68.4, 11.5, nil}},
	{2437, 26862, 1, 15, "Elemental Tampering [Dungeon]", 2, 2, nil, 2, nil, {44216, "Bovaal Whitehorn", "Ragefire Chasm", 69.3, 12, nil}},
	{2437, 26856, 1, 14, "Repel the Invasion [Dungeon]", 4, 2, nil, 2, nil, {44217, "Stone Guard Kurjack", "Ragefire Chasm", 68.7, 11.4, nil}},
	{2437, 26858, 1, 16, "Taragaman the Hungerer [Dungeon]", 4, 2, nil, 2, nil, {44217, "Stone Guard Kurjack", "Ragefire Chasm", 68.4, 11.3, nil}},
	{2437, 26862, 1, 15, "Elemental Tampering [Dungeon]", 2, 2, nil, 2, nil, {44216, "Bovaal Whitehorn", "Ragefire Chasm", 69.7, 11.5, nil}},
	{2437, 26865, 1, 13, "Enemies Below", 2, 2, nil, 2, nil, {39605, "Garrosh Hellscream", "Orgrimmar", 48.1, 70.6, nil}},

	--[[ Dire Maul 2557 ]]--
	{2557, 27130, 1, 40, "Saving Warpwood", 4, 2, nil, 2, nil, {7875, "Hadoken Swiftstrider", "Feralas", 74.9, 42.5, nil}},
	{2557, 27132, 1, 42, "The Highborne", 4, 2, nil, 2, nil, {7875, "Hadoken Swiftstrider", "Feralas", 74.9, 42.5, nil}},
	{2557, 27134, 1, 46, "Ogre in the Field", 4, 2, nil, 2, nil, {39656, "Orhan Ogreblade", "Feralas", 51.9, 48.1, nil}},

	--[[ Pit of Saron 4813 ]]--
	{4813, 24559, 1, 80, "Reforging The Sword [Dungeon]", 2, 2, nil, 2, nil, {36642, "Myralion Sunblaze", "Icecrown", 74.5, 31.2, nil}},

	--[[ Halls of Reflection 4820 ]]--
	{4820, 24561, 1, 80, "The Halls Of Reflection [Dungeon]", 2, 2, nil, 2, nil, {36642, "Myralion Sunblaze", "Icecrown", 74.6, 31.2, nil}},

	--[[

		RAIDS

	--]]

	--[[ Sunwell Plateau 4075 ]]--
	{4075, 24594, 1, 80, "The Purification of Quel'Delar", 2, 2, nil, 2, nil, {37527, "Halduron Brightwing", "Isle of Quel'Danas", 44.5, 45.4, nil}},

	--[[

		BATTLEGROUNDS

	--]]

	--[[ Alterac Valley 2597 ]]--
	{2597, 7142, 1, 0, "The Battle for Alterac", 2, 2, nil, 2, nil, {13817, "Voggah Deathgrip", "Hillsbrad Foothills", 58.6, 34.2, nil}},
	{2597, 7161, 1, 0, "Proving Grounds", 2, 2, nil, 2, nil, {13840, "Warmaster Laggrond", "Hillsbrad Foothills", 57.9, 33.4, nil}},
	{2597, 7142, 1, 0, "The Battle for Alterac", 2, 2, nil, 2, nil, {13817, "Voggah Deathgrip", "Hillsbrad Foothills", 58.7, 34.2, nil}},
	{2597, 7161, 1, 0, "Proving Grounds", 2, 2, nil, 2, nil, {13840, "Warmaster Laggrond", "Hillsbrad Foothills", 57.8, 33.4, nil}},

}
qcOldDatabase = {
}
qcDataToParse = {
}